#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xe0a7104b, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x900838ce, "");
SYMBOL_CRC(__bcma_driver_register, 0x77e0ed7c, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x27f3b5d0, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x9bdb3e18, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x8f29d0c5, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x01ff6892, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x96b9c886, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x86aa2f26, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x97fe1030, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xad5e1edf, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x74377c35, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x2389e7a9, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xa0e6948c, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x6c14733e, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x9a32b59f, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x5a705a7c, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x4ff59654, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x7f1e194a, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xc40fe6bc, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0xf11d468c, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x2904a5dd, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x805792e5, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xc36a06f0, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x91271f54, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xa91333c3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8c0b50d9, "pci_enable_device" },
	{ 0x1e656bd7, "dev_set_name" },
	{ 0xc26514f9, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc043ce5, "of_address_to_resource" },
	{ 0xee7e865d, "device_unregister" },
	{ 0x29c9d1fc, "of_platform_default_populate" },
	{ 0x9dc8d732, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xb5d457d8, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x453d377b, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c06da48, "get_device" },
	{ 0x76f74abf, "of_irq_parse_one" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc8b89657, "pci_unregister_driver" },
	{ 0xda470cd, "pci_read_config_dword" },
	{ 0x122c3a7e, "_printk" },
	{ 0x62737624, "of_irq_parse_raw" },
	{ 0x64eeea62, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c161060, "put_device" },
	{ 0xec5144d1, "_dev_info" },
	{ 0x41840192, "bus_unregister" },
	{ 0x352255a5, "_dev_err" },
	{ 0x8322c910, "device_add" },
	{ 0x3559dd7d, "platform_device_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xda87d82d, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3c833914, "pci_iounmap" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0xaa8d87a3, "pci_set_master" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x594dc8e3, "platform_device_register_full" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x481981a8, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a043fd0, "pci_disable_device" },
	{ 0xc7b63c59, "pcie_set_readrq" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x44c4d127, "irq_create_of_mapping" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xea11fb7e, "of_dma_configure_id" },
	{ 0x54db4bf, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x81f77099, "pci_write_config_dword" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x175cdcc4, "bus_register" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");
