#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(caam_jr_driver_probed, "", "");
KSYMTAB_FUNC(caam_jr_alloc, "", "");
KSYMTAB_FUNC(caam_jridx_alloc, "", "");
KSYMTAB_FUNC(caam_jr_free, "", "");
KSYMTAB_FUNC(caam_jr_enqueue, "", "");
KSYMTAB_FUNC(caam_jr_run_and_wait_for_completion, "", "");
KSYMTAB_FUNC(split_key_done, "", "");
KSYMTAB_FUNC(gen_split_key, "", "");
KSYMTAB_FUNC(is_key_type, "", "");
KSYMTAB_FUNC(is_trusted_type, "", "");
KSYMTAB_FUNC(is_black_key, "", "");
KSYMTAB_FUNC(is_valid_header_conf, "", "");
KSYMTAB_FUNC(get_key_conf, "", "");
KSYMTAB_FUNC(init_tag_object_header, "", "");
KSYMTAB_FUNC(set_tag_object_header_conf, "", "");
KSYMTAB_FUNC(generate_black_key, "", "");
KSYMTAB_FUNC(caam_blob_encap, "", "");
KSYMTAB_FUNC(caam_blob_decap, "", "");
KSYMTAB_FUNC(caam_process_blob, "", "");
KSYMTAB_FUNC(caam_blob_gen_init, "", "");
KSYMTAB_FUNC(caam_blob_gen_exit, "", "");
KSYMTAB_FUNC(slot_alloc, "", "");
KSYMTAB_FUNC(slot_dealloc, "", "");
KSYMTAB_FUNC(sm_init_keystore, "", "");
KSYMTAB_FUNC(sm_detect_keystore_units, "", "");
KSYMTAB_FUNC(sm_establish_keystore, "", "");
KSYMTAB_FUNC(sm_release_keystore, "", "");
KSYMTAB_FUNC(sm_keystore_slot_alloc, "", "");
KSYMTAB_FUNC(sm_keystore_slot_dealloc, "", "");
KSYMTAB_FUNC(sm_keystore_slot_load, "", "");
KSYMTAB_FUNC(sm_keystore_slot_read, "", "");
KSYMTAB_FUNC(sm_keystore_cover_key, "", "");
KSYMTAB_FUNC(sm_keystore_slot_export, "", "");
KSYMTAB_FUNC(sm_keystore_slot_import, "", "");
KSYMTAB_FUNC(caam_sm_shutdown, "", "");

SYMBOL_CRC(caam_jr_driver_probed, 0x93da4bdc, "");
SYMBOL_CRC(caam_jr_alloc, 0x758afa2b, "");
SYMBOL_CRC(caam_jridx_alloc, 0xb1d7188d, "");
SYMBOL_CRC(caam_jr_free, 0xb6429380, "");
SYMBOL_CRC(caam_jr_enqueue, 0x12e54454, "");
SYMBOL_CRC(caam_jr_run_and_wait_for_completion, 0x75937c8c, "");
SYMBOL_CRC(split_key_done, 0x6bbd20f0, "");
SYMBOL_CRC(gen_split_key, 0x80faa1a3, "");
SYMBOL_CRC(is_key_type, 0x8f0f5df9, "");
SYMBOL_CRC(is_trusted_type, 0x3c7ddf02, "");
SYMBOL_CRC(is_black_key, 0xebe3ac7d, "");
SYMBOL_CRC(is_valid_header_conf, 0x5a8495c1, "");
SYMBOL_CRC(get_key_conf, 0xa601e42b, "");
SYMBOL_CRC(init_tag_object_header, 0x91aa93a3, "");
SYMBOL_CRC(set_tag_object_header_conf, 0xdf34136f, "");
SYMBOL_CRC(generate_black_key, 0x7fa1caa0, "");
SYMBOL_CRC(caam_blob_encap, 0xa17d2153, "");
SYMBOL_CRC(caam_blob_decap, 0xf1f37188, "");
SYMBOL_CRC(caam_process_blob, 0x3803dfab, "");
SYMBOL_CRC(caam_blob_gen_init, 0xfc157785, "");
SYMBOL_CRC(caam_blob_gen_exit, 0xea6fe7c3, "");
SYMBOL_CRC(slot_alloc, 0x3905ac0e, "");
SYMBOL_CRC(slot_dealloc, 0x1d78c9e1, "");
SYMBOL_CRC(sm_init_keystore, 0x70fb9c57, "");
SYMBOL_CRC(sm_detect_keystore_units, 0x4f038538, "");
SYMBOL_CRC(sm_establish_keystore, 0xdbc1c447, "");
SYMBOL_CRC(sm_release_keystore, 0x56b577db, "");
SYMBOL_CRC(sm_keystore_slot_alloc, 0x16ea7f7c, "");
SYMBOL_CRC(sm_keystore_slot_dealloc, 0x23bd99ad, "");
SYMBOL_CRC(sm_keystore_slot_load, 0xb0a5fcb7, "");
SYMBOL_CRC(sm_keystore_slot_read, 0xc6fc9c54, "");
SYMBOL_CRC(sm_keystore_cover_key, 0x12ca5d2f, "");
SYMBOL_CRC(sm_keystore_slot_export, 0xe97839f3, "");
SYMBOL_CRC(sm_keystore_slot_import, 0x4507cafa, "");
SYMBOL_CRC(caam_sm_shutdown, 0x0827e1c0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x831ae1c6, "crypto_skcipher_encrypt" },
	{ 0x137b8a8c, "crypto_finalize_akcipher_request" },
	{ 0xbd67c092, "caam_imx" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcb76d25e, "crypto_register_rng" },
	{ 0x36835a19, "device_set_wakeup_enable" },
	{ 0x73f28a69, "misc_deregister" },
	{ 0x4d618d49, "device_set_wakeup_capable" },
	{ 0x565d5ed3, "devres_release_group" },
	{ 0x338c7753, "devm_request_threaded_irq" },
	{ 0x84862cbe, "of_platform_device_create" },
	{ 0x9e7c9f13, "devres_close_group" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xd9d54479, "cnstr_shdsc_xts_skcipher_decap" },
	{ 0x296b8bbf, "__kfifo_dma_in_prepare" },
	{ 0xa6d68939, "platform_driver_unregister" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x5502c1f1, "crypto_engine_unregister_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa72ecc09, "dmam_alloc_attrs" },
	{ 0x60dbc82a, "caam_dump_sg" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec7ce216, "cnstr_shdsc_rfc4543_encap" },
	{ 0xc7556f6e, "dma_unmap_page_attrs" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x6c0f66ce, "cnstr_shdsc_rfc4543_decap" },
	{ 0x6a048271, "devm_ioremap" },
	{ 0xe0a91a02, "dma_sync_single_for_device" },
	{ 0x3f59d6dd, "request_bus_freq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xd4bee36e, "crypto_finalize_skcipher_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x4f7f9ff9, "crypto_engine_exit" },
	{ 0xb8b45450, "cnstr_shdsc_skcipher_decap" },
	{ 0x21ea6b1d, "crypto_skcipher_setkey" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x13bec41d, "release_bus_freq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x8f4e08, "cnstr_shdsc_ahash" },
	{ 0x7c8428f1, "dev_driver_string" },
	{ 0xaacf0e97, "of_find_compatible_node" },
	{ 0x42031a44, "crypto_destroy_tfm" },
	{ 0x53d0fc97, "caam_ptr_sz" },
	{ 0xfb81a327, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xa835c392, "crypto_transfer_akcipher_request_to_engine" },
	{ 0xad9c2873, "cnstr_shdsc_chachapoly" },
	{ 0x90ecb3b0, "crypto_engine_register_skcipher" },
	{ 0xf17e9da6, "crypto_finalize_hash_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37734e06, "caam_dpaa2" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xbecb083e, "crypto_skcipher_decrypt" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xcc0b031c, "crypto_engine_unregister_skcipher" },
	{ 0x1f5a6976, "cnstr_shdsc_aead_encap" },
	{ 0xd26f1bab, "compat_ptr_ioctl" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x53182802, "cnstr_shdsc_rfc4106_decap" },
	{ 0xf89ed987, "crypto_transfer_hash_request_to_engine" },
	{ 0xc2cd1e78, "sg_miter_next" },
	{ 0xe53f0591, "cnstr_shdsc_aead_decap" },
	{ 0x5be142ff, "crypto_unregister_rng" },
	{ 0x352255a5, "_dev_err" },
	{ 0xc8e5cc9d, "device_wakeup_enable" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xe70b1694, "cnstr_shdsc_xts_skcipher_encap" },
	{ 0x78e8ced9, "cnstr_shdsc_aead_givencap" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x77c49f1f, "platform_get_resource" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x7d67cc3, "sg_miter_stop" },
	{ 0x353ae09, "crypto_engine_start" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x23b097fc, "crypto_engine_register_aead" },
	{ 0xbc0d73e5, "cnstr_desc_blob_decap" },
	{ 0x386e601, "devres_open_group" },
	{ 0xd61aad76, "crypto_engine_unregister_ahash" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xbba2dad8, "cnstr_desc_black_key" },
	{ 0xd719448, "sg_miter_start" },
	{ 0x67e7d7f1, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0xe8454cd3, "misc_register" },
	{ 0x2e23631f, "crypto_transfer_aead_request_to_engine" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x86529e0c, "cnstr_desc_random_black_key" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0f8519b, "__platform_driver_register" },
	{ 0x50189183, "dma_set_coherent_mask" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x9b194d7c, "crypto_finalize_aead_request" },
	{ 0x5164dd62, "of_device_is_compatible" },
	{ 0x71954f0c, "cnstr_shdsc_gcm_decap" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcdbe07a5, "of_device_unregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x71b61b98, "crypto_engine_unregister_akcipher" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb346b4c6, "cnstr_shdsc_aead_null_encap" },
	{ 0xb7fcecd, "caam_strstatus" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf1e6cbd4, "cnstr_shdsc_gcm_encap" },
	{ 0x74f4d695, "crypto_engine_register_akcipher" },
	{ 0x1fa748c, "cnstr_shdsc_skcipher_encap" },
	{ 0x6f135de5, "cnstr_shdsc_aead_null_decap" },
	{ 0x91e8b56, "crypto_transfer_skcipher_request_to_engine" },
	{ 0xa51f16c7, "caam_little_end" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfd7cb22f, "dma_set_mask" },
	{ 0xd36bacda, "cnstr_shdsc_rfc4106_encap" },
	{ 0xab03c316, "dma_unmap_sg_attrs" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x88dc53d3, "__devm_add_action" },
	{ 0x4b1f70cb, "cnstr_desc_blob_encap" },
	{ 0x72d4a8a7, "cnstr_shdsc_sk_hash" },
	{ 0xc085aa2c, "irq_of_parse_and_map" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x1eab0f6e, "crypto_engine_register_ahash" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x94ba1208, "devm_hwrng_register" },
	{ 0xaa01e8b2, "crypto_engine_alloc_init_and_set" },
	{ 0x323a15e1, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcac0f184, "crypto_alloc_skcipher" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "crypto_engine,error,caamalg_desc,caamhash_desc,authenc,caam,caamkeyblob_desc,libdes");

MODULE_ALIAS("of:N*T*Cfsl,sec-v4.0-job-ring");
MODULE_ALIAS("of:N*T*Cfsl,sec-v4.0-job-ringC*");
MODULE_ALIAS("of:N*T*Cfsl,sec4.0-job-ring");
MODULE_ALIAS("of:N*T*Cfsl,sec4.0-job-ringC*");
