#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cnstr_shdsc_aead_null_encap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_aead_null_decap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_aead_encap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_aead_decap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_aead_givencap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_tls_encap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_tls_decap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_gcm_encap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_gcm_decap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_rfc4106_encap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_rfc4106_decap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_rfc4543_encap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_rfc4543_decap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_chachapoly, "", "");
KSYMTAB_FUNC(cnstr_shdsc_skcipher_encap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_skcipher_decap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_xts_skcipher_encap, "", "");
KSYMTAB_FUNC(cnstr_shdsc_xts_skcipher_decap, "", "");

SYMBOL_CRC(cnstr_shdsc_aead_null_encap, 0xb346b4c6, "");
SYMBOL_CRC(cnstr_shdsc_aead_null_decap, 0x6f135de5, "");
SYMBOL_CRC(cnstr_shdsc_aead_encap, 0x1f5a6976, "");
SYMBOL_CRC(cnstr_shdsc_aead_decap, 0xe53f0591, "");
SYMBOL_CRC(cnstr_shdsc_aead_givencap, 0x78e8ced9, "");
SYMBOL_CRC(cnstr_shdsc_tls_encap, 0xdeaf4d06, "");
SYMBOL_CRC(cnstr_shdsc_tls_decap, 0x7290b552, "");
SYMBOL_CRC(cnstr_shdsc_gcm_encap, 0xf1e6cbd4, "");
SYMBOL_CRC(cnstr_shdsc_gcm_decap, 0x71954f0c, "");
SYMBOL_CRC(cnstr_shdsc_rfc4106_encap, 0xd36bacda, "");
SYMBOL_CRC(cnstr_shdsc_rfc4106_decap, 0x53182802, "");
SYMBOL_CRC(cnstr_shdsc_rfc4543_encap, 0xec7ce216, "");
SYMBOL_CRC(cnstr_shdsc_rfc4543_decap, 0x6c0f66ce, "");
SYMBOL_CRC(cnstr_shdsc_chachapoly, 0xad9c2873, "");
SYMBOL_CRC(cnstr_shdsc_skcipher_encap, 0x01fa748c, "");
SYMBOL_CRC(cnstr_shdsc_skcipher_decap, 0xb8b45450, "");
SYMBOL_CRC(cnstr_shdsc_xts_skcipher_encap, 0xe70b1694, "");
SYMBOL_CRC(cnstr_shdsc_xts_skcipher_decap, 0xd9d54479, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa51f16c7, "caam_little_end" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53d0fc97, "caam_ptr_sz" },
	{ 0xbd67c092, "caam_imx" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "error");

