#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dpaa2_caam_enqueue, "", "");

SYMBOL_CRC(dpaa2_caam_enqueue, 0x82b5a977, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x831ae1c6, "crypto_skcipher_encrypt" },
	{ 0xbd67c092, "caam_imx" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xd9d54479, "cnstr_shdsc_xts_skcipher_decap" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x171d7ebc, "netif_napi_add_weight" },
	{ 0x8afee663, "fsl_mc_portal_allocate" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x60dbc82a, "caam_dump_sg" },
	{ 0x7d6f36b4, "iommu_iova_to_phys" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec7ce216, "cnstr_shdsc_rfc4543_encap" },
	{ 0xc7556f6e, "dma_unmap_page_attrs" },
	{ 0x6c0f66ce, "cnstr_shdsc_rfc4543_decap" },
	{ 0xfd90338b, "fsl_mc_driver_unregister" },
	{ 0x2f10852c, "dpaa2_io_service_select" },
	{ 0xe0a91a02, "dma_sync_single_for_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x80f40697, "crypto_register_aead" },
	{ 0x95d79c8, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x7fe1720c, "seq_lseek" },
	{ 0xb8b45450, "cnstr_shdsc_skcipher_decap" },
	{ 0x21ea6b1d, "crypto_skcipher_setkey" },
	{ 0x94365815, "__netif_napi_del" },
	{ 0xcb39389b, "kmem_cache_create" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0x8f4e08, "cnstr_shdsc_ahash" },
	{ 0x7c8428f1, "dev_driver_string" },
	{ 0x42e8c375, "crypto_unregister_ahash" },
	{ 0x42031a44, "crypto_destroy_tfm" },
	{ 0x3d01f417, "dpaa2_io_service_pull_fq" },
	{ 0x53d0fc97, "caam_ptr_sz" },
	{ 0xfb81a327, "dma_map_page_attrs" },
	{ 0x6fa6ca60, "napi_complete_done" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xad9c2873, "cnstr_shdsc_chachapoly" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x30f2d6c, "dpaa2_io_service_enqueue_fq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9e81961, "dpaa2_io_query_fq_count" },
	{ 0xbecb083e, "crypto_skcipher_decrypt" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x261cd01, "dpaa2_io_store_next" },
	{ 0x8d34124, "kmem_cache_alloc" },
	{ 0xec5144d1, "_dev_info" },
	{ 0x1f5a6976, "cnstr_shdsc_aead_encap" },
	{ 0x1b7c4023, "dpaa2_io_service_rearm" },
	{ 0x4ca1bdef, "iommu_get_domain_for_dev" },
	{ 0x53182802, "cnstr_shdsc_rfc4106_decap" },
	{ 0xe53f0591, "cnstr_shdsc_aead_decap" },
	{ 0x6a62f801, "crypto_register_skcipher" },
	{ 0x352255a5, "_dev_err" },
	{ 0xe70b1694, "cnstr_shdsc_xts_skcipher_encap" },
	{ 0x78e8ced9, "cnstr_shdsc_aead_givencap" },
	{ 0x8ea963ae, "kmem_cache_free" },
	{ 0xfd6c9868, "debugfs_remove" },
	{ 0x5b1f37b8, "napi_enable" },
	{ 0xc2d7a6c0, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xa9aa4c50, "crypto_unregister_skcipher" },
	{ 0x7290b552, "cnstr_shdsc_tls_decap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5e3240a0, "__cpu_online_mask" },
	{ 0xb84a2468, "dpaa2_io_service_deregister" },
	{ 0x67e7d7f1, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x50189183, "dma_set_coherent_mask" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0x48c2dcfe, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0xdf35cb9c, "debugfs_create_file" },
	{ 0xdeaf4d06, "cnstr_shdsc_tls_encap" },
	{ 0xe60c6ab1, "dpaa2_io_service_register" },
	{ 0x71954f0c, "cnstr_shdsc_gcm_decap" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa0551400, "dpaa2_io_store_create" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc0cfa340, "seq_printf" },
	{ 0xb7fcecd, "caam_strstatus" },
	{ 0xf1e6cbd4, "cnstr_shdsc_gcm_encap" },
	{ 0x1fa748c, "cnstr_shdsc_skcipher_encap" },
	{ 0xa51f16c7, "caam_little_end" },
	{ 0x5d13ee4f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfd7cb22f, "dma_set_mask" },
	{ 0xd36bacda, "cnstr_shdsc_rfc4106_encap" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0xab03c316, "dma_unmap_sg_attrs" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x93bb908e, "fsl_mc_portal_free" },
	{ 0x83e88413, "__napi_schedule_irqoff" },
	{ 0x6d1f0c58, "napi_schedule_prep" },
	{ 0xfb0b4448, "napi_disable" },
	{ 0xa6279c53, "single_open" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0xa175274c, "mc_send_command" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x9fee4a53, "__fsl_mc_driver_register" },
	{ 0xd04fe558, "kmem_cache_destroy" },
	{ 0x323a15e1, "dma_map_sg_attrs" },
	{ 0x4994345c, "dpaa2_io_store_destroy" },
	{ 0xcac0f184, "crypto_alloc_skcipher" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "error,caamalg_desc,caamhash_desc,authenc,libdes");

MODULE_ALIAS("fsl-mc:v00001957ddpseci");
