#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hisi_sec_get_pf_driver, "_gpl", "");

SYMBOL_CRC(hisi_sec_get_pf_driver, 0x1a0fcc94, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x831ae1c6, "crypto_skcipher_encrypt" },
	{ 0xe29c474a, "hisi_qm_dev_slot_reset" },
	{ 0xb71cad1d, "hisi_qm_dev_shutdown" },
	{ 0x52a963bf, "simple_attr_open" },
	{ 0xa31b4c4c, "debugfs_attr_write" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x74b66683, "hisi_qm_dev_err_uninit" },
	{ 0xd275c5e8, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x398bd704, "hisi_qm_acc_diff_regs_dump" },
	{ 0x59c8afed, "hisi_qm_sriov_configure" },
	{ 0x30dba7f7, "hisi_qm_pm_uninit" },
	{ 0x313ff7af, "pci_dev_put" },
	{ 0x4ee34b6d, "pci_get_device" },
	{ 0x9dc8d732, "__pci_register_driver" },
	{ 0x7e9d84f0, "hisi_qm_regs_debugfs_init" },
	{ 0x86d21dc7, "hisi_qm_sriov_disable" },
	{ 0x386ca0bf, "hisi_qm_pm_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x80f40697, "crypto_register_aead" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x95d79c8, "crypto_unregister_aead" },
	{ 0x3b31110f, "hisi_qm_resume" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a384003, "uacce_register" },
	{ 0xe85e7159, "hisi_qm_alloc_qps_node" },
	{ 0x14118d1c, "hisi_qm_regs_debugfs_uninit" },
	{ 0x7fe1720c, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x1546a730, "crypto_alloc_aead" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb0f94fb, "crypto_aead_setauthsize" },
	{ 0x3cd1ba4b, "crypto_aead_decrypt" },
	{ 0x21ea6b1d, "crypto_skcipher_setkey" },
	{ 0x842f5cc5, "hisi_qm_start" },
	{ 0xb8955bba, "hisi_qm_alg_register" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0x401fa440, "hisi_qm_uninit" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xc8b89657, "pci_unregister_driver" },
	{ 0x42031a44, "crypto_destroy_tfm" },
	{ 0x79681c4e, "hisi_qm_set_algs" },
	{ 0xd2a9322c, "hisi_qm_dev_err_init" },
	{ 0x99eda03a, "hisi_qm_alg_unregister" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbecb083e, "crypto_skcipher_decrypt" },
	{ 0x6dee44e6, "hisi_qm_start_qp" },
	{ 0x618911fc, "numa_node" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xffae1ad7, "hisi_qm_reset_done" },
	{ 0x75ced9fc, "hisi_qm_sriov_enable" },
	{ 0x4ca1bdef, "iommu_get_domain_for_dev" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf56664fb, "debugfs_attr_read" },
	{ 0x9b3663e2, "crypto_aead_setkey" },
	{ 0xb24b0868, "hisi_qm_get_hw_info" },
	{ 0x143a5df, "hisi_qm_put_dfx_access" },
	{ 0x6a62f801, "crypto_register_skcipher" },
	{ 0x352255a5, "_dev_err" },
	{ 0x6b396470, "simple_open" },
	{ 0xbb837f8, "simple_attr_release" },
	{ 0xd4bcdcd1, "crypto_aead_encrypt" },
	{ 0x86b20bf9, "hisi_acc_sg_buf_unmap" },
	{ 0x9623155a, "dma_alloc_attrs" },
	{ 0xfd6c9868, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa9aa4c50, "crypto_unregister_skcipher" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x48d20fa8, "hisi_acc_create_sgl_pool" },
	{ 0x61c3ca27, "hisi_qm_regs_dump" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x922bb82, "hisi_qm_get_dfx_access" },
	{ 0x3b606ba, "hisi_acc_free_sgl_pool" },
	{  0x156c2, "crypto_alloc_sync_skcipher" },
	{ 0x179588af, "hisi_qm_suspend" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xa5097af5, "hisi_qm_dev_err_detected" },
	{ 0xe3234547, "hisi_qm_stop" },
	{ 0x48c2dcfe, "seq_read" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc12e4bb7, "hisi_acc_sg_buf_map_to_hw_sgl" },
	{ 0xdf35cb9c, "debugfs_create_file" },
	{ 0xa9bf2135, "param_set_int" },
	{ 0xb8850f4b, "dma_free_attrs" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6df8513, "hisi_qm_stop_qp" },
	{ 0x4b248395, "hisi_qm_init" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2224f65b, "hisi_qm_free_qps" },
	{ 0x33f93f7, "hisi_qm_debug_init" },
	{ 0x5d13ee4f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xed1a7a32, "hisi_qp_send" },
	{ 0x2bc5174b, "hisi_qm_debug_regs_clear" },
	{ 0xd681d5c9, "param_get_int" },
	{ 0xa6279c53, "single_open" },
	{ 0x676cdac9, "crypto_alloc_shash" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0xb5362d66, "hisi_qm_wait_task_finish" },
	{ 0x5e8f721d, "hisi_qm_reset_prepare" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "hisi_qm,uacce,authenc");

MODULE_ALIAS("pci:v000019E5d0000A255sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A256sv*sd*bc*sc*i*");
