#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe8f673, "i2c_register_driver" },
	{ 0x9e23364, "drm_bridge_remove" },
	{ 0x6aee4eb4, "i2c_mux_del_adapters" },
	{ 0x3559dd7d, "platform_device_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa6d49647, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x6f93e738, "regmap_update_bits_base" },
	{ 0xc2e226de, "regmap_bulk_write" },
	{ 0x8df9a86, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x8dafaf22, "hdmi_avi_infoframe_pack" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x352255a5, "_dev_err" },
	{ 0x214bf73, "drm_connector_init" },
	{ 0x7c0d9cad, "drm_display_info_set_bus_formats" },
	{ 0x379ad71c, "drm_connector_attach_encoder" },
	{ 0x6c336962, "drm_bridge_attach" },
	{ 0xe9cc28e9, "drm_get_edid" },
	{ 0x38690d99, "drm_detect_hdmi_monitor" },
	{ 0x2c2cad3b, "drm_connector_update_edid_property" },
	{ 0xa1f7fe3d, "drm_add_edid_modes" },
	{ 0x37a0cba, "kfree" },
	{ 0x173c080, "regmap_write" },
	{ 0xdbf44699, "drm_helper_hpd_irq_event" },
	{ 0x791d5530, "drm_bridge_hpd_notify" },
	{ 0xd56af525, "of_graph_parse_endpoint" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x8f281369, "i2c_del_driver" },
	{ 0x594dc8e3, "platform_device_register_full" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xf3a1055f, "__devm_regmap_init_i2c" },
	{ 0x7614c98, "devm_gpiod_get_optional" },
	{ 0xf2839ec3, "of_graph_get_endpoint_by_regs" },
	{ 0x16e7d5e2, "of_graph_get_remote_port_parent" },
	{ 0xb69ec7a9, "of_node_put" },
	{ 0xa3598ebc, "of_device_is_available" },
	{ 0x47a423ac, "of_drm_find_bridge" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb40073eb, "devm_regulator_bulk_get_enable" },
	{ 0xf6b313d9, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6b4b442e, "regmap_bulk_read" },
	{ 0x338c7753, "devm_request_threaded_irq" },
	{ 0xa02fb58f, "of_find_property" },
	{ 0x7d88edf5, "of_property_read_variable_u8_array" },
	{ 0x3b0adf65, "devm_clk_get_optional" },
	{ 0xb2e30951, "i2c_mux_alloc" },
	{ 0x447a7822, "i2c_mux_add_adapter" },
	{ 0x696264ee, "drm_bridge_add" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x29e1e204, "hdmi_audio_infoframe_pack" },
	{ 0x4c88177, "__i2c_smbus_xfer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x899a4dc9, "drm_atomic_helper_connector_reset" },
	{ 0x863195ae, "drm_helper_probe_single_connector_modes" },
	{ 0xa59fd419, "drm_connector_cleanup" },
	{ 0x5d4d2ea8, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xfcf2cb0a, "drm_atomic_helper_connector_destroy_state" },
	{ 0x65796dfc, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0xc7b9b0bc, "drm_atomic_helper_bridge_destroy_state" },
	{ 0xc39f2776, "drm_atomic_helper_bridge_reset" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:sii9022");
MODULE_ALIAS("of:N*T*Csil,sii9022");
MODULE_ALIAS("of:N*T*Csil,sii9022C*");
