#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe8f673, "i2c_register_driver" },
	{ 0xfc510af7, "__auxiliary_driver_register" },
	{ 0xf9290192, "auxiliary_driver_unregister" },
	{ 0x8f281369, "i2c_del_driver" },
	{ 0x9e23364, "drm_bridge_remove" },
	{ 0xb69ec7a9, "of_node_put" },
	{ 0xe9cc28e9, "drm_get_edid" },
	{ 0x99324e77, "__pm_runtime_resume" },
	{ 0xa6d49647, "regmap_read" },
	{ 0xf4bd8c9, "__pm_runtime_suspend" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa1f428e2, "drm_dp_aux_unregister" },
	{ 0xac715bfa, "drm_dp_aux_register" },
	{ 0x6c336962, "drm_bridge_attach" },
	{ 0x9a0c2006, "drm_bridge_connector_init" },
	{ 0x379ad71c, "drm_connector_attach_encoder" },
	{ 0x352255a5, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x173c080, "regmap_write" },
	{ 0xc2e226de, "regmap_bulk_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6b4b442e, "regmap_bulk_read" },
	{ 0x37a0cba, "kfree" },
	{ 0x77899b36, "device_del" },
	{ 0x5c161060, "put_device" },
	{ 0xf44458fe, "__pm_runtime_use_autosuspend" },
	{ 0x8be81b85, "__pm_runtime_disable" },
	{ 0xa6279c53, "single_open" },
	{ 0xc0b9244e, "seq_puts" },
	{ 0xc0cfa340, "seq_printf" },
	{ 0xfd6c9868, "debugfs_remove" },
	{ 0xb2830dd2, "gpiochip_get_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6f93e738, "regmap_update_bits_base" },
	{ 0x6e75370, "_dev_warn" },
	{ 0xa02fb58f, "of_find_property" },
	{ 0xefce7634, "devm_gpiochip_add_data_with_key" },
	{ 0xefd7849a, "pwmchip_remove" },
	{ 0xe59f6dfd, "__pm_runtime_idle" },
	{ 0x609908fb, "of_pwm_single_xlate" },
	{ 0x17c68d4e, "pwmchip_add" },
	{ 0xb8548ba, "devm_drm_of_get_bridge" },
	{ 0xf2839ec3, "of_graph_get_endpoint_by_regs" },
	{ 0x52ef11af, "drm_of_get_data_lanes_count" },
	{ 0x6fe2a175, "of_graph_get_remote_node" },
	{ 0x696264ee, "drm_bridge_add" },
	{ 0x73ed14cc, "of_find_mipi_dsi_host_by_node" },
	{ 0x8d46ddfd, "devm_mipi_dsi_device_register_full" },
	{ 0xa3e6adf9, "devm_mipi_dsi_attach" },
	{ 0x880d2f9c, "of_property_read_variable_u32_array" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xf6b313d9, "gpiod_set_value_cansleep" },
	{ 0x5d9260e3, "regulator_bulk_disable" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x72c2dde8, "device_set_of_node_from_dev" },
	{ 0xb9bff902, "auxiliary_device_init" },
	{ 0x88dc53d3, "__devm_add_action" },
	{ 0xdc3bfbac, "__auxiliary_device_add" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf3a1055f, "__devm_regmap_init_i2c" },
	{ 0x7614c98, "devm_gpiod_get_optional" },
	{ 0x8d845deb, "devm_regulator_bulk_get" },
	{ 0x3b0adf65, "devm_clk_get_optional" },
	{ 0x2048acff, "pm_runtime_enable" },
	{ 0x4f1c5114, "pm_runtime_set_autosuspend_delay" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0xdf35cb9c, "debugfs_create_file" },
	{ 0x2a6df137, "drm_dp_aux_init" },
	{ 0x2f6885b9, "devm_of_dp_aux_populate_bus" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x1f863dd2, "regulator_bulk_enable" },
	{ 0xca64de89, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x27534697, "drm_dp_dpcd_read" },
	{ 0x69c487cb, "drm_dev_printk" },
	{ 0xaadfc3ec, "drm_dp_dpcd_write" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x65796dfc, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0xc7b9b0bc, "drm_atomic_helper_bridge_destroy_state" },
	{ 0xc39f2776, "drm_atomic_helper_bridge_reset" },
	{ 0x7fe1720c, "seq_lseek" },
	{ 0x48c2dcfe, "seq_read" },
	{ 0x5d13ee4f, "single_release" },
	{ 0x959cd12f, "pm_runtime_force_suspend" },
	{ 0xb134adc6, "pm_runtime_force_resume" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "drm_dp_aux_bus");

MODULE_ALIAS("of:N*T*Cti,sn65dsi86");
MODULE_ALIAS("of:N*T*Cti,sn65dsi86C*");
MODULE_ALIAS("i2c:ti,sn65dsi86");
MODULE_ALIAS("auxiliary:ti_sn65dsi86.gpio");
