#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x6be55bd8, "");
SYMBOL_CRC(drm_gem_vram_put, 0xe706f029, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x1c1c4ee8, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x8ecfab6c, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x74f384ba, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xe3afc6c7, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x864fb36d, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x90e6b434, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xa154da1a, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x056efb47, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x33ef095e, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0xbdd19983, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x1895ba7c, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x3cb6305a, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xb9a96d3b, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x9b2d8c2a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfce2b30f, "ttm_range_man_init_nocheck" },
	{ 0xf018eab2, "ww_mutex_lock_interruptible" },
	{ 0xa163eb46, "ttm_resource_manager_debug" },
	{ 0xf36d97e2, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x54aa4e13, "ttm_range_man_fini_nocheck" },
	{ 0xe07ecddc, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xce348de2, "ttm_bo_pin" },
	{ 0x7c8428f1, "dev_driver_string" },
	{ 0x833957ed, "drm_gem_ttm_mmap" },
	{ 0xb4ea128f, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6b94af8e, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x8f8b37f0, "drm_gem_object_release" },
	{ 0xabeda516, "ttm_tt_init" },
	{ 0xae6e3858, "drm_gem_handle_create" },
	{ 0x62cef589, "drm_gem_fb_get_obj" },
	{ 0xca99174, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0xc46a4074, "drm_debugfs_add_files" },
	{ 0x91876096, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8a4e6a, "ttm_device_init" },
	{ 0x275cc7dd, "ttm_bo_validate" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb89df92c, "ttm_bo_move_to_lru_tail" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x787cafd5, "ttm_bo_vmap" },
	{ 0xcb14f4c9, "ttm_bo_put" },
	{ 0xfcd3037c, "ttm_resource_free" },
	{ 0x1ce5b582, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x33fcc920, "ttm_tt_fini" },
	{ 0x59b25656, "ttm_device_fini" },
	{ 0x705e8e6d, "drm_gem_plane_helper_prepare_fb" },
	{ 0x287f58d0, "ttm_bo_eviction_valuable" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0xd68e584c, "drm_gem_ttm_print_info" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");

