#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cros_ec_sensors_push_data, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_init, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_register, "_gpl", "");
KSYMTAB_FUNC(cros_ec_motion_send_host_cmd, "_gpl", "");
KSYMTAB_DATA(cros_ec_sensors_ext_info, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_read_lpc, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_read_cmd, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_capture, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_read, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_read_avail, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_write, "_gpl", "");
KSYMTAB_DATA(cros_ec_sensors_pm_ops, "_gpl", "");

SYMBOL_CRC(cros_ec_sensors_push_data, 0xc26132a9, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_init, 0xdbaef4ed, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_register, 0x4fbfd952, "_gpl");
SYMBOL_CRC(cros_ec_motion_send_host_cmd, 0x84816c20, "_gpl");
SYMBOL_CRC(cros_ec_sensors_ext_info, 0x4b62c1cf, "_gpl");
SYMBOL_CRC(cros_ec_sensors_read_lpc, 0x4a7f4b72, "_gpl");
SYMBOL_CRC(cros_ec_sensors_read_cmd, 0xda2c3e74, "_gpl");
SYMBOL_CRC(cros_ec_sensors_capture, 0x9971dac4, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_read, 0x85bb05b5, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_read_avail, 0x4c8f9f02, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_write, 0xc0081a46, "_gpl");
SYMBOL_CRC(cros_ec_sensors_pm_ops, 0x461cccc6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x90beda96, "cros_ec_sensorhub_unregister_push_data" },
	{ 0x449f3618, "cros_ec_cmd_xfer_status" },
	{ 0x4829a47e, "memcpy" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6e75370, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x257acd03, "iio_get_time_ns" },
	{ 0x22421746, "iio_push_to_buffers" },
	{ 0x35d7cb1b, "iio_trigger_notify_done" },
	{ 0x2cfe2d7b, "iio_device_claim_buffer_mode" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x93a614de, "iio_device_get_clock" },
	{ 0x6dfb3e4b, "iio_device_release_buffer_mode" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc7f3c540, "cros_ec_check_features" },
	{ 0x1cedcc96, "devm_iio_kfifo_buffer_setup_ext" },
	{ 0x6e6e699f, "iio_device_set_clock" },
	{ 0xa9c8fd8f, "devm_iio_triggered_buffer_setup_ext" },
	{ 0xd897b71a, "__devm_iio_device_register" },
	{ 0xd0924179, "cros_ec_sensorhub_register_push_data" },
	{ 0x88dc53d3, "__devm_add_action" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

