#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st_sensors_debugfs_reg_access, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_odr, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_enable, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_axis_enable, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_power_enable, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_dev_name_probe, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_init_sensor, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_dataready_irq, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_fullscale_by_gain, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_read_info_raw, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_get_settings_index, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_verify_id, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_sysfs_sampling_frequency_avail, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_sysfs_scale_avail, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_trigger_handler, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_allocate_trigger, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_validate_device, "", "IIO_ST_SENSORS");

SYMBOL_CRC(st_sensors_debugfs_reg_access, 0xa3ddd9a9, "");
SYMBOL_CRC(st_sensors_set_odr, 0x843d793d, "");
SYMBOL_CRC(st_sensors_set_enable, 0xa4543646, "");
SYMBOL_CRC(st_sensors_set_axis_enable, 0x3f5ab59b, "");
SYMBOL_CRC(st_sensors_power_enable, 0xf4251397, "");
SYMBOL_CRC(st_sensors_dev_name_probe, 0xb8bc2a4b, "");
SYMBOL_CRC(st_sensors_init_sensor, 0x7116d3d6, "");
SYMBOL_CRC(st_sensors_set_dataready_irq, 0x9c46b1b7, "");
SYMBOL_CRC(st_sensors_set_fullscale_by_gain, 0x220e723d, "");
SYMBOL_CRC(st_sensors_read_info_raw, 0x95288db5, "");
SYMBOL_CRC(st_sensors_get_settings_index, 0xf9bddd69, "");
SYMBOL_CRC(st_sensors_verify_id, 0x3f07a040, "");
SYMBOL_CRC(st_sensors_sysfs_sampling_frequency_avail, 0xf916ba49, "");
SYMBOL_CRC(st_sensors_sysfs_scale_avail, 0x63c229bc, "");
SYMBOL_CRC(st_sensors_trigger_handler, 0x074d7047, "");
SYMBOL_CRC(st_sensors_allocate_trigger, 0x33754ff4, "");
SYMBOL_CRC(st_sensors_validate_device, 0xddfe05ae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2ca2497, "device_property_present" },
	{ 0x173c080, "regmap_write" },
	{ 0x338c7753, "devm_request_threaded_irq" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x22421746, "iio_push_to_buffers" },
	{ 0x96848186, "scnprintf" },
	{ 0xb1412966, "iio_device_release_direct_mode" },
	{ 0x37a0cba, "kfree" },
	{ 0x1853775c, "__module_get" },
	{ 0x8c06da48, "get_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe12bea6a, "device_property_read_u32_array" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xf0443a56, "iio_device_claim_direct_mode" },
	{ 0x352255a5, "_dev_err" },
	{ 0x396f915c, "irq_get_irq_data" },
	{ 0x64e3ea93, "iio_trigger_poll_nested" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbc8e2977, "iio_trigger_using_own" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb40073eb, "devm_regulator_bulk_get_enable" },
	{ 0x4bd91786, "device_get_match_data" },
	{ 0xd7b5acd8, "devm_iio_trigger_register" },
	{ 0x257acd03, "iio_get_time_ns" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa6d49647, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6b4b442e, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6f93e738, "regmap_update_bits_base" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0x35d7cb1b, "iio_trigger_notify_done" },
	{ 0x873cc7b3, "__devm_iio_trigger_alloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x65344d03, "__dev_fwnode" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

