#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe8f673, "i2c_register_driver" },
	{ 0xd9b601e, "i2c_transfer" },
	{ 0x352255a5, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x96848186, "scnprintf" },
	{ 0x8f281369, "i2c_del_driver" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1fb31e1e, "i2c_transfer_buffer_flags" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9a482f9, "msleep" },
	{ 0x396f915c, "irq_get_irq_data" },
	{ 0x6e75370, "_dev_warn" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd7daf0c, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xded5f7e0, "gpiod_set_value" },
	{ 0x589ace92, "sysfs_remove_group" },
	{ 0x938cb604, "input_unregister_device" },
	{ 0x5d9260e3, "regulator_bulk_disable" },
	{ 0x49dcaa2, "input_event" },
	{ 0x3a0faf60, "input_mt_report_slot_state" },
	{ 0xa6257a2f, "complete" },
	{ 0xa4193838, "input_mt_report_pointer_emulation" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xdcb764ad, "memset" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa3856328, "input_allocate_device" },
	{ 0x7b560846, "input_set_capability" },
	{ 0x57bbd5b3, "input_set_abs_params" },
	{ 0xbe913cca, "input_mt_init_slots" },
	{ 0x12f8d169, "input_register_device" },
	{ 0x86417a52, "input_alloc_absinfo" },
	{ 0xfa3ddeba, "input_free_device" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x645959a5, "request_firmware_nowait" },
	{ 0xdb93f85a, "request_firmware" },
	{ 0xf2ca2497, "device_property_present" },
	{ 0x61ef3f04, "is_acpi_device_node" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xe12bea6a, "device_property_read_u32_array" },
	{ 0x8d845deb, "devm_regulator_bulk_get" },
	{ 0x7614c98, "devm_gpiod_get_optional" },
	{ 0x338c7753, "devm_request_threaded_irq" },
	{ 0x1f863dd2, "regulator_bulk_enable" },
	{ 0x57382fdb, "sysfs_create_group" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");
