#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe8f673, "i2c_register_driver" },
	{ 0xba21165a, "regulator_disable" },
	{ 0x173c080, "regmap_write" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf6b313d9, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6e75370, "_dev_warn" },
	{ 0xfd6c9868, "debugfs_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x5c2392da, "regmap_exit" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x352255a5, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6d49647, "regmap_read" },
	{ 0x96848186, "scnprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x6b4b442e, "regmap_bulk_read" },
	{ 0x49dcaa2, "input_event" },
	{ 0x3a0faf60, "input_mt_report_slot_state" },
	{ 0xa4193838, "input_mt_report_pointer_emulation" },
	{ 0x47bff5ed, "touchscreen_report_pos" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd9b601e, "i2c_transfer" },
	{ 0x52a963bf, "simple_attr_open" },
	{ 0x8f281369, "i2c_del_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf39cbdf3, "regulator_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa2be54d7, "i2c_client_get_device_id" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xee8ded44, "__regmap_init_i2c" },
	{ 0x4bd91786, "device_get_match_data" },
	{ 0x716aff94, "devm_regulator_get" },
	{ 0x88dc53d3, "__devm_add_action" },
	{ 0x7614c98, "devm_gpiod_get_optional" },
	{ 0x2d1e8bd3, "devm_input_allocate_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x349cba85, "strchr" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe12bea6a, "device_property_read_u32_array" },
	{ 0x57bbd5b3, "input_set_abs_params" },
	{ 0xb6fc4ac3, "touchscreen_parse_properties" },
	{ 0xbe913cca, "input_mt_init_slots" },
	{ 0x396f915c, "irq_get_irq_data" },
	{ 0x338c7753, "devm_request_threaded_irq" },
	{ 0x54ac6a34, "devm_device_add_group" },
	{ 0x12f8d169, "input_register_device" },
	{ 0x7c8428f1, "dev_driver_string" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0x60a69c73, "debugfs_create_u16" },
	{ 0xdf35cb9c, "debugfs_create_file" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3d4ffddf, "generic_file_llseek" },
	{ 0xd1a5b5f2, "simple_attr_read" },
	{ 0x1680a7b0, "simple_attr_write" },
	{ 0xbb837f8, "simple_attr_release" },
	{ 0x6b396470, "simple_open" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cedt,edt-ft5206");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5206C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506C*");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236C*");
MODULE_ALIAS("i2c:edt-ft5x06");
MODULE_ALIAS("i2c:edt-ft5506");
MODULE_ALIAS("i2c:ev-ft5726");
MODULE_ALIAS("i2c:ft6236");
