#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf39cbdf3, "regulator_enable" },
	{ 0x7aeedcb6, "input_copy_abs" },
	{ 0xf2ca2497, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x61ef3f04, "is_acpi_device_node" },
	{ 0x338c7753, "devm_request_threaded_irq" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6a194b3e, "input_mt_sync_frame" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdb93f85a, "request_firmware" },
	{ 0x3a0faf60, "input_mt_report_slot_state" },
	{ 0x2d1e8bd3, "devm_input_allocate_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7614c98, "devm_gpiod_get_optional" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x12f8d169, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cc9c8c4, "devm_free_irq" },
	{ 0xe12bea6a, "device_property_read_u32_array" },
	{ 0x716aff94, "devm_regulator_get" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xbe8f673, "i2c_register_driver" },
	{ 0x352255a5, "_dev_err" },
	{ 0x645959a5, "request_firmware_nowait" },
	{ 0x6436357b, "gpiod_direction_output_raw" },
	{ 0xbe913cca, "input_mt_init_slots" },
	{ 0xcd57b6dd, "gpiod_direction_input" },
	{ 0xe038dbfa, "device_property_read_string" },
	{ 0x7b560846, "input_set_capability" },
	{ 0xdcb764ad, "memset" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x49dcaa2, "input_event" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x57bbd5b3, "input_set_abs_params" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0x47bff5ed, "touchscreen_report_pos" },
	{ 0x86417a52, "input_alloc_absinfo" },
	{ 0xd9b601e, "i2c_transfer" },
	{ 0xba21165a, "regulator_disable" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0x88dc53d3, "__devm_add_action" },
	{ 0x8f281369, "i2c_del_driver" },
	{ 0xb6fc4ac3, "touchscreen_parse_properties" },
	{ 0x32f36f2e, "gpiod_direction_output" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cgoodix,gt1151");
MODULE_ALIAS("of:N*T*Cgoodix,gt1151C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt1158");
MODULE_ALIAS("of:N*T*Cgoodix,gt1158C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt5663");
MODULE_ALIAS("of:N*T*Cgoodix,gt5663C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt5688");
MODULE_ALIAS("of:N*T*Cgoodix,gt5688C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt911");
MODULE_ALIAS("of:N*T*Cgoodix,gt911C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt9110");
MODULE_ALIAS("of:N*T*Cgoodix,gt9110C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt912");
MODULE_ALIAS("of:N*T*Cgoodix,gt912C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt9147");
MODULE_ALIAS("of:N*T*Cgoodix,gt9147C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt917s");
MODULE_ALIAS("of:N*T*Cgoodix,gt917sC*");
MODULE_ALIAS("of:N*T*Cgoodix,gt927");
MODULE_ALIAS("of:N*T*Cgoodix,gt927C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt9271");
MODULE_ALIAS("of:N*T*Cgoodix,gt9271C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt928");
MODULE_ALIAS("of:N*T*Cgoodix,gt928C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt9286");
MODULE_ALIAS("of:N*T*Cgoodix,gt9286C*");
MODULE_ALIAS("of:N*T*Cgoodix,gt967");
MODULE_ALIAS("of:N*T*Cgoodix,gt967C*");
MODULE_ALIAS("acpi*:GDIX1001:*");
MODULE_ALIAS("acpi*:GDIX1002:*");
MODULE_ALIAS("acpi*:GDX9110:*");
MODULE_ALIAS("i2c:GDIX1001:00");
