#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_per_bio_data, 0xa50f644c, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xb1174ebf, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x20136c05, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0xa8b4241d, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x90bcf1c3, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x2825153d, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xd461e9f2, "_gpl");
SYMBOL_CRC(dm_get_md, 0x48703936, "_gpl");
SYMBOL_CRC(dm_hold, 0x4663027e, "_gpl");
SYMBOL_CRC(dm_device_name, 0x50ba881c, "_gpl");
SYMBOL_CRC(dm_put, 0x62f51a1d, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x9b91e519, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x2f2a2732, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xaa4f1455, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x23cfad29, "_gpl");
SYMBOL_CRC(dm_disk, 0xc7d48240, "_gpl");
SYMBOL_CRC(dm_suspended, 0x35290452, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x8a7d589b, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xf002b13e, "_gpl");
SYMBOL_CRC(dm_get_device, 0x8f55bca6, "");
SYMBOL_CRC(dm_put_device, 0xc420d886, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xb207a69c, "_gpl");
SYMBOL_CRC(dm_table_event, 0x8792e4eb, "");
SYMBOL_CRC(dm_table_get_size, 0x23f28b09, "");
SYMBOL_CRC(dm_table_get_mode, 0x42047952, "");
SYMBOL_CRC(dm_table_get_md, 0x30bf2b91, "");
SYMBOL_CRC(dm_table_device_name, 0x596e6def, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xf25b240f, "");
SYMBOL_CRC(dm_register_target, 0x879ed84f, "");
SYMBOL_CRC(dm_unregister_target, 0x65372581, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0xff2aa463, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x8db5475a, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x80f8009b, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x216c81ab, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x11e02675, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbacef9ff, "bio_associate_blkg" },
	{ 0x25ee2850, "set_disk_ro" },
	{ 0xcc032a9a, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x93030a17, "blk_integrity_register" },
	{ 0x328248d7, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x73f28a69, "misc_deregister" },
	{ 0x2df0d0b0, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0xff04bde5, "param_ops_uint" },
	{ 0xe726ca7e, "param_ops_ulong" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x34727611, "bio_split_to_limits" },
	{ 0x1a1c03a1, "vmalloc_to_page" },
	{ 0xbab39bdc, "disk_update_readahead" },
	{ 0x4ae6db0d, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7c80113d, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xdf64a9e4, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x3dbb7e70, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x615eb42a, "blk_rq_prep_clone" },
	{ 0x577c9b67, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x138a96e5, "blk_mq_quiesce_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xbd0597b7, "__traceiter_block_bio_remap" },
	{ 0x3d1929ce, "freeze_bdev" },
	{ 0x2ed2c8ee, "blk_queue_write_cache" },
	{ 0x20e426f9, "blk_mq_kick_requeue_list" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x53313791, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x45fa3f11, "synchronize_srcu" },
	{ 0xcb39389b, "kmem_cache_create" },
	{ 0xb5aa6498, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x31671877, "node_states" },
	{ 0x66cdbc9c, "blk_integrity_unregister" },
	{ 0x3409a02c, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x4dad7ad3, "blk_mq_alloc_tag_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x602cfe74, "__traceiter_block_split" },
	{ 0xe9eca7ca, "bioset_integrity_create" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x340a0123, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x24ac2756, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6e415bc, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x19a27e06, "blk_queue_flag_set" },
	{ 0xad57f479, "kmalloc_node_trace" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x3b63a8f3, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0xe0e9453, "__free_pages" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x30d3b1a9, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5379c531, "submit_bio" },
	{ 0x6ac79a74, "blk_queue_flag_clear" },
	{ 0xd696f3b0, "module_put" },
	{ 0x1f40ca41, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x8a821a3c, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc9f953da, "kobject_uevent_env" },
	{ 0x7f3d6a8a, "bio_put" },
	{ 0xc1cef92b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2b572e3b, "init_srcu_struct" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xb62f6dd1, "blk_update_request" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x8b05e1f8, "blkdev_get_by_dev" },
	{ 0x8f581c0e, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaa4a6f91, "thaw_bdev" },
	{ 0x1125eb1b, "set_capacity" },
	{ 0xff44d4ba, "submit_bio_noacct" },
	{ 0x3e3ba6c3, "noop_llseek" },
	{ 0x4b5eb657, "blk_integrity_compare" },
	{ 0x6626afca, "down" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0xd8ac0c4a, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x9166fada, "strncpy" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x727f61a2, "bio_chain" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x91ff3918, "kobject_init_and_add" },
	{ 0x83c7b6cf, "zero_fill_bio_iter" },
	{ 0xbe4719a6, "bio_add_page" },
	{ 0xefcce0b0, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc24cd202, "del_gendisk" },
	{ 0x5e3240a0, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2c750eb4, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x7c88990d, "bd_unlink_disk_holder" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0xa17aea9, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0xd529f65c, "bio_alloc_clone" },
	{ 0xe8454cd3, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x99da356d, "blk_insert_cloned_request" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31ac9ef9, "nonseekable_open" },
	{ 0x70ac2c1a, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xfdd9f38f, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x94817682, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x8b765bc5, "param_ops_bool" },
	{ 0xaf1309bc, "bioset_init" },
	{ 0x9eb9d228, "bio_trim" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe7fb04e6, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe102450f, "__traceiter_block_rq_remap" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x4d32f61e, "__srcu_read_unlock" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xe12681a4, "__tracepoint_block_rq_remap" },
	{ 0x4164a7f2, "bd_link_disk_holder" },
	{ 0xdfcc2f98, "blk_mq_start_request" },
	{ 0xa917c1de, "blk_limits_io_opt" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x12679724, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xc716744b, "param_ops_int" },
	{ 0xa8011c13, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1ebf91a4, "bio_alloc_bioset" },
	{ 0x53b954a2, "up_read" },
	{ 0xfc52b065, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf8df6753, "bdev_end_io_acct" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd04fe558, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x91451db, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

