#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe8f673, "i2c_register_driver" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa6d49647, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x352255a5, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xb2830dd2, "gpiochip_get_data" },
	{ 0x6f93e738, "regmap_update_bits_base" },
	{ 0x4894cd55, "v4l2_subdev_state_xlate_streams" },
	{ 0x7828aef9, "v4l2_subdev_disable_streams" },
	{ 0xf3d1fd24, "v4l2_subdev_enable_streams" },
	{ 0xdcb764ad, "memset" },
	{ 0x91899046, "v4l2_subdev_call_wrappers" },
	{ 0xae3dd8d6, "__v4l2_subdev_next_active_route" },
	{ 0xc86897a7, "v4l2_subdev_state_get_stream_format" },
	{ 0x65d7839c, "v4l2_subdev_state_get_opposite_stream_format" },
	{ 0x4e29ee35, "v4l2_subdev_get_fmt" },
	{ 0xb2d271d4, "media_entity_get_fwnode_pad" },
	{ 0xc99857db, "media_create_pad_link" },
	{ 0x8f281369, "i2c_del_driver" },
	{ 0xcf2907fa, "v4l2_subdev_routing_validate" },
	{ 0x16229b80, "v4l2_subdev_set_routing_with_fmt" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xb0a0da0c, "rational_best_approximation" },
	{ 0x86c4742b, "i2c_atr_del_adapter" },
	{ 0x7abc98ac, "v4l2_async_unregister_subdev" },
	{ 0xf6f332b, "v4l2_async_nf_unregister" },
	{ 0x5078df71, "v4l2_async_nf_cleanup" },
	{ 0xba73c3f9, "v4l2_subdev_cleanup" },
	{ 0x460826d1, "fwnode_handle_put" },
	{ 0x522a51a, "gpiochip_remove" },
	{ 0x173c080, "regmap_write" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x4bd91786, "device_get_match_data" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf3a1055f, "__devm_regmap_init_i2c" },
	{ 0x3b0adf65, "devm_clk_get_optional" },
	{ 0x65344d03, "__dev_fwnode" },
	{ 0x10b79ec6, "fwnode_graph_get_endpoint_by_id" },
	{ 0xefedb8ca, "v4l2_fwnode_endpoint_parse" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0x24e6827d, "gpiochip_add_data_with_key" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa0b6e7fc, "devm_clk_hw_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fa5e5dd, "of_clk_hw_simple_get" },
	{ 0x4f95e311, "devm_of_clk_add_hw_provider" },
	{ 0x352f6b8c, "v4l2_i2c_subdev_init" },
	{ 0xf98125b3, "media_entity_pads_init" },
	{ 0x9dc1f794, "__v4l2_subdev_init_finalize" },
	{ 0x8414f04d, "v4l2_async_subdev_nf_init" },
	{ 0xb2eb836, "__v4l2_async_nf_add_fwnode_remote" },
	{ 0x45505efe, "v4l2_async_nf_register" },
	{ 0x73c3fd4a, "v4l2_async_register_subdev" },
	{ 0x1f3a124c, "device_get_named_child_node" },
	{ 0xb2910cf3, "i2c_atr_add_adapter" },
	{ 0xf897d460, "v4l2_subdev_link_validate" },
	{ 0x6456bdcd, "v4l2_ctrl_subdev_subscribe_event" },
	{ 0x2d5f8e89, "v4l2_event_subdev_unsubscribe" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "i2c-atr");

MODULE_ALIAS("of:N*T*Cti,ds90ub953-q1");
MODULE_ALIAS("of:N*T*Cti,ds90ub953-q1C*");
MODULE_ALIAS("of:N*T*Cti,ds90ub971-q1");
MODULE_ALIAS("of:N*T*Cti,ds90ub971-q1C*");
MODULE_ALIAS("i2c:ds90ub953-q1");
MODULE_ALIAS("i2c:ds90ub971-q1");
