#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rc_map_get, "_gpl", "");
KSYMTAB_FUNC(rc_map_register, "_gpl", "");
KSYMTAB_FUNC(rc_map_unregister, "_gpl", "");
KSYMTAB_FUNC(rc_g_keycode_from_table, "_gpl", "");
KSYMTAB_FUNC(rc_keyup, "_gpl", "");
KSYMTAB_FUNC(rc_repeat, "_gpl", "");
KSYMTAB_FUNC(rc_keydown, "_gpl", "");
KSYMTAB_FUNC(rc_keydown_notimeout, "_gpl", "");
KSYMTAB_FUNC(rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_free_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_register_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_register_device, "_gpl", "");
KSYMTAB_FUNC(rc_unregister_device, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_edge, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_timeout, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_filter, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_set_idle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_handle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_gen_manchester, "", "");
KSYMTAB_FUNC(ir_raw_gen_pd, "", "");
KSYMTAB_FUNC(ir_raw_gen_pl, "", "");
KSYMTAB_FUNC(ir_raw_encode_scancode, "", "");
KSYMTAB_FUNC(ir_raw_encode_carrier, "", "");
KSYMTAB_FUNC(ir_raw_handler_register, "", "");
KSYMTAB_FUNC(ir_raw_handler_unregister, "", "");

SYMBOL_CRC(rc_map_get, 0xfc5d3079, "_gpl");
SYMBOL_CRC(rc_map_register, 0xb960f15c, "_gpl");
SYMBOL_CRC(rc_map_unregister, 0x2ed90ced, "_gpl");
SYMBOL_CRC(rc_g_keycode_from_table, 0xb841f1b5, "_gpl");
SYMBOL_CRC(rc_keyup, 0x6ddcd263, "_gpl");
SYMBOL_CRC(rc_repeat, 0x4ea42795, "_gpl");
SYMBOL_CRC(rc_keydown, 0x182fdffa, "_gpl");
SYMBOL_CRC(rc_keydown_notimeout, 0xfac9207a, "_gpl");
SYMBOL_CRC(rc_allocate_device, 0xfe626289, "_gpl");
SYMBOL_CRC(rc_free_device, 0x7da23922, "_gpl");
SYMBOL_CRC(devm_rc_allocate_device, 0x64955fc6, "_gpl");
SYMBOL_CRC(rc_register_device, 0x70d942a5, "_gpl");
SYMBOL_CRC(devm_rc_register_device, 0x6bc9c730, "_gpl");
SYMBOL_CRC(rc_unregister_device, 0x8265a9e3, "_gpl");
SYMBOL_CRC(ir_raw_event_store, 0x61b7c914, "_gpl");
SYMBOL_CRC(ir_raw_event_store_edge, 0xc3637692, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_timeout, 0xc54a8971, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_filter, 0xd3ce8e97, "_gpl");
SYMBOL_CRC(ir_raw_event_set_idle, 0x23f78897, "_gpl");
SYMBOL_CRC(ir_raw_event_handle, 0x6e5d47ac, "_gpl");
SYMBOL_CRC(ir_raw_gen_manchester, 0xce3696f3, "");
SYMBOL_CRC(ir_raw_gen_pd, 0x2fe55cf5, "");
SYMBOL_CRC(ir_raw_gen_pl, 0x7a02ee87, "");
SYMBOL_CRC(ir_raw_encode_scancode, 0x01098f88, "");
SYMBOL_CRC(ir_raw_encode_carrier, 0xb5516017, "");
SYMBOL_CRC(ir_raw_handler_register, 0x0bcd386b, "");
SYMBOL_CRC(ir_raw_handler_unregister, 0xbd37fe4a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa3856328, "input_allocate_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1e656bd7, "dev_set_name" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x26ae986b, "led_trigger_register_simple" },
	{ 0x1057a279, "bsearch" },
	{ 0xb5d457d8, "device_initialize" },
	{ 0x938cb604, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x65aa5905, "kobject_get_path" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcd38066b, "led_trigger_unregister_simple" },
	{ 0x1853775c, "__module_get" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6eec1cdb, "devres_add" },
	{ 0x47a3358b, "wake_up_process" },
	{ 0xfa3ddeba, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x12f8d169, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c161060, "put_device" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xd696f3b0, "module_put" },
	{ 0x352255a5, "_dev_err" },
	{ 0x8322c910, "device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x206ebd27, "__devres_alloc_node" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xffb7c514, "ida_free" },
	{ 0x99c107d5, "class_unregister" },
	{ 0x6f16e373, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x77899b36, "device_del" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x49dcaa2, "input_event" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x72be0f79, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x13b7b9f1, "led_trigger_event" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x582ecc5b, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

