#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dvb_usbv2_probe, "", "");
KSYMTAB_FUNC(dvb_usbv2_disconnect, "", "");
KSYMTAB_FUNC(dvb_usbv2_suspend, "", "");
KSYMTAB_FUNC(dvb_usbv2_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_reset_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw_locked, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write_locked, "", "");

SYMBOL_CRC(dvb_usbv2_probe, 0x80b52f47, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0x495789f3, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0x1215f0af, "");
SYMBOL_CRC(dvb_usbv2_resume, 0x173745f2, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0x09cf723d, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0xd484fb89, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0x54a52347, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0x4b8a360e, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0x0b3f5b67, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5073de2, "dvb_dmxdev_init" },
	{ 0x7635ccc3, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x63843b4, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdb93f85a, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x1fef7a89, "dvb_register_adapter" },
	{ 0x122c3a7e, "_printk" },
	{ 0x289fdab3, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc670954, "usb_submit_urb" },
	{ 0xec5144d1, "_dev_info" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xc6596e27, "i2c_del_adapter" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x352255a5, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x70d942a5, "rc_register_device" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb44d4bf8, "dvb_dmxdev_release" },
	{ 0x7da23922, "rc_free_device" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x97529d5b, "dvb_frontend_detach" },
	{ 0xfd12eed3, "i2c_add_adapter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xfe626289, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6a394067, "dvb_unregister_frontend" },
	{ 0x1e95161, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6369e758, "dvb_frontend_resume" },
	{ 0x85ece7d2, "dvb_register_frontend" },
	{ 0xc25e9fc8, "dvb_frontend_suspend" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x57759776, "dvb_unregister_adapter" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xc716744b, "param_ops_int" },
	{ 0x8265a9e3, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");
