#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x59c49f6e, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x97274e93, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x9b91e4f2, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xf7514b4c, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x8a8e8cf9, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x8e413f2c, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xa7f8d796, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x999885be, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x128ff39f, "_gpl");
SYMBOL_CRC(can_bus_off, 0x257da451, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x2fe9e1fd, "_gpl");
SYMBOL_CRC(free_candev, 0xbc1dd45a, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x17cfc504, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x9a1bfbb4, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xc0b6d430, "");
SYMBOL_CRC(open_candev, 0x741d92a3, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x97fd1222, "_gpl");
SYMBOL_CRC(close_candev, 0x97e4b58f, "_gpl");
SYMBOL_CRC(register_candev, 0xa167d5b3, "_gpl");
SYMBOL_CRC(unregister_candev, 0x4cdc08e0, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x571e0b95, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x09136243, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0x4dc45e16, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0xc891362f, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0xca95a352, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0xa769292a, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x5a61176b, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0x39681862, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xd68ee1b9, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0x6432fad3, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x84bf5713, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x2b3b8ae2, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0x44dd1426, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0xfa0253f5, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0xa2e8bcb7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb69ec7a9, "of_node_put" },
	{ 0x452822be, "skb_put" },
	{ 0xded5f7e0, "gpiod_set_value" },
	{ 0x9a9e59ed, "skb_tstamp_tx" },
	{ 0x880d2f9c, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x89d3fb76, "consume_skb" },
	{ 0x171d7ebc, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4e23debb, "unregister_netdev" },
	{ 0x614d1937, "skb_dequeue" },
	{ 0xacba4a20, "rtnl_link_register" },
	{ 0x1b9ab6fb, "netdev_warn" },
	{ 0x7614c98, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x94365815, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x42217f7b, "netdev_err" },
	{ 0xb4333482, "skb_queue_purge_reason" },
	{ 0x6fa6ca60, "napi_complete_done" },
	{ 0x903d33cb, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x1bf135c2, "__napi_schedule" },
	{ 0xe12bea6a, "device_property_read_u32_array" },
	{ 0xff3a0f1d, "of_get_child_by_name" },
	{ 0x3cdd9877, "rtnl_link_unregister" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0x5b1f37b8, "napi_enable" },
	{ 0x41ed705c, "netif_receive_skb" },
	{ 0x34de7572, "nla_put" },
	{ 0x6fce38b4, "register_netdev" },
	{ 0xf5c901d3, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdcb764ad, "memset" },
	{ 0x50c16fae, "sock_efree" },
	{ 0xc58a23f5, "netif_rx" },
	{ 0x34574e00, "__netdev_alloc_skb" },
	{ 0x145ff42, "skb_trim" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6978b53f, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfe0a1de0, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x98cb93e1, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0x6d1f0c58, "napi_schedule_prep" },
	{ 0x8b667e88, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x4add9e0d, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

