#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x6dd4019f, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x4bbb2707, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x3252a635, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x16873670, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x7dbdd20d, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x06c1fe02, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0xb8b42dd8, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xc84b8587, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x26385842, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x44a0be09, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xf71c6b70, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xe3d5d64b, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xc64752cb, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x3a2ae34f, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x61e1b1e8, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xdcf3efe3, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x42bf71ef, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x47f79092, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x6ea376ff, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x0f87b76e, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x4493f9db, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x73842003, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x19a7c3fd, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x7cb9c0cc, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xac417c28, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xfa0b53a0, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x89ce61ea, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x2b915087, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x953218de, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xc3d246bd, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x770d7ef8, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0xf637700f, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x2dd4d479, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x17016d21, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x5a4ddee1, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xe2363b37, "");
SYMBOL_CRC(mlx4_test_async, 0x69a9c89f, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x97283cdf, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0xd000e7b1, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xb2244dfc, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x076074dc, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0xed11e74b, "");
SYMBOL_CRC(mlx4_assign_eq, 0xce3bcb66, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x8b50bde0, "");
SYMBOL_CRC(mlx4_release_eq, 0x6ac46c58, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x541e2d57, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xd85f82b9, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x6c7d2e3a, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x7c355ea0, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x24981874, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x3951fbc4, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0xbda89a40, "");
SYMBOL_CRC(mlx4_wol_read, 0xfa5ad4ad, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0xd96084e8, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0xf7b29e2a, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x03670167, "");
SYMBOL_CRC(set_phv_bit, 0x4288fa9f, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xc47ebabf, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xd139bf2d, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x9bc127a0, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xe36611d6, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xee8c534f, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x1a5c5763, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x18ba23cd, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xcf19696d, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x429fc909, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x27245df1, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x5beefbae, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0xa15d7995, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x61fd45fb, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xc97c7f96, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xf3652fa0, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xa0fcae73, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xe609861c, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x758b91fb, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x9283f9fb, "");
SYMBOL_CRC(mlx4_read_clock, 0x712fe1d2, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xe85215d0, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xdffde16a, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x8cb3c711, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xfb3b2c5b, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x148a13fe, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xb7ae4bcf, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xebc20a4b, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x87c0c1c4, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x4ad7085a, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x7cbc5f08, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xf527056f, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0xbf7b0370, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xdb3e49b9, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x543c51be, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x50658fac, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x601d2ad1, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x24e05471, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0xdb0e5d5f, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x98c5cd2e, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xeef5a2ad, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x7d59ab07, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xde7dd1fb, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xf219d812, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x197e23c8, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x71596f5f, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0xc8e68dcc, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x72580ee1, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xc41401f0, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x155715ef, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x52eb1bd2, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xaf041a00, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xce631cb5, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xa8fda35a, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x4970a331, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x9198a68c, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x9e7b034f, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x2b9a2cc1, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x15902692, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xf812d461, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x8f9a5f75, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x8213015e, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x9d6d517d, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x21b37607, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xeee9388d, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x3044cf3a, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x5d25b18f, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xbe895b2a, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xb74b1c10, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0xe0d00a2f, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x5be558b4, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x6d90a017, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x254ef813, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x9c75af7d, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x28ec4fcc, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xc9105bb4, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x4b08d863, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x4c1fa738, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x147a9c81, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0xd79c93bf, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x020c6494, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x554d37ed, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x9183aa61, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x4176f7f9, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x6cafee3d, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xb30527bf, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x2c1d731f, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x8a1173c9, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0xe7e07345, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x791b380f, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xd781dbd9, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x92f5c685, "");
SYMBOL_CRC(mlx4_get_module_info, 0x76747422, "");
SYMBOL_CRC(mlx4_max_tc, 0x51427b78, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xe961f550, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0xe30d209a, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xedca13ad, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xdccba911, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x52f3c2c4, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x89592267, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x95bc7fda, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x5890d999, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x212fad3b, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x8cc86ec0, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x28d2390e, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xf2a6199f, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x1b8c6be6, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x67278234, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2dca89b2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x109c68eb, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc80b90cd, "devl_region_create" },
	{ 0x4346b530, "devlink_unregister" },
	{ 0xda5d45fe, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8c0b50d9, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb9bff902, "auxiliary_device_init" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x26b219e3, "devlink_region_snapshot_id_get" },
	{ 0xabb18edd, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0x9dc8d732, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xe0a91a02, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x462df5a, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4aba57d8, "param_array_ops" },
	{ 0x453d377b, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a75ed64, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xaa491c09, "pci_sriov_get_totalvfs" },
	{ 0xe1ec0b29, "devlink_register" },
	{ 0xcfdc366e, "devlink_port_type_clear" },
	{ 0x97733402, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3fb5a45e, "param_ops_byte" },
	{ 0x8c06da48, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x31671877, "node_states" },
	{ 0xc8b89657, "pci_unregister_driver" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xda470cd, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xf9290192, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x859fa581, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdf0dab5b, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x5c161060, "put_device" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xfc294fc3, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xad57f479, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xe0e9453, "__free_pages" },
	{ 0xec5144d1, "_dev_info" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x398ece36, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xa28f40bd, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0x352255a5, "_dev_err" },
	{ 0xdc87e3a, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xdc3bfbac, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x3fe1a56a, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9623155a, "dma_alloc_attrs" },
	{ 0x4e2fd677, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xfb45e862, "devl_params_register" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf18d9bec, "pci_restore_state" },
	{ 0x77899b36, "device_del" },
	{ 0x67e7d7f1, "dma_sync_single_for_cpu" },
	{ 0x5684f165, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc3c2aa67, "__alloc_pages" },
	{ 0xaa8d87a3, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x57519532, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x8beafdc, "devlink_port_type_ib_set" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x778a6b03, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50189183, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xb8850f4b, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8b765bc5, "param_ops_bool" },
	{ 0x481981a8, "pci_release_regions" },
	{ 0x2f74cab8, "devl_assert_locked" },
	{ 0xd26478ad, "pcie_print_link_status" },
	{ 0xe7fb04e6, "alloc_pages" },
	{ 0x18a3b8ee, "devl_port_unregister" },
	{ 0xd21f5b4e, "devl_param_driverinit_value_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe555f4fa, "devlink_priv" },
	{ 0x3dd317ad, "pci_disable_sriov" },
	{ 0x2ca48f3, "pci_disable_msix" },
	{ 0x9a043fd0, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfd7cb22f, "dma_set_mask" },
	{ 0xfc510af7, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xab03c316, "dma_unmap_sg_attrs" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x98cf60b3, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc716744b, "param_ops_int" },
	{ 0x1aa6bc8c, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe3c87d3f, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x81f77099, "pci_write_config_dword" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0xa66040a7, "device_remove_file" },
	{ 0x323a15e1, "dma_map_sg_attrs" },
	{ 0x1ac3706, "devl_param_value_changed" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "404B5ACF317598EB45AF60F");
