#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xb8811c58, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x10cfb2f0, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x0f7a3c33, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x7cb60cbe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb411201f, "ether_setup" },
	{ 0x7b630a0, "__ethtool_get_link_ksettings" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdc87e3a, "init_net" },
	{ 0x2a73f34d, "generic_hwtstamp_set_lower" },
	{ 0x32991448, "generic_hwtstamp_get_lower" },
	{ 0xdf4cec34, "dev_mc_del" },
	{ 0x76c8de9c, "dev_uc_del" },
	{ 0x15871fcf, "dev_mc_add_excl" },
	{ 0x960b4f4e, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x876d1f91, "vlan_vid_del" },
	{ 0x90026f7d, "vlan_vid_add" },
	{ 0x41ffe4b9, "dev_set_allmulti" },
	{ 0xdba608dc, "dev_set_promiscuity" },
	{ 0x88ca3cb1, "dev_uc_unsync" },
	{ 0x506e9359, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xacba4a20, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3cdd9877, "rtnl_link_unregister" },
	{ 0xdcb764ad, "memset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34de7572, "nla_put" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaef7ead0, "unregister_netdevice_queue" },
	{ 0x2e506369, "netdev_upper_dev_unlink" },
	{ 0xa905f3c1, "dev_addr_mod" },
	{ 0xeff91b93, "dev_uc_add" },
	{ 0xbe10809c, "dev_set_mac_address" },
	{ 0x58e9488a, "dev_set_mtu" },
	{ 0x5fed5302, "netif_inherit_tso_max" },
	{ 0x7b772448, "netdev_update_features" },
	{ 0x778ea137, "netif_stacked_transfer_operstate" },
	{ 0x9826a74a, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb7dc8a6c, "dev_uc_sync" },
	{ 0x8f407180, "dev_mc_sync" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xfe0a1de0, "skb_clone" },
	{ 0xc58a23f5, "netif_rx" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x5135b4ce, "__dev_forward_skb" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x89d3fb76, "consume_skb" },
	{ 0xb0fa3177, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x84b3bed3, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd98e8cf3, "netdev_is_rx_handler_busy" },
	{ 0xd0f19bdf, "netdev_rx_handler_register" },
	{ 0xdd2157b0, "register_netdevice" },
	{ 0x9711bc07, "netdev_upper_dev_link" },
	{ 0xc83e7862, "linkwatch_fire_event" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x44291c96, "__netif_rx" },
	{ 0xed20728a, "__dev_queue_xmit" },
	{ 0x54b9d167, "dev_forward_skb" },
	{ 0xc150ed85, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc4d49873, "netdev_core_stats_alloc" },
	{ 0x98e2d110, "passthru_features_check" },
	{ 0x5b9e5bf5, "eth_validate_addr" },
	{ 0xfd937361, "ndo_dflt_fdb_dump" },
	{ 0x3eb53460, "eth_header_parse" },
	{ 0xb1d8e216, "eth_header_cache" },
	{ 0x277313bd, "eth_header_cache_update" },
	{ 0x1079bbcb, "ethtool_op_get_link" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

