#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7aa67db, "phy_drivers_register" },
	{ 0x92a8bb73, "mdiobus_write" },
	{ 0xc77776f1, "bcm_phy_downshift_set" },
	{ 0xd4f03631, "bcm_phy_set_eee" },
	{ 0xc1bb1843, "genphy_restart_aneg" },
	{ 0xf05425d3, "bcm_phy_downshift_get" },
	{ 0x231a937f, "mdiobus_read" },
	{ 0xf45bf228, "bcm_phy_28nm_a0b0_afe_config_init" },
	{ 0x9623ca8f, "bcm_phy_write_misc" },
	{ 0x223892dd, "bcm_phy_r_rc_cal_reset" },
	{ 0xef9c66c7, "bcm_phy_enable_jumbo" },
	{ 0x44fafa54, "bcm_phy_enable_apd" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7d4061a6, "__genphy_config_aneg" },
	{ 0x8378f629, "bcm_phy_get_stats" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x11f8ef95, "bcm_phy_get_sset_count" },
	{ 0x5ae1da6b, "devm_clk_get_optional_enabled" },
	{ 0xd8845fb5, "phy_drivers_unregister" },
	{ 0x86cc63a7, "genphy_soft_reset" },
	{ 0xd6c5f255, "bcm_phy_write_exp" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x48c97a20, "bcm_phy_read_exp" },
	{ 0x5b3f9ce0, "bcm_phy_read_misc" },
	{ 0x36404464, "bcm_phy_read_shadow" },
	{ 0xb0e1495a, "bcm_phy_write_shadow" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x115b253c, "__mdiobus_read" },
	{ 0x1469652c, "__mdiobus_write" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x57b3616e, "bcm_phy_get_strings" },
	{ 0x6222c17f, "genphy_read_status" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib");

MODULE_ALIAS("mdio:0011010110010000010100110001????");
MODULE_ALIAS("mdio:0011010110010000010100110101????");
MODULE_ALIAS("mdio:0011010110010000010100110100????");
MODULE_ALIAS("mdio:1010111000000010010100101000????");
MODULE_ALIAS("mdio:1010111000000010010100010010????");
MODULE_ALIAS("mdio:1010111000000010010100011001????");
MODULE_ALIAS("mdio:1010111000000010010100001001????");
MODULE_ALIAS("mdio:1010111000000010010100111011????");
MODULE_ALIAS("mdio:1010111000000010010100011010????");
MODULE_ALIAS("mdio:1010111000000010010100100110????");
MODULE_ALIAS("mdio:0110000000001101100001001001????");
MODULE_ALIAS("mdio:0110000000001101100001100101????");
MODULE_ALIAS("mdio:0110000000001101100001001011????");
MODULE_ALIAS("mdio:0110000000001101100001101011????");
MODULE_ALIAS("mdio:0110000000001101100001110011????");
MODULE_ALIAS("mdio:1010111000000010010100101110????");
MODULE_ALIAS("mdio:0110000000001101100001001000????");
MODULE_ALIAS("mdio:0110000000001101100001110101????");
MODULE_ALIAS("mdio:0110000000001101100001010001????");
MODULE_ALIAS("mdio:0011010110010000010100110011????");
