#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7aa67db, "phy_drivers_register" },
	{ 0x231a937f, "mdiobus_read" },
	{ 0xe710359a, "phy_trigger_machine" },
	{ 0x49b5a9e7, "phy_error" },
	{ 0x1def0292, "bcm54xx_auxctl_read" },
	{ 0x93a9e879, "bcm54xx_auxctl_write" },
	{ 0x36404464, "bcm_phy_read_shadow" },
	{ 0xb0e1495a, "bcm_phy_write_shadow" },
	{ 0x118ae74a, "genphy_c37_read_status" },
	{ 0x6222c17f, "genphy_read_status" },
	{ 0xba61bec7, "genphy_c37_config_aneg" },
	{ 0x7d4061a6, "__genphy_config_aneg" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x58338150, "bcm_phy_get_wol" },
	{ 0xcc3e9ec6, "bcm_phy_set_wol" },
	{ 0x8378f629, "bcm_phy_get_stats" },
	{ 0xd8845fb5, "phy_drivers_unregister" },
	{ 0x92a8bb73, "mdiobus_write" },
	{ 0x29f008b7, "phy_modify" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x48c97a20, "bcm_phy_read_exp" },
	{ 0xd6c5f255, "bcm_phy_write_exp" },
	{ 0xa02fb58f, "of_find_property" },
	{ 0x11f8ef95, "bcm_phy_get_sset_count" },
	{ 0xe43df337, "devm_gpiod_get" },
	{ 0x4e9c611d, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x338c7753, "devm_request_threaded_irq" },
	{ 0x4d618d49, "device_set_wakeup_capable" },
	{ 0xc8e5cc9d, "device_wakeup_enable" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x75ed906c, "pm_wakeup_dev_event" },
	{ 0xe2e02ce2, "genphy_resume" },
	{ 0x86cc63a7, "genphy_soft_reset" },
	{ 0xd0324a12, "bcm_phy_config_intr" },
	{ 0xbe9b39e8, "bcm_phy_handle_interrupt" },
	{ 0x57b3616e, "bcm_phy_get_strings" },
	{ 0x95ea18bb, "bcm_phy_led_brightness_set" },
	{ 0x762f5104, "genphy_suspend" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");
