#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x1dc3d8f3, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x98f226c1, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x0190cd9e, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x5bb739f2, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xc61572ee, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x1fb1c302, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x680918dd, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xc545e253, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x3856d33e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x42217f7b, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xeeb40ba0, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdbcccf79, "cdev_init" },
	{ 0xbe076279, "cdev_add" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x48f394d1, "skb_copy_datagram_iter" },
	{ 0xe9b3c063, "_copy_to_iter" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d3fb76, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x905b8885, "iov_iter_advance" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x42bbd00d, "skb_push" },
	{ 0x88f8ab2f, "__skb_gso_segment" },
	{ 0xf334d89a, "kfree_skb_list_reason" },
	{ 0x50043392, "__skb_get_hash" },
	{ 0x8cf4330d, "skb_checksum_help" },
	{ 0x64dc7fc3, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x5aa234a7, "sk_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc4ac9346, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x3df6ae, "__skb_flow_dissect" },
	{ 0x4368f2a0, "skb_partial_csum_set" },
	{ 0x57d7de2b, "__pskb_pull_tail" },
	{ 0x56fa86c3, "iov_iter_npages" },
	{ 0xdc3711dd, "sock_alloc_send_pskb" },
	{ 0x452822be, "skb_put" },
	{ 0x8d221145, "zerocopy_sg_from_iter" },
	{ 0xed20728a, "__dev_queue_xmit" },
	{ 0x22f1bf56, "_copy_from_iter" },
	{ 0x3bc15756, "skb_copy_datagram_from_iter" },
	{ 0xf00124e, "iov_iter_revert" },
	{ 0x2ab68a52, "skb_copy_bits" },
	{ 0x362101cd, "build_skb" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x69cde044, "dev_set_mac_address_user" },
	{ 0x49576462, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xd26f1bab, "compat_ptr_ioctl" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

