#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_cdc_update_filter, "_gpl", "");
KSYMTAB_FUNC(usbnet_generic_cdc_bind, "_gpl", "");
KSYMTAB_FUNC(usbnet_ether_cdc_bind, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_unbind, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_status, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_bind, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_zte_rx_fixup, "_gpl", "");

SYMBOL_CRC(usbnet_cdc_update_filter, 0x3abc041d, "_gpl");
SYMBOL_CRC(usbnet_generic_cdc_bind, 0xff403279, "_gpl");
SYMBOL_CRC(usbnet_ether_cdc_bind, 0xd127463b, "_gpl");
SYMBOL_CRC(usbnet_cdc_unbind, 0x14257c55, "_gpl");
SYMBOL_CRC(usbnet_cdc_status, 0xc4ec6b16, "_gpl");
SYMBOL_CRC(usbnet_cdc_bind, 0xfcc6d536, "_gpl");
SYMBOL_CRC(usbnet_cdc_zte_rx_fixup, 0x2bf64812, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd2a33ca2, "usb_control_msg" },
	{ 0xceaf8da2, "usb_driver_release_interface" },
	{ 0xdcb764ad, "memset" },
	{ 0xa1f6ec5, "cdc_parse_cdc_header" },
	{ 0x61f4f4c7, "usb_ifnum_to_if" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xef7f0e93, "usb_driver_claim_interface" },
	{ 0x43327527, "usbnet_get_endpoints" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71661d7f, "usb_register_driver" },
	{ 0x3535ad68, "usb_deregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x42217f7b, "netdev_err" },
	{ 0x547a7143, "usbnet_link_change" },
	{ 0x6978b53f, "netif_carrier_off" },
	{ 0x44bb95e4, "usbnet_get_ethernet_addr" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa905f3c1, "dev_addr_mod" },
	{ 0xc67ba686, "usbnet_get_drvinfo" },
	{ 0x44d0be07, "usbnet_get_msglevel" },
	{ 0x4088e6f8, "usbnet_set_msglevel" },
	{ 0xc615889f, "usbnet_nway_reset" },
	{ 0xd5bfc3a, "usbnet_get_link" },
	{ 0x29e8a6b1, "ethtool_op_get_ts_info" },
	{ 0xae876931, "usbnet_get_link_ksettings_internal" },
	{ 0xe938defa, "usbnet_manage_power" },
	{ 0x7e2a1ec7, "usbnet_probe" },
	{ 0x68507693, "usbnet_disconnect" },
	{ 0xf571961a, "usbnet_suspend" },
	{ 0x5348b288, "usbnet_resume" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "usbnet");

MODULE_ALIAS("usb:v04DDp8004d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8005d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8005d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp8006d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8006d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp8007d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8007d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp9031d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp9032d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp9032d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp9050d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v07B4p0F02d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1004p61AAd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v046DpC11Fd*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v1410pB001d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1410p9010d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp8195d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp8196d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp819Bd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1410p9011d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v03F0p421Dd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v16D5p650Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v12D1p14ACd*dc*dsc*dp*ic*isc*ip*in01*");
MODULE_ALIAS("usb:v0BDAp8153d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v17EFp721Ed*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1003d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1015d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1173d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1177d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1181d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1BC7p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp81BAd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v12D1p15C1d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1143d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1104d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1313d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1343d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0061d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0055d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp005Bd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0069d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc06ipFFin*");
