#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1ea5beb8, "usb_autopm_get_interface" },
	{ 0x5209955c, "usb_autopm_put_interface" },
	{ 0x5a847803, "cdc_ncm_unbind" },
	{ 0x71661d7f, "usb_register_driver" },
	{ 0x5348b288, "usbnet_resume" },
	{ 0xf571961a, "usbnet_suspend" },
	{ 0x3535ad68, "usb_deregister" },
	{ 0xfa7f4a0, "cdc_ncm_select_altsetting" },
	{ 0x50fe8e5f, "cdc_ncm_bind_common" },
	{ 0x95ca8aee, "usb_cdc_wdm_register" },
	{ 0xdadc7b21, "usb_set_interface" },
	{ 0xb451ce6b, "usb_match_id" },
	{ 0x4f7da5d4, "skb_pull" },
	{ 0x42217f7b, "netdev_err" },
	{ 0x8b667e88, "dev_kfree_skb_any_reason" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd9bcd649, "cdc_ncm_fill_tx_frame" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x24a1c7, "cdc_ncm_rx_verify_nth16" },
	{ 0xb8c3ca81, "cdc_ncm_rx_verify_ndp16" },
	{ 0x34574e00, "__netdev_alloc_skb" },
	{ 0x452822be, "skb_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1fa963f4, "usbnet_skb_return" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2c418364, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x5605342a, "__vlan_find_dev_deep_rcu" },
	{ 0xdd1c1c38, "in6_dev_finish_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x27bcc3d0, "usbnet_open" },
	{ 0x2c4b629c, "usbnet_stop" },
	{ 0xc76854f1, "usbnet_start_xmit" },
	{ 0x8ceac1ad, "eth_mac_addr" },
	{ 0x5b9e5bf5, "eth_validate_addr" },
	{ 0xe03347c7, "cdc_ncm_change_mtu" },
	{ 0x17dbfe9c, "usbnet_tx_timeout" },
	{ 0x487466f3, "dev_get_tstats64" },
	{ 0x7e2a1ec7, "usbnet_probe" },
	{ 0x68507693, "usbnet_disconnect" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "cdc_ncm,usbnet,cdc-wdm");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v03F0pA31Dd*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1041d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1061d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1071d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1081d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Eip00in*");
