#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0xe03347c7, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x50fe8e5f, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x5a847803, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x0fa7f4a0, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xd9bcd649, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0xec3460a6, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x0024a1c7, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x6b8445d7, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xb8c3ca81, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0xddca79c9, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x669f7e6e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8b667e88, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xceaf8da2, "usb_driver_release_interface" },
	{ 0xf75a082b, "usb_altnum_to_altsetting" },
	{ 0x71661d7f, "usb_register_driver" },
	{ 0x3535ad68, "usb_deregister" },
	{ 0x547a7143, "usbnet_link_change" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xf7acecfa, "usbnet_update_max_qlen" },
	{ 0x39ae39f8, "usbnet_unlink_rx_urbs" },
	{ 0x56e7f575, "usbnet_write_cmd" },
	{ 0x6e75370, "_dev_warn" },
	{ 0xde6a71ba, "netif_tx_lock" },
	{ 0xc76854f1, "usbnet_start_xmit" },
	{ 0xc18dbef0, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb7fc7410, "usbnet_read_cmd" },
	{ 0x452822be, "skb_put" },
	{ 0xdcb764ad, "memset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x34574e00, "__netdev_alloc_skb" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1fa963f4, "usbnet_skb_return" },
	{ 0xd748682e, "__alloc_skb" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xa1f6ec5, "cdc_parse_cdc_header" },
	{ 0x61f4f4c7, "usb_ifnum_to_if" },
	{ 0xef7f0e93, "usb_driver_claim_interface" },
	{ 0xdadc7b21, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x44bb95e4, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x352255a5, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc67ba686, "usbnet_get_drvinfo" },
	{ 0x44d0be07, "usbnet_get_msglevel" },
	{ 0x4088e6f8, "usbnet_set_msglevel" },
	{ 0xc615889f, "usbnet_nway_reset" },
	{ 0xd5bfc3a, "usbnet_get_link" },
	{ 0x29e8a6b1, "ethtool_op_get_ts_info" },
	{ 0xae876931, "usbnet_get_link_ksettings_internal" },
	{ 0x27bcc3d0, "usbnet_open" },
	{ 0x2c4b629c, "usbnet_stop" },
	{ 0x793e45c1, "usbnet_set_rx_mode" },
	{ 0x8ceac1ad, "eth_mac_addr" },
	{ 0x5b9e5bf5, "eth_validate_addr" },
	{ 0x17dbfe9c, "usbnet_tx_timeout" },
	{ 0x487466f3, "dev_get_tstats64" },
	{ 0xe938defa, "usbnet_manage_power" },
	{ 0x3abc041d, "usbnet_cdc_update_filter" },
	{ 0x7e2a1ec7, "usbnet_probe" },
	{ 0x68507693, "usbnet_disconnect" },
	{ 0xf571961a, "usbnet_suspend" },
	{ 0x5348b288, "usbnet_resume" },
	{ 0x8b765bc5, "param_ops_bool" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "usbnet,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");
