#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x43327527, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x44bb95e4, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xaff3b139, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xaa6dc1b8, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x1fa963f4, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xf7acecfa, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x06430498, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x052f301d, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xe8ae5675, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x0b16ab00, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x1286f72a, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x39ae39f8, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x2c4b629c, "_gpl");
SYMBOL_CRC(usbnet_open, 0x27bcc3d0, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x24126f49, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xae876931, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x3c0d08eb, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x0d5bfc3a, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xc615889f, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xc67ba686, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x44d0be07, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x4088e6f8, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x793e45c1, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x17dbfe9c, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xc76854f1, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x68507693, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x7e2a1ec7, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xf571961a, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x5348b288, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xdedeea60, "");
SYMBOL_CRC(usbnet_manage_power, 0xe938defa, "");
SYMBOL_CRC(usbnet_link_change, 0x547a7143, "");
SYMBOL_CRC(usbnet_read_cmd, 0xb7fc7410, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x56e7f575, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xf9fbed07, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xed0b896e, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x94e2e02b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdadc7b21, "usb_set_interface" },
	{ 0x7ba58ef4, "usb_string" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xa905f3c1, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb4333482, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc670954, "usb_submit_urb" },
	{ 0x42217f7b, "netdev_err" },
	{ 0xf45ba95d, "mii_ethtool_get_link_ksettings" },
	{ 0x1f32ce7f, "mii_ethtool_set_link_ksettings" },
	{ 0xb48cbada, "mii_nway_restart" },
	{ 0xdce46e30, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x63843b4, "usb_free_urb" },
	{ 0x4e23debb, "unregister_netdev" },
	{ 0x89d3fb76, "consume_skb" },
	{ 0x52eba681, "usb_get_from_anchor" },
	{ 0x1e95161, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xf5c901d3, "free_netdev" },
	{ 0x4add9e0d, "netdev_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd2a33ca2, "usb_control_msg" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1ea5beb8, "usb_autopm_get_interface" },
	{ 0x5209955c, "usb_autopm_put_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7635ccc3, "usb_alloc_urb" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x19de8ba7, "mii_link_ok" },
	{ 0x1079bbcb, "ethtool_op_get_link" },
	{ 0x98cb93e1, "netif_carrier_on" },
	{ 0x6978b53f, "netif_carrier_off" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcd4f439c, "usb_get_urb" },
	{ 0x3e536e1e, "usb_unlink_urb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xca76645f, "netif_device_detach" },
	{ 0x5cae5e0c, "netif_device_attach" },
	{ 0xc58a23f5, "netif_rx" },
	{ 0x99b56a77, "eth_type_trans" },
	{ 0x2198207, "skb_queue_tail" },
	{ 0xa4bcebca, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6fce38b4, "register_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2048acff, "pm_runtime_enable" },
	{ 0x54c4f33, "usb_check_bulk_endpoints" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x614d1937, "skb_dequeue" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x991dfba8, "usb_autopm_get_interface_async" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x8b667e88, "dev_kfree_skb_any_reason" },
	{ 0x9a9e59ed, "skb_tstamp_tx" },
	{ 0xdc7f096c, "usb_anchor_urb" },
	{ 0x34574e00, "__netdev_alloc_skb" },
	{ 0x293b05ba, "netif_tx_wake_queue" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbef38cba, "usb_autopm_get_interface_no_resume" },
	{ 0x452822be, "skb_put" },
	{ 0x5d66ed10, "usb_clear_halt" },
	{ 0x8ceac1ad, "eth_mac_addr" },
	{ 0x5b9e5bf5, "eth_validate_addr" },
	{ 0x487466f3, "dev_get_tstats64" },
	{ 0x29e8a6b1, "ethtool_op_get_ts_info" },
	{ 0xc716744b, "param_ops_int" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

