#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x4577c42b, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xcf34109c, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xf047b343, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x5521aca8, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xebd4c40f, "");
SYMBOL_CRC(sdw_show_ping_status, 0x0f903d72, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x6b69e84f, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x05b20ea8, "");
SYMBOL_CRC(sdw_write_no_pm, 0x9ecde5e2, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x51092587, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xaf4afda3, "");
SYMBOL_CRC(sdw_read_no_pm, 0x07bd0453, "");
SYMBOL_CRC(sdw_update_no_pm, 0xd80911da, "");
SYMBOL_CRC(sdw_update, 0x43d55616, "");
SYMBOL_CRC(sdw_nread, 0xa6e28274, "");
SYMBOL_CRC(sdw_nwrite, 0x8e13d71f, "");
SYMBOL_CRC(sdw_read, 0x60c9b0d9, "");
SYMBOL_CRC(sdw_write, 0x4ce672d3, "");
SYMBOL_CRC(sdw_compare_devid, 0xe9ad3158, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x2a4eb41b, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xf01af360, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x609c60e1, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x63153e1b, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xcd7b2f0b, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x90b2d7af, "");
SYMBOL_CRC(sdw_slave_add, 0x81d3affc, "");
SYMBOL_CRC(sdw_master_read_prop, 0x606d2be8, "");
SYMBOL_CRC(sdw_slave_read_prop, 0xe4e98bd6, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0xbfeebfb3, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x99b64dbc, "");
SYMBOL_CRC(sdw_stream_add_slave, 0xfcc95cb6, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x4c2cf57e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf2ca2497, "device_property_present" },
	{ 0x83bc625d, "devm_device_add_groups" },
	{ 0x61ef3f04, "is_acpi_device_node" },
	{ 0x7abeb4a7, "of_fwnode_ops" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1e656bd7, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xee7e865d, "device_unregister" },
	{ 0x4f1c5114, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6e534984, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x7fe1720c, "seq_lseek" },
	{ 0x4888f9c4, "of_node_get" },
	{ 0x36c053cb, "dev_pm_domain_attach" },
	{ 0x54ac6a34, "devm_device_add_group" },
	{ 0xc1357b05, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf0aae245, "of_get_property" },
	{ 0x47e73572, "pm_generic_runtime_resume" },
	{ 0xf7a07889, "__pm_runtime_set_status" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x64eeea62, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c161060, "put_device" },
	{ 0x2048acff, "pm_runtime_enable" },
	{ 0xe12bea6a, "device_property_read_u32_array" },
	{ 0xf4ffc0ad, "fwnode_property_read_u32_array" },
	{ 0x494a5388, "dev_pm_domain_detach" },
	{ 0x40a1d8c6, "pm_generic_runtime_suspend" },
	{ 0x41840192, "bus_unregister" },
	{ 0x352255a5, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfd6c9868, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xda87d82d, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1bd7bd6, "device_register" },
	{ 0xe4e379bb, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x421b6bac, "__irq_domain_add" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb6db7e02, "devm_kasprintf" },
	{ 0x48c2dcfe, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2876f768, "fwnode_property_present" },
	{ 0xdf35cb9c, "debugfs_create_file" },
	{ 0x99324e77, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1f3a124c, "device_get_named_child_node" },
	{ 0xc0cfa340, "seq_printf" },
	{ 0xdbf4918d, "irq_create_mapping_affinity" },
	{ 0x5d13ee4f, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x139511c4, "acpi_dev_for_each_child" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xf4bd8c9, "__pm_runtime_suspend" },
	{ 0xf0fb3dc3, "irq_set_chip" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xf44458fe, "__pm_runtime_use_autosuspend" },
	{ 0xa6279c53, "single_open" },
	{ 0x8be81b85, "__pm_runtime_disable" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0x54db4bf, "driver_register" },
	{ 0xe59f6dfd, "__pm_runtime_idle" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x175cdcc4, "bus_register" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

