#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x35937868, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x58fdf625, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xe6bd2cb8, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x626b0ba8, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x1c70099b, "");
SYMBOL_CRC(fuse_abort_conn, 0xfb69c9a3, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x1206b358, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xd7e10881, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x27c6a1f0, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xb8b3a290, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x8e107eeb, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xc97eeaeb, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xec8329f3, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xae873d09, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x11377ad7, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xe9b3c22f, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x2f0f6eb8, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x3d83c54b, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xfecd8b69, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xbbe8d198, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x54170140, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xb0253c2b, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x8f234480, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x30ba5e96, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xe4634158, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x9181d7f0, "");
SYMBOL_CRC(fuse_do_ioctl, 0x4c3b300c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b51d3f9, "super_setup_bdi_name" },
	{ 0xf39e5cb9, "posix_test_lock" },
	{ 0x306e0a09, "truncate_inode_pages" },
	{ 0x66fe0cfb, "generic_copy_file_range" },
	{ 0x8f8ebfb8, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9d7e9152, "pipe_lock" },
	{ 0x38bca2f9, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x604a42e9, "vfs_fsync_range" },
	{ 0xeb712c1f, "setattr_prepare" },
	{ 0x97127270, "clear_nlink" },
	{ 0xce2a532c, "file_check_and_advance_wb_err" },
	{ 0x3a6529fb, "d_alloc_parallel" },
	{ 0x1a2a8c07, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x642cb21a, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x73f28a69, "misc_deregister" },
	{ 0xfc81aa2, "make_vfsgid" },
	{ 0x8d4b8a94, "clear_inode" },
	{ 0xb53649a, "inode_to_bdi" },
	{ 0xee27d6cd, "find_pid_ns" },
	{ 0xdd24a130, "grab_cache_page_write_begin" },
	{ 0x8c22230c, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe0793438, "pipe_unlock" },
	{ 0x6a04c60f, "fs_param_is_string" },
	{ 0x75a702ca, "folio_unlock" },
	{ 0x58e9c91e, "new_inode" },
	{ 0x87d5be69, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x61febee8, "dump_page" },
	{ 0x325b46cc, "forget_all_cached_acls" },
	{ 0xa4e94a99, "init_special_inode" },
	{ 0x45ae73d1, "unregister_filesystem" },
	{ 0x9bc6c792, "task_active_pid_ns" },
	{ 0x3d83f1c5, "iov_iter_single_seg_count" },
	{ 0x8473a549, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xca4b54b2, "d_alloc_name" },
	{ 0x886b69f, "replace_page_cache_folio" },
	{ 0x8a089d38, "inode_query_iversion" },
	{ 0x905b8885, "iov_iter_advance" },
	{ 0x807e2479, "kill_fasync" },
	{ 0x179f5cde, "d_make_root" },
	{ 0xadaa3039, "sb_set_blocksize" },
	{ 0xf4d9887c, "fget" },
	{ 0x94fb69d9, "simple_fill_super" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x37a5b2ff, "sync_filesystem" },
	{ 0x247bc3ad, "sget_fc" },
	{ 0x1b4d2443, "param_set_uint" },
	{ 0xd54103cb, "d_splice_alias" },
	{ 0x2b8c4f7c, "iov_iter_get_pages2" },
	{ 0xc3b419dd, "direct_write_fallback" },
	{ 0x4829a47e, "memcpy" },
	{ 0x16e71271, "page_get_link" },
	{ 0xb4947576, "generic_permission" },
	{ 0x36f40af1, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xfef3ebbe, "invalidate_inode_pages2_range" },
	{ 0x347781d0, "posix_lock_file" },
	{ 0x7dc74f2, "finish_open" },
	{ 0x8d2e58fc, "iput" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xff50c49a, "logfc" },
	{ 0xcacc75e6, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9bfd7f41, "init_pid_ns" },
	{ 0xe9eb69e4, "iov_iter_init" },
	{ 0x6d977a95, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x19d06173, "sysfs_create_mount_point" },
	{ 0x38bd0961, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x906d998a, "register_filesystem" },
	{ 0xcb39389b, "kmem_cache_create" },
	{ 0xadbf7a6, "folio_add_lru" },
	{ 0x11b08d57, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x708c365, "sync_inode_metadata" },
	{ 0x1272d90, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1be2e296, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xcd1f69b6, "shrink_dcache_parent" },
	{ 0x9ac32035, "get_tree_nodev" },
	{ 0xddea6131, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x8931038, "fs_param_is_u32" },
	{ 0x31c4044b, "inode_newsize_ok" },
	{ 0x3f0bafc9, "d_drop" },
	{ 0xde5b6e99, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xd8fbb807, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0xd507791b, "bdi_put" },
	{ 0xef685286, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x554fb1d3, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x73acb727, "make_kuid" },
	{ 0x6ae4681f, "truncate_inode_pages_final" },
	{ 0x29c13d60, "fs_kobj" },
	{ 0xf6eae681, "__filemap_set_wb_err" },
	{ 0x618f54dc, "simple_dir_operations" },
	{ 0xbaad16e0, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xe0e9453, "__free_pages" },
	{ 0x8d34124, "kmem_cache_alloc" },
	{ 0x82cbb046, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xe5a39775, "setattr_should_drop_suidgid" },
	{ 0x3c41e865, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x833741d6, "copy_page_from_iter_atomic" },
	{ 0xbc75eb54, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xee828475, "inode_init_once" },
	{ 0x40fe65ca, "file_write_and_wait_range" },
	{ 0xd26f1bab, "compat_ptr_ioctl" },
	{ 0xe2251ce4, "nosteal_pipe_buf_ops" },
	{ 0xd96280f5, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc6de3fb3, "inode_nohighmem" },
	{ 0x3dd10845, "copy_highpage" },
	{ 0xc6aedda, "release_pages" },
	{ 0xd69195af, "generic_file_direct_write" },
	{ 0x7aa9aabf, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xd72cd0dd, "generic_file_read_iter" },
	{ 0xc7eed44f, "inode_maybe_inc_iversion" },
	{ 0x303b5050, "unlock_page" },
	{ 0xf90e93c9, "inc_node_page_state" },
	{ 0x4d69e170, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0x61b193d0, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1a68216c, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xffde2d01, "dec_node_page_state" },
	{ 0xc4d76139, "write_cache_pages" },
	{ 0x5240a55a, "file_update_time" },
	{ 0x9668d431, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8ea963ae, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xabab95c8, "from_kgid" },
	{ 0x2336f1b6, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x45345bb2, "file_remove_privs" },
	{ 0x6ba7fd85, "write_inode_now" },
	{ 0xb3ded2cf, "d_obtain_alias" },
	{ 0xae7ee48e, "file_modified" },
	{ 0xdbc188f4, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9b2ccb77, "finish_no_open" },
	{ 0x4be88c9e, "__folio_start_writeback" },
	{ 0xc509435a, "kill_litter_super" },
	{ 0x7d13ffee, "folio_end_writeback" },
	{ 0x805e2489, "from_kuid" },
	{ 0x599d5a28, "current_in_userns" },
	{ 0xc86db7bf, "fc_mount" },
	{ 0xdcb764ad, "memset" },
	{ 0x244ba52f, "sysfs_remove_mount_point" },
	{ 0xe8454cd3, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6d69c018, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x6d3cbb37, "d_delete" },
	{ 0x7f05ddd8, "from_kgid_munged" },
	{ 0x4362afc4, "end_page_writeback" },
	{ 0xf2fb3153, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0x2d2cb351, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31ac9ef9, "nonseekable_open" },
	{ 0x9d3786d9, "set_page_dirty" },
	{ 0x8336433d, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x29c35bf0, "redirty_page_for_writepage" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb8b0a955, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x33ec500f, "generic_read_dir" },
	{ 0x7fdeaa05, "d_add" },
	{ 0x1156d4b4, "set_page_writeback" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x8b765bc5, "param_ops_bool" },
	{ 0x2b7142fd, "init_user_ns" },
	{ 0xa0232394, "d_find_alias" },
	{ 0x707d828a, "invalidate_inode_pages2" },
	{ 0xe7fb04e6, "alloc_pages" },
	{ 0xf0a25838, "inode_set_ctime_current" },
	{ 0xe307069e, "inc_nlink" },
	{ 0x84ed1144, "__folio_put" },
	{ 0x36456b85, "get_tree_bdev" },
	{ 0x624d5350, "set_anon_super_fc" },
	{ 0xc0cfa340, "seq_printf" },
	{ 0xb82a4311, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x2c2e756f, "generic_delete_inode" },
	{ 0x573dd2b5, "deactivate_locked_super" },
	{ 0x9d6d98f9, "touch_atime" },
	{ 0x305a2149, "__d_lookup_unhash_wake" },
	{ 0xfd2ca7a4, "set_page_dirty_lock" },
	{ 0xf1d70d9a, "pid_nr_ns" },
	{ 0x328157cb, "generic_file_open" },
	{ 0x3cb49f4, "truncate_inode_pages_range" },
	{ 0xfcda2301, "__put_user_ns" },
	{ 0xe8c71e6d, "__folio_lock" },
	{ 0xc429abcc, "filemap_dirty_folio" },
	{ 0xcf3f7407, "pagecache_get_page" },
	{ 0xc0b9244e, "seq_puts" },
	{ 0x596a80db, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0xd099f624, "add_to_pipe" },
	{ 0xb6d181ed, "__fs_parse" },
	{ 0x1721b4ee, "filemap_splice_read" },
	{ 0x93a8f9e0, "posix_acl_to_xattr" },
	{ 0x13e31cd2, "dget_parent" },
	{ 0x691dfcb3, "kill_anon_super" },
	{ 0x97af0c3a, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x4cad007c, "iget5_locked" },
	{ 0x3ca60a17, "security_dentry_init_security" },
	{ 0xe535799a, "filemap_write_and_wait_range" },
	{ 0x733a0efc, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x34ab0d76, "generic_write_checks" },
	{ 0xf00124e, "iov_iter_revert" },
	{ 0xdcd9442d, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb1c0474a, "mntget" },
	{ 0x765e3e81, "kmem_cache_alloc_lru" },
	{ 0xec314e5b, "filemap_fault" },
	{ 0xe997d332, "d_invalidate" },
	{ 0xf8b91885, "__mark_inode_dirty" },
	{ 0x3d4ffddf, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x56fa86c3, "iov_iter_npages" },
	{ 0x24397997, "drop_nlink" },
	{ 0x127c3c21, "fault_in_iov_iter_readable" },
	{ 0xc7ae8539, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x6dec7f14, "bdi_set_max_ratio" },
	{ 0xd04fe558, "kmem_cache_destroy" },
	{ 0x91451db, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

