#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x9f6092db, "");
SYMBOL_CRC(bt_sock_register, 0x62e19f67, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x11739dd8, "");
SYMBOL_CRC(bt_sock_link, 0x1566f39d, "");
SYMBOL_CRC(bt_sock_unlink, 0x13116c73, "");
SYMBOL_CRC(bt_accept_enqueue, 0xfdd061e7, "");
SYMBOL_CRC(bt_accept_unlink, 0x787952a6, "");
SYMBOL_CRC(bt_accept_dequeue, 0x027256c5, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x4185de7f, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x880bd97c, "");
SYMBOL_CRC(bt_sock_poll, 0xdb42f858, "");
SYMBOL_CRC(bt_sock_ioctl, 0xc7d6263e, "");
SYMBOL_CRC(bt_sock_wait_state, 0xf4b26e1d, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x13c5c211, "");
SYMBOL_CRC(bt_procfs_init, 0x22c84c72, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x8c6b89a1, "");
SYMBOL_CRC(bt_debugfs, 0xb677d534, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xc84d6f04, "");
SYMBOL_CRC(hci_free_dev, 0x377d98d7, "");
SYMBOL_CRC(hci_register_dev, 0xb222d740, "");
SYMBOL_CRC(hci_unregister_dev, 0xfd1972eb, "");
SYMBOL_CRC(hci_release_dev, 0x05b84878, "");
SYMBOL_CRC(hci_suspend_dev, 0x28ce9fb3, "");
SYMBOL_CRC(hci_resume_dev, 0x8d8b224b, "");
SYMBOL_CRC(hci_reset_dev, 0x81a2ba64, "");
SYMBOL_CRC(hci_recv_frame, 0x9e55ea13, "");
SYMBOL_CRC(hci_recv_diag, 0xea6d8009, "");
SYMBOL_CRC(hci_set_hw_info, 0x3841110e, "");
SYMBOL_CRC(hci_set_fw_info, 0x7afbb2c1, "");
SYMBOL_CRC(hci_register_cb, 0x678e3106, "");
SYMBOL_CRC(hci_unregister_cb, 0x3586fb24, "");
SYMBOL_CRC(__hci_cmd_send, 0x9db2fde3, "");
SYMBOL_CRC(hci_get_route, 0x363b50ca, "");
SYMBOL_CRC(hci_conn_security, 0x292105b7, "");
SYMBOL_CRC(hci_conn_check_secure, 0xa60e7566, "");
SYMBOL_CRC(hci_conn_switch_role, 0x179200e4, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xb1aa26b6, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x20f7e7cc, "");
SYMBOL_CRC(l2cap_add_psm, 0x53d527bd, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xf612048f, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xe63702e4, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0xbfe1bc0d, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x4d870e42, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xcdf91bc7, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x9d7c1f6a, "");
SYMBOL_CRC(l2cap_register_user, 0xc8f78d7f, "");
SYMBOL_CRC(l2cap_unregister_user, 0x3ae5505c, "");
SYMBOL_CRC(l2cap_conn_get, 0xf5a93f22, "");
SYMBOL_CRC(l2cap_conn_put, 0x87314093, "");
SYMBOL_CRC(l2cap_chan_send, 0x12c3d66f, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x809c0905, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x849e5c18, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x391ebfda, "");
SYMBOL_CRC(__hci_cmd_sync, 0x80ff6cdc, "");
SYMBOL_CRC(hci_cmd_sync, 0xddec3ac9, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x51fc67f6, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x1bbf5456, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x68552416, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x0778d58f, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x23244404, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x5acd8694, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x584d1831, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xfad1f0de, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xab8fdcb0, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x0c95b933, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0xa8a2ab4e, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xac9fa82f, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xcd22b185, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0xe97c039f, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0xd74b42a2, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0xb88c12de, "");
SYMBOL_CRC(hci_devcd_init, 0x2aa56216, "");
SYMBOL_CRC(hci_devcd_append, 0x92692baa, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x7baaff8a, "");
SYMBOL_CRC(hci_devcd_complete, 0x12e6085a, "");
SYMBOL_CRC(hci_devcd_abort, 0xa9a68726, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xb083cd83, "skb_free_datagram" },
	{ 0xacbee9ef, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x328248d7, "try_module_get" },
	{ 0x2645b09a, "sock_i_uid" },
	{ 0x52a963bf, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xa31b4c4c, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x452822be, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x1e656bd7, "dev_set_name" },
	{ 0xab7f80d6, "scm_detach_fds" },
	{ 0xd275c5e8, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xee7e865d, "device_unregister" },
	{ 0x614d1937, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x60a69c73, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x26ae986b, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xb5d457d8, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7fe1720c, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x6f36aa96, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9ae07395, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xcd38066b, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1853775c, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x8c06da48, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x47a2ccb9, "__pskb_copy_fclone" },
	{ 0xb979fbca, "__put_cred" },
	{ 0x4cf3b0f0, "put_cmsg" },
	{ 0xb4333482, "skb_queue_purge_reason" },
	{ 0x42031a44, "crypto_destroy_tfm" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x14097a8b, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xe123e61, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1e5366e0, "sock_register" },
	{ 0x52aa884c, "datagram_poll" },
	{ 0x273d3abf, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x5c161060, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd748682e, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x16f0b6cb, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2198207, "skb_queue_tail" },
	{ 0xd696f3b0, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf56664fb, "debugfs_attr_read" },
	{ 0xccb28d0c, "__sock_recv_timestamp" },
	{ 0xebbf673b, "sock_no_shutdown" },
	{ 0xd3218289, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9abfc4d5, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xdc87e3a, "init_net" },
	{ 0x8aded844, "crypto_shash_setkey" },
	{ 0x6b396470, "simple_open" },
	{ 0x4f7da5d4, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8322c910, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xbb837f8, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc2546523, "init_uts_ns" },
	{ 0x64dc7fc3, "sk_free" },
	{ 0x706d15ea, "device_move" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0xafc95dfc, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x42bbd00d, "skb_push" },
	{ 0x771eed9d, "sock_no_listen" },
	{ 0xfd6c9868, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x9614978a, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x31a3085f, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x99c107d5, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x50fe4533, "lock_sock_nested" },
	{ 0xa8d4a505, "device_find_child" },
	{ 0x372aa552, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x48f394d1, "skb_copy_datagram_iter" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5aa234a7, "sk_alloc" },
	{ 0x77899b36, "device_del" },
	{ 0xc3169a25, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xcede44e6, "default_llseek" },
	{ 0xc3b46f86, "__sock_recv_wifi_status" },
	{ 0x805e2489, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3c6a9285, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x114da334, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x38f33ad9, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x57d7de2b, "__pskb_pull_tail" },
	{ 0x2a5b2189, "__scm_destroy" },
	{ 0x7f05ddd8, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x145ff42, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x9da54120, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6db7e02, "devm_kasprintf" },
	{ 0x48c2dcfe, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x394ada5e, "sock_i_ino" },
	{ 0xdf35cb9c, "debugfs_create_file" },
	{ 0xa4647e0e, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x80b5b98d, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8b765bc5, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x5b2530eb, "skb_recv_datagram" },
	{ 0xdc3711dd, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f18b7f, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc0cfa340, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6161c207, "skb_copy" },
	{ 0xfe0a1de0, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x22f1bf56, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xdc5b15ad, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc0b9244e, "seq_puts" },
	{ 0x650d3da7, "sock_gettstamp" },
	{ 0x5d13ee4f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x571908fb, "pid_vnr" },
	{ 0x97af0c3a, "from_kuid_munged" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x13b7b9f1, "led_trigger_event" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xf00124e, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5c4327b9, "proc_create_seq_private" },
	{ 0xb33f3a74, "debugfs_create_u8" },
	{ 0xa6279c53, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x676cdac9, "crypto_alloc_shash" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x61f8d1d7, "fwnode_property_read_u8_array" },
	{ 0x5f806d6f, "put_pid" },
	{ 0x582ecc5b, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9fc11a59, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x65344d03, "__dev_fwnode" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3fa4154a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xafca8f13, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic");


MODULE_INFO(srcversion, "D59173611C9EDFDB8FA1B58");
