#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x5fcd12b0, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x1293cf5b, "");
SYMBOL_CRC(ip_tunnel_rcv, 0xaa2ea645, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x4368fd07, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x81b2dfaa, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x2a30aac8, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x8b85c240, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xbb6d26c8, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x72a3e9cc, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x6afc2408, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x0ad19f09, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x013bba79, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0xb6d16a61, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xdde17a99, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x41f12443, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x509db23e, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x3212c44d, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x36a2beda, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xc90c17c8, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x3233e283, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xd27a3086, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xf68916a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf5bb290, "iptun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6a198615, "icmpv6_ndo_send" },
	{ 0x434ab38d, "icmp_ndo_send" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x903d33cb, "alloc_netdev_mqs" },
	{ 0xdd2157b0, "register_netdevice" },
	{ 0xf5c901d3, "free_netdev" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdcb764ad, "memset" },
	{ 0x5f230abe, "ip_route_output_flow" },
	{ 0x6aab7550, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x84b3bed3, "__dev_get_by_index" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaef7ead0, "unregister_netdevice_queue" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd17310e2, "gro_cells_init" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa905f3c1, "dev_addr_mod" },
	{ 0x1f710f03, "netdev_state_change" },
	{ 0x398646fb, "ns_capable" },
	{ 0x58e9488a, "dev_set_mtu" },
	{ 0xdc87e3a, "init_net" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0x57d7de2b, "__pskb_pull_tail" },
	{ 0x2ab68a52, "skb_copy_bits" },
	{ 0xbeb93682, "skb_scrub_packet" },
	{ 0x9e36272c, "gro_cells_receive" },
	{ 0x99b56a77, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x580052e, "dst_cache_get_ip4" },
	{ 0x76307275, "iptunnel_xmit" },
	{ 0x50043392, "__skb_get_hash" },
	{ 0xfbecf2c1, "dst_cache_set_ip4" },
	{ 0x8a44058c, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x88707aca, "neigh_destroy" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

