#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xd594f6a5, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x6cfdc44d, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xe356a613, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x470afe13, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x9e6cea81, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x233022e1, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xf7882e06, "");
SYMBOL_CRC(ip_vs_conn_put, 0xb4d8be43, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x66b29db4, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x1d85c39d, "");
SYMBOL_CRC(register_ip_vs_app, 0xa0f9b7fc, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x25deb516, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x1223bd9f, "");
SYMBOL_CRC(ip_vs_proto_get, 0x3d5e2e9d, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x3e55c74f, "");
SYMBOL_CRC(register_ip_vs_pe, 0xead538ea, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xf26dd46a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x328248d7, "try_module_get" },
	{ 0xe4d281a8, "__ip_select_ident" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2efb9a47, "inet_get_local_port_range" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x2ab68a52, "skb_copy_bits" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xadf9c1b3, "housekeeping_cpumask" },
	{ 0x89d3fb76, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x20259cc4, "nf_register_sockopt" },
	{ 0xae37acdd, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9826d17f, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x77b736d4, "kernel_bind" },
	{ 0x8c3e0637, "set_user_nice" },
	{ 0xd4c617b6, "genlmsg_put" },
	{ 0xc90f8960, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1853775c, "__module_get" },
	{ 0x5f230abe, "ip_route_output_flow" },
	{ 0xcb39389b, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0x742d4f3e, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4d73cd79, "__dev_get_by_name" },
	{ 0x7424c425, "proc_create_net_data" },
	{ 0x8a44058c, "pskb_expand_head" },
	{ 0x1ae2127a, "register_pernet_subsys" },
	{ 0x47a3358b, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xbee46fc2, "register_net_sysctl_sz" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x2d315261, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x2572b4ff, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xd748682e, "__alloc_skb" },
	{ 0x8d34124, "kmem_cache_alloc" },
	{ 0xd696f3b0, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x50043392, "__skb_get_hash" },
	{ 0xdc87e3a, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xeb974cc, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x1b903fc0, "ip_route_me_harder" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x42bbd00d, "skb_push" },
	{ 0x8ea963ae, "kmem_cache_free" },
	{ 0x9ae417d1, "set_cpus_allowed_ptr" },
	{ 0x9614978a, "seq_putc" },
	{ 0x34de7572, "nla_put" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xf0fea82b, "skb_ensure_writable" },
	{ 0x31a3085f, "iov_iter_kvec" },
	{ 0xf16e84a3, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x398646fb, "ns_capable" },
	{ 0xb9abb382, "nf_unregister_net_hooks" },
	{ 0x1c55d36d, "inet_select_addr" },
	{ 0x68e4532c, "unregister_pernet_device" },
	{ 0x50fe4533, "lock_sock_nested" },
	{ 0x56d995ed, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x6f16e373, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8c922e2c, "unregister_pernet_subsys" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0xf3b1c3e0, "kernel_connect" },
	{ 0xfa1f6889, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x1171ae53, "ip_defrag" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x57d7de2b, "__pskb_pull_tail" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x145ff42, "skb_trim" },
	{ 0xe482b85f, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x72be0f79, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x2340d672, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x36ce6aa0, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x671e4ca6, "skb_set_owner_w" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4ac8b65c, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2b7142fd, "init_user_ns" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f18b7f, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc0cfa340, "seq_printf" },
	{ 0xac054b52, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x793958c5, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x80033eeb, "ipv4_update_pmtu" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6aab7550, "dst_release" },
	{ 0xa1f6ebc5, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xc0b9244e, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x84587842, "ip_local_out" },
	{ 0xcfb75056, "genl_unregister_family" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xc716744b, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb264fab9, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe8ccb6ed, "kernel_sendmsg" },
	{ 0xae188c77, "nf_ct_netns_put" },
	{ 0xfe946f7a, "register_pernet_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd04fe558, "kmem_cache_destroy" },
	{ 0x3fa4154a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");

