#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x0d01fda8, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x2b2b7ba5, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x3ebf57c8, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xfc48b131, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xf28ca4b5, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xbb174e12, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xf71b7359, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x2ebf116a, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x2d3e2a5b, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xdce0c1d3, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xb56746d2, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x13677be7, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xfd25fb95, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x19cd3b4e, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xacd2fed8, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x293e63b7, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x97e69ed0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xec568a21, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xd58a2392, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x2c6915c7, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x4e8ed1f4, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x93f356b8, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xcc424ba5, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xd53e81a5, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xbbbd725b, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x4216abdc, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x2b55955c, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x7c0cd624, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x30c3e400, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x238814d0, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x7f056d95, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xadc8790b, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x31c381ab, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x682d996a, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x17529777, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xfa147a9a, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x82f49695, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x09f3511d, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xab57287a, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x902756ae, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x911bdf58, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x373fe931, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x63af7287, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xda3104be, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x4497a171, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x2472c65a, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x67064fe7, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xc8938d60, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x87e3391f, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xb8822657, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x854fc9db, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x67603444, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x2fa87dfe, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x11a57529, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xf5d61a5e, "_gpl");
SYMBOL_CRC(nf_confirm, 0x94fa0b02, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x9826d17f, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xae188c77, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x1e90a0ad, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x4e3d86ea, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x0581680b, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x1afe485f, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x1614c67a, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x544f04e1, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xb62cd943, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x99e236b7, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xd2c8afab, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x7b7e158f, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x184d4e7b, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xc50d4cdc, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xf322dc19, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xf05f98de, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcecc309, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x328248d7, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x1263ff8a, "nf_defrag_ipv4_disable" },
	{ 0xf87e1b53, "nf_ip6_checksum" },
	{ 0x1afaa2fd, "proc_dou8vec_minmax" },
	{ 0x2ab68a52, "skb_copy_bits" },
	{ 0xff04bde5, "param_ops_uint" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x20259cc4, "nf_register_sockopt" },
	{ 0x1b4d2443, "param_set_uint" },
	{ 0x55aaa16c, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcb39389b, "kmem_cache_create" },
	{ 0x17046337, "nf_ct_hook" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ae2127a, "register_pernet_subsys" },
	{ 0xbee46fc2, "register_net_sysctl_sz" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x2d315261, "nf_unregister_sockopt" },
	{ 0x554fb1d3, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6f4b9d6f, "nf_defrag_ipv6_disable" },
	{ 0x7be10649, "ipv6_skip_exthdr" },
	{ 0x2572b4ff, "nf_register_net_hooks" },
	{ 0x8d34124, "kmem_cache_alloc" },
	{ 0xd696f3b0, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xa1aa79da, "nf_checksum" },
	{ 0xdc87e3a, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8ea963ae, "kmem_cache_free" },
	{ 0x35d5a050, "nf_checksum_partial" },
	{ 0xf0fea82b, "skb_ensure_writable" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xb9abb382, "nf_unregister_net_hooks" },
	{ 0x50fe4533, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x8c922e2c, "unregister_pernet_subsys" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xd5418643, "nf_log_packet" },
	{ 0xb35a5be8, "nf_ip_checksum" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3804e75b, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8b765bc5, "param_ops_bool" },
	{ 0x53cf3326, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf98548a6, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe7e5bfea, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x91ca9c71, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd04fe558, "kmem_cache_destroy" },
	{ 0x3fa4154a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");

