#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xa994580f, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x69b9847d, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x33bbafe0, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x2ef30156, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x6d0597cd, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xca09ca1a, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0xf4664bf6, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x6695a116, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xc38860a8, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x18995366, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xea034ba4, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0xb2140276, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x5e2e6293, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xb31a583e, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0xd456b630, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x4e8e7ace, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x46373152, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x3fa9904a, "flow_rule_alloc" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2a8154fa, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd57d3a21, "neigh_xmit" },
	{ 0xd064dcb3, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x8a44058c, "pskb_expand_head" },
	{ 0x1ae2127a, "register_pernet_subsys" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x4f7da5d4, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdea8757e, "dev_get_by_index" },
	{ 0x80384a4e, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x14c1590c, "flow_indr_dev_setup_offload" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x8c922e2c, "unregister_pernet_subsys" },
	{ 0xdcb764ad, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x57d7de2b, "__pskb_pull_tail" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x668b19a1, "down_read" },
	{ 0x613d5068, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xed20728a, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x88707aca, "neigh_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53cf3326, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x2ebf116a, "nf_ct_acct_add" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6aab7550, "dst_release" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");

