#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xd9582d4a, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xf3bf1602, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x3177f50c, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xa7b57607, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x0576d7cc, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xf080fc42, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x014ad5e8, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x1b8e3993, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x9f4e5190, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x72856dd9, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x18697650, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x2e3d2e01, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xbe5d75d5, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xcd4efa6b, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x8db0a195, "");
SYMBOL_CRC(nf_nat_follow_master, 0x2006da69, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x47c81b02, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xae8eca3d, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x53355719, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x581680b, "nf_ct_ext_add" },
	{ 0xcecc309, "__do_once_done" },
	{ 0xbb174e12, "nf_conntrack_find_get" },
	{ 0x328248d7, "try_module_get" },
	{ 0xf87e1b53, "nf_ip6_checksum" },
	{ 0x973cf231, "nf_hook_entries_insert_raw" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x544f04e1, "nf_ct_seqadj_set" },
	{ 0x452822be, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x373fe931, "nf_ct_helper_expectfn_unregister" },
	{ 0x1afe485f, "__nf_ct_ext_find" },
	{ 0x911bdf58, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x8fa11bb, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x8a44058c, "pskb_expand_head" },
	{ 0x1ae2127a, "register_pernet_subsys" },
	{ 0xdce0c1d3, "nf_conntrack_tuple_taken" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x97e69ed0, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7be10649, "ipv6_skip_exthdr" },
	{ 0x2572b4ff, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd696f3b0, "module_put" },
	{ 0xf46ef1b7, "ipv6_dev_get_saddr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xadc8790b, "nf_ct_expect_related_report" },
	{ 0x19cd3b4e, "nf_conntrack_alter_reply" },
	{ 0x1b903fc0, "ip_route_me_harder" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x26f576f0, "nf_hook_entries_delete_raw" },
	{ 0xf0fea82b, "skb_ensure_writable" },
	{ 0xb9abb382, "nf_unregister_net_hooks" },
	{ 0x1c55d36d, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x8c922e2c, "unregister_pernet_subsys" },
	{ 0xfa1f6889, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf28ca4b5, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xb35a5be8, "nf_ip_checksum" },
	{ 0xec568a21, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x613d5068, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9de9a3a5, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3804e75b, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x53cf3326, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6aab7550, "dst_release" },
	{ 0x293e63b7, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe7e5bfea, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");

