#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_hci_result_to_errno, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes_per_host, "", "");
KSYMTAB_FUNC(nfc_hci_sak_to_protocol, "", "");
KSYMTAB_FUNC(nfc_hci_target_discovered, "", "");
KSYMTAB_FUNC(nfc_hci_allocate_device, "", "");
KSYMTAB_FUNC(nfc_hci_free_device, "", "");
KSYMTAB_FUNC(nfc_hci_register_device, "", "");
KSYMTAB_FUNC(nfc_hci_unregister_device, "", "");
KSYMTAB_FUNC(nfc_hci_set_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_get_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_driver_failure, "", "");
KSYMTAB_FUNC(nfc_hci_recv_frame, "", "");
KSYMTAB_FUNC(nfc_hci_send_event, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd_async, "", "");
KSYMTAB_FUNC(nfc_hci_set_param, "", "");
KSYMTAB_FUNC(nfc_hci_get_param, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_gate, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_all_gates, "", "");
KSYMTAB_FUNC(nfc_hci_connect_gate, "", "");
KSYMTAB_FUNC(nfc_llc_start, "", "");
KSYMTAB_FUNC(nfc_llc_stop, "", "");

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0x7f366a10, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0x562fe372, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0xecc4f49f, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0x6b1ac995, "");
SYMBOL_CRC(nfc_hci_free_device, 0x01e911c4, "");
SYMBOL_CRC(nfc_hci_register_device, 0xc84fd29b, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0xff109a7d, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0xaf5d2fd1, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0x19fbd649, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0x160a9451, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0xc5aef81e, "");
SYMBOL_CRC(nfc_hci_send_event, 0xdc8b668a, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0x2ff4dbfd, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0x32010a8c, "");
SYMBOL_CRC(nfc_hci_set_param, 0xa63828d1, "");
SYMBOL_CRC(nfc_hci_get_param, 0xa1a6dd9b, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0x67e83d93, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0x3aacb50d, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0x13bd6069, "");
SYMBOL_CRC(nfc_llc_start, 0xcde325d6, "");
SYMBOL_CRC(nfc_llc_stop, 0x4a39ad24, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x452822be, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x614d1937, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96ff03e3, "nfc_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5a8fc4bd, "nfc_allocate_device" },
	{ 0xb4333482, "skb_queue_purge_reason" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xc1f440c, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c161060, "put_device" },
	{ 0xd748682e, "__alloc_skb" },
	{ 0x2198207, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4f7da5d4, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x42bbd00d, "skb_push" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x2ca75dff, "skb_dequeue_tail" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x145ff42, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x89487e20, "nfc_targets_found" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x334b8b8f, "nfc_driver_failure" },
	{ 0x98cf60b3, "strlen" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0xd2db3d05, "nfc_register_device" },
	{ 0xafca8f13, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "nfc");

