#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nci_get_conn_info_by_dest_type_params, "", "");
KSYMTAB_FUNC(nci_req_complete, "", "");
KSYMTAB_FUNC(nci_prop_cmd, "", "");
KSYMTAB_FUNC(nci_core_cmd, "", "");
KSYMTAB_FUNC(nci_core_reset, "", "");
KSYMTAB_FUNC(nci_core_init, "", "");
KSYMTAB_FUNC(nci_nfcc_loopback, "", "");
KSYMTAB_FUNC(nci_set_config, "", "");
KSYMTAB_FUNC(nci_nfcee_discover, "", "");
KSYMTAB_FUNC(nci_nfcee_mode_set, "", "");
KSYMTAB_FUNC(nci_core_conn_create, "", "");
KSYMTAB_FUNC(nci_core_conn_close, "", "");
KSYMTAB_FUNC(nci_allocate_device, "", "");
KSYMTAB_FUNC(nci_free_device, "", "");
KSYMTAB_FUNC(nci_register_device, "", "");
KSYMTAB_FUNC(nci_unregister_device, "", "");
KSYMTAB_FUNC(nci_recv_frame, "", "");
KSYMTAB_FUNC(nci_send_frame, "", "");
KSYMTAB_FUNC(nci_send_cmd, "", "");
KSYMTAB_FUNC(nci_conn_max_data_pkt_payload_size, "", "");
KSYMTAB_FUNC(nci_send_data, "", "");
KSYMTAB_FUNC(nci_to_errno, "", "");
KSYMTAB_FUNC(nci_hci_send_event, "", "");
KSYMTAB_FUNC(nci_hci_send_cmd, "", "");
KSYMTAB_FUNC(nci_hci_clear_all_pipes, "", "");
KSYMTAB_FUNC(nci_hci_open_pipe, "", "");
KSYMTAB_FUNC(nci_hci_set_param, "", "");
KSYMTAB_FUNC(nci_hci_get_param, "", "");
KSYMTAB_FUNC(nci_hci_connect_gate, "", "");
KSYMTAB_FUNC(nci_hci_dev_session_init, "", "");

SYMBOL_CRC(nci_get_conn_info_by_dest_type_params, 0xc203b532, "");
SYMBOL_CRC(nci_req_complete, 0xf2f3c32f, "");
SYMBOL_CRC(nci_prop_cmd, 0x4d68bfa1, "");
SYMBOL_CRC(nci_core_cmd, 0x669d1527, "");
SYMBOL_CRC(nci_core_reset, 0x3085960b, "");
SYMBOL_CRC(nci_core_init, 0x5b412ab6, "");
SYMBOL_CRC(nci_nfcc_loopback, 0x9efb825f, "");
SYMBOL_CRC(nci_set_config, 0x2bc0031b, "");
SYMBOL_CRC(nci_nfcee_discover, 0x9bc1ea05, "");
SYMBOL_CRC(nci_nfcee_mode_set, 0x39e4d2f0, "");
SYMBOL_CRC(nci_core_conn_create, 0xd524fbc4, "");
SYMBOL_CRC(nci_core_conn_close, 0x4239637e, "");
SYMBOL_CRC(nci_allocate_device, 0x07b4fb14, "");
SYMBOL_CRC(nci_free_device, 0x23671cad, "");
SYMBOL_CRC(nci_register_device, 0xf649f4b3, "");
SYMBOL_CRC(nci_unregister_device, 0x0700bab9, "");
SYMBOL_CRC(nci_recv_frame, 0x9943173e, "");
SYMBOL_CRC(nci_send_frame, 0x85f4ef5a, "");
SYMBOL_CRC(nci_send_cmd, 0x6c4aec73, "");
SYMBOL_CRC(nci_conn_max_data_pkt_payload_size, 0x9675a1d9, "");
SYMBOL_CRC(nci_send_data, 0x9f72dd99, "");
SYMBOL_CRC(nci_to_errno, 0xba490602, "");
SYMBOL_CRC(nci_hci_send_event, 0x2c58a720, "");
SYMBOL_CRC(nci_hci_send_cmd, 0xd9e125af, "");
SYMBOL_CRC(nci_hci_clear_all_pipes, 0x7ae18f40, "");
SYMBOL_CRC(nci_hci_open_pipe, 0x25eb1c79, "");
SYMBOL_CRC(nci_hci_set_param, 0x1b3ea083, "");
SYMBOL_CRC(nci_hci_get_param, 0x7e63c27b, "");
SYMBOL_CRC(nci_hci_connect_gate, 0x74e37bf6, "");
SYMBOL_CRC(nci_hci_dev_session_init, 0xd2bc653d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x452822be, "skb_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x614d1937, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96ff03e3, "nfc_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5a8fc4bd, "nfc_allocate_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x60a166f8, "nfc_tm_data_received" },
	{ 0x8a44058c, "pskb_expand_head" },
	{ 0xb4333482, "skb_queue_purge_reason" },
	{ 0xf80d99d6, "nfc_tm_deactivated" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc1f440c, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c161060, "put_device" },
	{ 0xd748682e, "__alloc_skb" },
	{ 0x2198207, "skb_queue_tail" },
	{ 0x5c23c3d0, "nfc_get_local_general_bytes" },
	{ 0xd7f32c3b, "nfc_set_remote_general_bytes" },
	{ 0x9abfc4d5, "devm_kfree" },
	{ 0x4f7da5d4, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x42bbd00d, "skb_push" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2c137336, "nfc_tm_activated" },
	{ 0xdcb764ad, "memset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x145ff42, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89487e20, "nfc_targets_found" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe4bb4372, "nfc_dep_link_is_up" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe85701f7, "nfc_send_to_raw_sock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0xd2db3d05, "nfc_register_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "nfc");

