#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xd0463572, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xdd2c66d5, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x2fd1ca26, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb083cd83, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xacbee9ef, "sock_queue_rcv_skb_reason" },
	{ 0xd153b105, "__skb_pad" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2997de64, "bpf_trace_run4" },
	{ 0x2ab68a52, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x452822be, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x89d3fb76, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf8f06a52, "trace_raw_output_prep" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x3fef214e, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x7a095336, "trace_event_printf" },
	{ 0x77b736d4, "kernel_bind" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xe9b78252, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1853775c, "__module_get" },
	{ 0x4a54efd3, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x47a2ccb9, "__pskb_copy_fclone" },
	{ 0x5b8410f6, "sk_error_report" },
	{ 0xb4333482, "skb_queue_purge_reason" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0xe61046c1, "trace_event_buffer_commit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe123e61, "proto_unregister" },
	{ 0x1e5366e0, "sock_register" },
	{ 0x52aa884c, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd748682e, "__alloc_skb" },
	{ 0x16f0b6cb, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd696f3b0, "module_put" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xebbf673b, "sock_no_shutdown" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xdba7a1b2, "perf_trace_run_bpf_submit" },
	{ 0x351fe5b7, "__traceiter_sk_data_ready" },
	{ 0xdc87e3a, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x50fa13e0, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x64dc7fc3, "sk_free" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0xafc95dfc, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x42bbd00d, "skb_push" },
	{ 0x771eed9d, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf2a3c908, "trace_event_reg" },
	{ 0x5e3240a0, "__cpu_online_mask" },
	{ 0x50fe4533, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x48f394d1, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5aa234a7, "sk_alloc" },
	{ 0x3c6a9285, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x38f33ad9, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x34574e00, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xc6a7558b, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x671e4ca6, "skb_set_owner_w" },
	{ 0x5b74385f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4ac8b65c, "sock_create_kern" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x5b2530eb, "skb_recv_datagram" },
	{ 0xdc3711dd, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x22f1bf56, "_copy_from_iter" },
	{ 0xa1f6ebc5, "sock_release" },
	{ 0x650d3da7, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf00124e, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe8ccb6ed, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9fc11a59, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x3fa4154a, "release_sock" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

