#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_valid_disable_subchannel_bitmap, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_read_of_freq_limits, "", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x305ede58, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0xdb7281fe, "");
SYMBOL_CRC(wiphy_register, 0x37f354af, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x785c00b8, "");
SYMBOL_CRC(wiphy_unregister, 0xe5e1bcf5, "");
SYMBOL_CRC(wiphy_free, 0x78ed68f5, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x5160c4fd, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x0211bf28, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x66d71126, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x6d0048e2, "");
SYMBOL_CRC(wiphy_work_queue, 0xb3d8b74e, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x8b3fd5b9, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0xbecb0550, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0xafc44d0b, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0xefc0fe40, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0xd3025a07, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0xc3fb97ca, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x4abed7d4, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x0cc95bc2, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x11634eee, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x141381b0, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x2e727eda, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0xea3eb5a4, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x5762e35e, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x98560d70, "");
SYMBOL_CRC(cfg80211_classify8021d, 0x326ecd19, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x429c0c31, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0x3643b80f, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0xb9556160, "");
SYMBOL_CRC(cfg80211_check_combinations, 0xbbfc7351, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x180cebe6, "");
SYMBOL_CRC(cfg80211_get_station, 0x92d50f1c, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0xb2fd4324, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x169820c8, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x1a3477b8, "");
SYMBOL_CRC(get_wiphy_regdom, 0xbf495fd3, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x1ce2497f, "");
SYMBOL_CRC(freq_reg_info, 0x42ac04d3, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x33ca0cca, "");
SYMBOL_CRC(regulatory_hint, 0x0f35c8f2, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x82c54c10, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x3287a3b5, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x2f9d8fc8, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_scan_done, 0x5a493250, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0xe9709bd5, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x1b48a0f9, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x3c9a8d86, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x843c7032, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(cfg80211_get_bss, 0x26486496, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x8d04e291, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x47b2a627, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x8430c340, "");
SYMBOL_CRC(cfg80211_put_bss, 0x7db33f36, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0xfb8d94f0, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x04c68e5f, "");
SYMBOL_CRC(nl80211_send_chandef, 0x61449800, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x0fd9961e, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x57ac7d5e, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x8f57fa05, "");
SYMBOL_CRC(cfg80211_nan_match, 0x1fa5d263, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x782920bd, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0xa4e4f9ac, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0xcd316229, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x8e6e6bfe, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x128ed98d, "");
SYMBOL_CRC(cfg80211_links_removed, 0xfc9852f9, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x9fddfc88, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xdb853a32, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x3e18e5bd, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0xb0cecb7e, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0xe50ba7c1, "");
SYMBOL_CRC(cfg80211_new_sta, 0x759b141a, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x614c301d, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x6176639a, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x56e9a668, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0xf62ed55e, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x75885963, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xb3d24e18, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x743ed5be, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x5673ff42, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x241b911c, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x6d1125c7, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x41831c8e, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0xf216b361, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xde833e39, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0xd87f091f, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x9d73cd1f, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x247ac8fa, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0xa37d6a5c, "");
SYMBOL_CRC(cfg80211_probe_status, 0x83dce310, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x2747fd66, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x5d1d2dd9, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0xb682747b, "");
SYMBOL_CRC(cfg80211_ft_event, 0x107d8202, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x55421c1a, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x9ea07eaf, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x65b3eb20, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0xe4295909, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0xbdc59c89, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x22e83e2a, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0xe184b245, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x6e9823fb, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x5d269cf2, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x92dea9d0, "");
SYMBOL_CRC(__cfg80211_radar_event, 0xbac4107f, "");
SYMBOL_CRC(cfg80211_cac_event, 0xb5328297, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x9da8b3d5, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x0a9a06a4, "");
SYMBOL_CRC(cfg80211_connect_done, 0x991fec67, "");
SYMBOL_CRC(cfg80211_roamed, 0xa154541c, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x682c4ec4, "");
SYMBOL_CRC(cfg80211_disconnected, 0xa6fbc661, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x06ca71fd, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0xc4b4fc27, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xd97eaad4, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x80eae3ac, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0x52dc9d43, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0xd319fc96, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0x9d3d650c, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x6bdecad8, "");
SYMBOL_CRC(wdev_chandef, 0xfe4ac536, "");
SYMBOL_CRC(cfg80211_valid_disable_subchannel_bitmap, 0x1b82a85a, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x7be6225b, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xd3154ee4, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x2203a0de, "_gpl");
SYMBOL_CRC(wiphy_read_of_freq_limits, 0xecf60109, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xb7cf82a9, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x76bc28cd, "verify_pkcs7_signature" },
	{ 0x2997de64, "bpf_trace_run4" },
	{ 0x2ab68a52, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x452822be, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x1e656bd7, "dev_set_name" },
	{ 0x89d3fb76, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x40a62432, "__nla_validate" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf88384c2, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf8f06a52, "trace_raw_output_prep" },
	{ 0xae37acdd, "nla_put_64bit" },
	{ 0x99f7aff4, "bpf_trace_run6" },
	{ 0x3fef214e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdb93f85a, "request_firmware" },
	{ 0x7a095336, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xb5d457d8, "device_initialize" },
	{ 0x2da3e89e, "skb_add_rx_frag" },
	{ 0xd4c617b6, "genlmsg_put" },
	{ 0xe9b78252, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x96040c73, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x87e15fc1, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaef7ead0, "unregister_netdevice_queue" },
	{ 0x66615a97, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x64a6e474, "keyring_alloc" },
	{ 0x42217f7b, "netdev_err" },
	{ 0x6a2a2305, "device_rename" },
	{ 0xe61046c1, "trace_event_buffer_commit" },
	{ 0x99b56a77, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5c161060, "put_device" },
	{ 0x72b32afd, "netlink_broadcast" },
	{ 0x4596812c, "net_ns_type_operations" },
	{ 0xd748682e, "__alloc_skb" },
	{ 0xbb1bd2aa, "sysfs_create_link" },
	{ 0x50fc123f, "inet_csk_get_port" },
	{ 0xde31500c, "key_put" },
	{ 0xc9f953da, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x84b3bed3, "__dev_get_by_index" },
	{ 0xdba7a1b2, "perf_trace_run_bpf_submit" },
	{ 0x352255a5, "_dev_err" },
	{ 0xdc87e3a, "init_net" },
	{ 0x645959a5, "request_firmware_nowait" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x4f7da5d4, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8322c910, "device_add" },
	{ 0x727618ce, "sysfs_remove_link" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc2546523, "init_uts_ns" },
	{ 0x3559dd7d, "platform_device_unregister" },
	{ 0xeb974cc, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdea8757e, "dev_get_by_index" },
	{ 0x2da60c32, "bpf_trace_run5" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0xe731652e, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x42bbd00d, "skb_push" },
	{ 0xfd6c9868, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x147065ee, "wireless_send_event" },
	{ 0x34de7572, "nla_put" },
	{ 0xf2a3c908, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xa02fb58f, "of_find_property" },
	{ 0x99c107d5, "class_unregister" },
	{ 0x5e3240a0, "__cpu_online_mask" },
	{ 0x68e4532c, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x62054eb3, "bpf_trace_run1" },
	{ 0x77899b36, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x37492489, "param_ops_charp" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x57d7de2b, "__pskb_pull_tail" },
	{ 0xc58a23f5, "netif_rx" },
	{ 0x34574e00, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x145ff42, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8e34b6a2, "of_prop_next_u32" },
	{ 0xc6a7558b, "bpf_trace_run3" },
	{ 0x9de9a3a5, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeb898878, "get_net_ns_by_pid" },
	{ 0x772aae16, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x594dc8e3, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5b74385f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8b765bc5, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x10bcb528, "x509_load_certificate_list" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa1f6ebc5, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xcfb75056, "genl_unregister_family" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x98cf60b3, "strlen" },
	{ 0x198f2a74, "bpf_trace_run7" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xc716744b, "param_ops_int" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0xb264fab9, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fb3644, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfe946f7a, "register_pernet_device" },
	{ 0x39064d04, "get_net_ns_by_fd" },
	{ 0x582ecc5b, "class_register" },
	{ 0x92e21244, "bpf_trace_run11" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdd2157b0, "register_netdevice" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

