#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm8994_mic_detect, "_gpl", "");
KSYMTAB_FUNC(wm8958_mic_detect, "_gpl", "");

SYMBOL_CRC(wm8994_mic_detect, 0xa7e60bff, "_gpl");
SYMBOL_CRC(wm8958_mic_detect, 0x12100243, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b312ecb, "snd_soc_dapm_put_enum_double" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xdec6ec33, "wm_hubs_hpr_mux" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x757206d5, "wm_hubs_spkmix_tlv" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0xa6d68939, "platform_driver_unregister" },
	{ 0xa6257a2f, "complete" },
	{ 0xda7ff2bc, "snd_soc_jack_report" },
	{ 0x83675227, "snd_soc_bytes_put" },
	{ 0xcfca6b64, "snd_soc_component_read" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3ff50ae4, "snd_soc_bytes_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56d0149, "snd_soc_dapm_sync_unlocked" },
	{ 0x1878f855, "wm_hubs_add_analogue_routes" },
	{ 0x3e9305c9, "snd_soc_dapm_disable_pin" },
	{ 0x20839935, "snd_soc_dapm_force_enable_pin" },
	{ 0x6a5ba113, "snd_soc_put_enum_double" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x9d30a4cc, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0x5cd7eb9b, "wm_hubs_dcs_done" },
	{ 0x7e5694a3, "snd_soc_component_write" },
	{ 0x5902b57f, "snd_soc_dapm_sync" },
	{ 0x5a1037ed, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x75ed906c, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2048acff, "pm_runtime_enable" },
	{ 0xe412fccf, "snd_soc_get_enum_double" },
	{ 0xddb3b936, "wm_hubs_add_analogue_controls" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xf5eca051, "wm_hubs_update_class_w" },
	{ 0x92eab17e, "snd_soc_component_init_regmap" },
	{ 0x9924ddc1, "snd_soc_info_volsw" },
	{ 0x352255a5, "_dev_err" },
	{ 0x645959a5, "request_firmware_nowait" },
	{ 0xe71a8fd8, "wm_hubs_hpl_mux" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x64874ea2, "wm_hubs_vmid_ena" },
	{ 0x531df06c, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf3772616, "snd_soc_dapm_force_bias_level" },
	{ 0x80dcc119, "snd_soc_bytes_info" },
	{ 0xcbdfcad9, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0x28a0d0bb, "snd_soc_add_component_controls" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb6a21da0, "wm_hubs_set_bias_level" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x8142e1bc, "snd_soc_dapm_add_routes" },
	{ 0xf11b2c05, "devm_clk_bulk_get_optional" },
	{ 0x159e3325, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x1c96fa97, "snd_soc_info_enum_double" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe0f8519b, "__platform_driver_register" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf588a292, "snd_soc_get_volsw" },
	{ 0x242fc862, "wm_hubs_handle_analogue_pdata" },
	{ 0xa6d49647, "regmap_read" },
	{ 0xb19a64d9, "snd_soc_put_volsw" },
	{ 0xdbcdf20f, "snd_soc_component_update_bits" },
	{ 0x99324e77, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3a4780ab, "snd_soc_dapm_new_controls" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xe3b75c64, "_dev_crit" },
	{ 0x6f93e738, "regmap_update_bits_base" },
	{ 0x373230a3, "snd_soc_dapm_get_volsw" },
	{ 0xea124bd1, "gcd" },
	{ 0xc515b6e5, "snd_soc_dapm_get_enum_double" },
	{ 0xb6198333, "regmap_raw_write" },
	{ 0x8be81b85, "__pm_runtime_disable" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xe59f6dfd, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-hubs");

