#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xb69ec7a9, "of_node_put" },
	{ 0x880d2f9c, "of_property_read_variable_u32_array" },
	{ 0xa6d68939, "platform_driver_unregister" },
	{ 0xc83edb9c, "of_find_device_by_node" },
	{ 0x7c17a70e, "snd_soc_dummy_dlc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc3b0b453, "snd_soc_dai_set_tdm_slot" },
	{ 0x1856ddb1, "snd_soc_dapm_enable_pin" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7f88c820, "snd_soc_dai_set_fmt" },
	{ 0x3e9305c9, "snd_soc_dapm_disable_pin" },
	{ 0x58631dab, "imx_audmux_v2_configure_port" },
	{ 0xa6f63a0d, "snd_soc_of_parse_audio_routing" },
	{ 0x745c1872, "clk_get" },
	{ 0x2e770bbc, "snd_soc_dai_set_sysclk" },
	{ 0x28638c0d, "asoc_simple_init_jack" },
	{ 0x5488468b, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c161060, "put_device" },
	{ 0x964a8897, "snd_soc_daifmt_parse_clock_provider_raw" },
	{ 0x999cc0d6, "snd_soc_jack_notifier_register" },
	{ 0x352255a5, "_dev_err" },
	{ 0x88deef3, "__of_parse_phandle_with_args" },
	{ 0xa02fb58f, "of_find_property" },
	{ 0x5ea41fbf, "snd_pcm_hw_constraint_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x361801a2, "snd_pcm_hw_constraint_mask64" },
	{ 0xe0f8519b, "__platform_driver_register" },
	{ 0xd4f40c06, "snd_soc_daifmt_parse_format" },
	{ 0xb6db7e02, "devm_kasprintf" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x5164dd62, "of_device_is_compatible" },
	{ 0xc317a15e, "snd_soc_daifmt_clock_provider_flipped" },
	{ 0x52cdee07, "snd_soc_dai_set_pll" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x14b3f35a, "snd_soc_pm_ops" },
	{ 0xfa8cdce1, "of_node_name_eq" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0x9c3d8444, "i2c_find_device_by_fwnode" },
	{ 0x777c84ff, "snd_soc_of_parse_card_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xd4d7cd82, "devm_snd_soc_register_card" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-imx-audmux");

MODULE_ALIAS("of:N*T*Cfsl,imx-audio-ac97");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-ac97C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-cs42888");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-cs42888C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-cs427x");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-cs427xC*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-tlv320aic32x4");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-tlv320aic32x4C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-tlv320aic31xx");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-tlv320aic31xxC*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-sgtl5000");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-sgtl5000C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8962");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8962C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8960");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8960C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-mqs");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-mqsC*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8524");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8524C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-si476x");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-si476xC*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8958");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8958C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-nau8822");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-nau8822C*");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8904");
MODULE_ALIAS("of:N*T*Cfsl,imx-audio-wm8904C*");
