#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x9201b5b0, "regcache_cache_only" },
	{ 0x98eff9c9, "regcache_sync" },
	{ 0x173c080, "regmap_write" },
	{ 0x338c7753, "devm_request_threaded_irq" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x880d2f9c, "of_property_read_variable_u32_array" },
	{ 0x794f7a91, "devm_platform_get_and_ioremap_resource" },
	{ 0xa6d68939, "platform_driver_unregister" },
	{ 0xb186aad2, "platform_get_irq" },
	{ 0x3f59d6dd, "request_bus_freq" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x9b982174, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x13bec41d, "release_bus_freq" },
	{ 0x5488468b, "devm_clk_get" },
	{ 0xee6b71c4, "syscon_regmap_lookup_by_compatible" },
	{ 0x5a1037ed, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2048acff, "pm_runtime_enable" },
	{ 0x352255a5, "_dev_err" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xf901a0b7, "of_property_count_elems_of_size" },
	{ 0xa02fb58f, "of_find_property" },
	{ 0x57382fdb, "sysfs_create_group" },
	{ 0x5ea41fbf, "snd_pcm_hw_constraint_list" },
	{ 0x20bfa96a, "imx_pcm_dma_init" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x7149bb30, "__devm_regmap_init_mmio_clk" },
	{ 0x95012ccb, "fsl_asoc_reparent_pll_clocks" },
	{ 0xe0f8519b, "__platform_driver_register" },
	{ 0x589ace92, "sysfs_remove_group" },
	{ 0xa0a082c6, "pinctrl_lookup_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6d49647, "regmap_read" },
	{ 0x5164dd62, "of_device_is_compatible" },
	{ 0x99324e77, "__pm_runtime_resume" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb134adc6, "pm_runtime_force_resume" },
	{ 0x6b9204e3, "devm_pinctrl_get" },
	{ 0xf0170879, "of_alias_get_id" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb13086a8, "pinctrl_select_state" },
	{ 0xfb03e9c0, "devm_snd_dmaengine_pcm_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41f7413b, "fsl_asoc_get_pll_clocks" },
	{ 0x6f93e738, "regmap_update_bits_base" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0x93163530, "snd_pcm_hw_constraint_step" },
	{ 0x8f4cd98b, "of_property_read_u32_index" },
	{ 0x593248b2, "of_device_get_match_data" },
	{ 0x8be81b85, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x959cd12f, "pm_runtime_force_suspend" },
	{ 0xe59f6dfd, "__pm_runtime_idle" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "imx-pcm-dma,snd-soc-fsl-utils");

MODULE_ALIAS("of:N*T*Cfsl,vf610-sai");
MODULE_ALIAS("of:N*T*Cfsl,vf610-saiC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6sx-sai");
MODULE_ALIAS("of:N*T*Cfsl,imx6sx-saiC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6ul-sai");
MODULE_ALIAS("of:N*T*Cfsl,imx6ul-saiC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-sai");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-saiC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8mq-sai");
MODULE_ALIAS("of:N*T*Cfsl,imx8mq-saiC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8qm-sai");
MODULE_ALIAS("of:N*T*Cfsl,imx8qm-saiC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8mm-sai");
MODULE_ALIAS("of:N*T*Cfsl,imx8mm-saiC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8mp-sai");
MODULE_ALIAS("of:N*T*Cfsl,imx8mp-saiC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8ulp-sai");
MODULE_ALIAS("of:N*T*Cfsl,imx8ulp-saiC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8mn-sai");
MODULE_ALIAS("of:N*T*Cfsl,imx8mn-saiC*");
MODULE_ALIAS("of:N*T*Cfsl,imx93-sai");
MODULE_ALIAS("of:N*T*Cfsl,imx93-saiC*");
MODULE_ALIAS("of:N*T*Cfsl,imx95-sai");
MODULE_ALIAS("of:N*T*Cfsl,imx95-saiC*");
