#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x2e23631f, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xa835c392, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xf89ed987, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x475436dc, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x091e8b56, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x9b194d7c, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x137b8a8c, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xf17e9da6, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x87ae95f8, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xd4bee36e, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x0353ae09, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xbd9997bd, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xaa01e8b2, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x6a7d43d6, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x4f7f9ff9, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x23b097fc, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x5502c1f1, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x064835c4, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x991b1bda, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x1eab0f6e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xd61aad76, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xdfde4c07, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xa847c714, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x74f4d695, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x71b61b98, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xf838c67e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xfb261344, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x90ecb3b0, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xcc0b031c, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xd1993895, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x5077392f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7acb222f, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6e75370, "_dev_warn" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xfd5e065d, "kthread_create_worker" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xe4a8a186, "sched_set_fifo" },
	{ 0x352255a5, "_dev_err" },
	{ 0xdfac53b5, "kthread_destroy_worker" },
	{ 0x80f40697, "crypto_register_aead" },
	{ 0x95d79c8, "crypto_unregister_aead" },
	{ 0xc2d7a6c0, "crypto_register_ahash" },
	{ 0x42e8c375, "crypto_unregister_ahash" },
	{ 0xdc19f922, "crypto_register_akcipher" },
	{ 0xc3d0d3cc, "crypto_unregister_akcipher" },
	{ 0xeaa079ea, "crypto_register_kpp" },
	{ 0x48e55a84, "crypto_unregister_kpp" },
	{ 0x6a62f801, "crypto_register_skcipher" },
	{ 0xa9aa4c50, "crypto_unregister_skcipher" },
	{ 0x5b888365, "crypto_enqueue_request" },
	{ 0xf0df2ee, "crypto_dequeue_request" },
	{ 0x8cac3bf9, "crypto_enqueue_request_head" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

