#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x831ae1c6, "crypto_skcipher_encrypt" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x338c7753, "devm_request_threaded_irq" },
	{ 0xda5d45fe, "dma_pool_create" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x794f7a91, "devm_platform_get_and_ioremap_resource" },
	{ 0xa6d68939, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb186aad2, "platform_get_irq" },
	{ 0xd275c5e8, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4f1c5114, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc7556f6e, "dma_unmap_page_attrs" },
	{ 0xe0a91a02, "dma_sync_single_for_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x80f40697, "crypto_register_aead" },
	{ 0x95d79c8, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x21ea6b1d, "crypto_skcipher_setkey" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x7c8428f1, "dev_driver_string" },
	{ 0x42e8c375, "crypto_unregister_ahash" },
	{ 0x42031a44, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0xf7a07889, "__pm_runtime_set_status" },
	{ 0xfb81a327, "dma_map_page_attrs" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbecb083e, "crypto_skcipher_decrypt" },
	{ 0x2048acff, "pm_runtime_enable" },
	{ 0x8c45c92, "of_dma_is_coherent" },
	{ 0xea1e2861, "debugfs_create_regset32" },
	{ 0xec5144d1, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6a62f801, "crypto_register_skcipher" },
	{ 0x352255a5, "_dev_err" },
	{ 0xe48fc91f, "debugfs_create_bool" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x9623155a, "dma_alloc_attrs" },
	{ 0xfd6c9868, "debugfs_remove" },
	{ 0xc2d7a6c0, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa9aa4c50, "crypto_unregister_skcipher" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0x67e7d7f1, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xe0f8519b, "__platform_driver_register" },
	{ 0x50189183, "dma_set_coherent_mask" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0x3b0adf65, "devm_clk_get_optional" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xb8850f4b, "dma_free_attrs" },
	{ 0x99324e77, "__pm_runtime_resume" },
	{ 0x8b765bc5, "param_ops_bool" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0xab03c316, "dma_unmap_sg_attrs" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xf4bd8c9, "__pm_runtime_suspend" },
	{ 0xf44458fe, "__pm_runtime_use_autosuspend" },
	{ 0x593248b2, "of_device_get_match_data" },
	{ 0x8be81b85, "__pm_runtime_disable" },
	{ 0x676cdac9, "crypto_alloc_shash" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xe59f6dfd, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x323a15e1, "dma_map_sg_attrs" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xcac0f184, "crypto_alloc_skcipher" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "authenc,libdes");

MODULE_ALIAS("of:N*T*Carm,cryptocell-703-ree");
MODULE_ALIAS("of:N*T*Carm,cryptocell-703-reeC*");
MODULE_ALIAS("of:N*T*Carm,cryptocell-713-ree");
MODULE_ALIAS("of:N*T*Carm,cryptocell-713-reeC*");
MODULE_ALIAS("of:N*T*Carm,cryptocell-712-ree");
MODULE_ALIAS("of:N*T*Carm,cryptocell-712-reeC*");
MODULE_ALIAS("of:N*T*Carm,cryptocell-710-ree");
MODULE_ALIAS("of:N*T*Carm,cryptocell-710-reeC*");
MODULE_ALIAS("of:N*T*Carm,cryptocell-630p-ree");
MODULE_ALIAS("of:N*T*Carm,cryptocell-630p-reeC*");

MODULE_INFO(srcversion, "3E2604FC5004167274ECAFC");
