#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hisi_qm_wait_mb_ready, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_mb, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_get_hw_info, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_set_algs, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_start_qp, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_stop_qp, "_gpl", "");
KSYMTAB_FUNC(hisi_qp_send, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_wait_task_finish, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_uninit, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_start, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_stop, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_dev_err_init, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_dev_err_uninit, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_free_qps, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_alloc_qps_node, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_sriov_enable, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_sriov_disable, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_sriov_configure, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_dev_err_detected, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_dev_slot_reset, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_reset_prepare, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_reset_done, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_dev_shutdown, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_alg_register, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_alg_unregister, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_init, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_get_dfx_access, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_put_dfx_access, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_pm_init, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_pm_uninit, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_suspend, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_resume, "_gpl", "");
KSYMTAB_FUNC(hisi_acc_create_sgl_pool, "_gpl", "");
KSYMTAB_FUNC(hisi_acc_free_sgl_pool, "_gpl", "");
KSYMTAB_FUNC(hisi_acc_sg_buf_map_to_hw_sgl, "_gpl", "");
KSYMTAB_FUNC(hisi_acc_sg_buf_unmap, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_regs_dump, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_regs_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_regs_debugfs_uninit, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_acc_diff_regs_dump, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_debug_init, "_gpl", "");
KSYMTAB_FUNC(hisi_qm_debug_regs_clear, "_gpl", "");

SYMBOL_CRC(hisi_qm_wait_mb_ready, 0xcd716c20, "_gpl");
SYMBOL_CRC(hisi_qm_mb, 0x603bd2b3, "_gpl");
SYMBOL_CRC(hisi_qm_get_hw_info, 0xb24b0868, "_gpl");
SYMBOL_CRC(hisi_qm_set_algs, 0x79681c4e, "_gpl");
SYMBOL_CRC(hisi_qm_start_qp, 0x6dee44e6, "_gpl");
SYMBOL_CRC(hisi_qm_stop_qp, 0x06df8513, "_gpl");
SYMBOL_CRC(hisi_qp_send, 0xed1a7a32, "_gpl");
SYMBOL_CRC(hisi_qm_wait_task_finish, 0xb5362d66, "_gpl");
SYMBOL_CRC(hisi_qm_uninit, 0x401fa440, "_gpl");
SYMBOL_CRC(hisi_qm_start, 0x842f5cc5, "_gpl");
SYMBOL_CRC(hisi_qm_stop, 0xe3234547, "_gpl");
SYMBOL_CRC(hisi_qm_dev_err_init, 0xd2a9322c, "_gpl");
SYMBOL_CRC(hisi_qm_dev_err_uninit, 0x74b66683, "_gpl");
SYMBOL_CRC(hisi_qm_free_qps, 0x2224f65b, "_gpl");
SYMBOL_CRC(hisi_qm_alloc_qps_node, 0xe85e7159, "_gpl");
SYMBOL_CRC(hisi_qm_sriov_enable, 0x75ced9fc, "_gpl");
SYMBOL_CRC(hisi_qm_sriov_disable, 0x86d21dc7, "_gpl");
SYMBOL_CRC(hisi_qm_sriov_configure, 0x59c8afed, "_gpl");
SYMBOL_CRC(hisi_qm_dev_err_detected, 0xa5097af5, "_gpl");
SYMBOL_CRC(hisi_qm_dev_slot_reset, 0xe29c474a, "_gpl");
SYMBOL_CRC(hisi_qm_reset_prepare, 0x5e8f721d, "_gpl");
SYMBOL_CRC(hisi_qm_reset_done, 0xffae1ad7, "_gpl");
SYMBOL_CRC(hisi_qm_dev_shutdown, 0xb71cad1d, "_gpl");
SYMBOL_CRC(hisi_qm_alg_register, 0xb8955bba, "_gpl");
SYMBOL_CRC(hisi_qm_alg_unregister, 0x99eda03a, "_gpl");
SYMBOL_CRC(hisi_qm_init, 0x4b248395, "_gpl");
SYMBOL_CRC(hisi_qm_get_dfx_access, 0x0922bb82, "_gpl");
SYMBOL_CRC(hisi_qm_put_dfx_access, 0x0143a5df, "_gpl");
SYMBOL_CRC(hisi_qm_pm_init, 0x386ca0bf, "_gpl");
SYMBOL_CRC(hisi_qm_pm_uninit, 0x30dba7f7, "_gpl");
SYMBOL_CRC(hisi_qm_suspend, 0x179588af, "_gpl");
SYMBOL_CRC(hisi_qm_resume, 0x3b31110f, "_gpl");
SYMBOL_CRC(hisi_acc_create_sgl_pool, 0x48d20fa8, "_gpl");
SYMBOL_CRC(hisi_acc_free_sgl_pool, 0x03b606ba, "_gpl");
SYMBOL_CRC(hisi_acc_sg_buf_map_to_hw_sgl, 0xc12e4bb7, "_gpl");
SYMBOL_CRC(hisi_acc_sg_buf_unmap, 0x86b20bf9, "_gpl");
SYMBOL_CRC(hisi_qm_regs_dump, 0x61c3ca27, "_gpl");
SYMBOL_CRC(hisi_qm_regs_debugfs_init, 0x7e9d84f0, "_gpl");
SYMBOL_CRC(hisi_qm_regs_debugfs_uninit, 0x14118d1c, "_gpl");
SYMBOL_CRC(hisi_qm_acc_diff_regs_dump, 0x398bd704, "_gpl");
SYMBOL_CRC(hisi_qm_debug_init, 0x033f93f7, "_gpl");
SYMBOL_CRC(hisi_qm_debug_regs_clear, 0x2bc5174b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2dca89b2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x6af132eb, "pci_find_ext_capability" },
	{ 0x61ef3f04, "is_acpi_device_node" },
	{ 0x52a963bf, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa31b4c4c, "debugfs_attr_write" },
	{ 0xb0671cef, "pci_request_selected_regions" },
	{ 0x2a661378, "pci_release_selected_regions" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x325711c1, "pci_enable_device_mem" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x266af2f3, "pci_alloc_irq_vectors" },
	{ 0x6aed1498, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4f1c5114, "pm_runtime_set_autosuspend_delay" },
	{ 0xc7556f6e, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0xedc03953, "iounmap" },
	{ 0x462df5a, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x65d4a5d0, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa491c09, "pci_sriov_get_totalvfs" },
	{ 0x7fe1720c, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcf145ad5, "pci_irq_vector" },
	{ 0x7c8428f1, "dev_driver_string" },
	{ 0xda470cd, "pci_read_config_dword" },
	{ 0xfb81a327, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9f984513, "strrchr" },
	{ 0xec5144d1, "_dev_info" },
	{ 0x3085dbe0, "pci_select_bars" },
	{ 0x6f240f98, "uacce_remove" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xf56664fb, "debugfs_attr_read" },
	{ 0x57bc19d2, "down_write" },
	{ 0x352255a5, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x6b396470, "simple_open" },
	{ 0xadf8c1a8, "bus_find_device" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbb837f8, "simple_attr_release" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9623155a, "dma_alloc_attrs" },
	{ 0x4e2fd677, "pci_read_config_word" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf18d9bec, "pci_restore_state" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xaa8d87a3, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50189183, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x48c2dcfe, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf35cb9c, "debugfs_create_file" },
	{ 0xb8850f4b, "dma_free_attrs" },
	{ 0x99324e77, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc0cfa340, "seq_printf" },
	{ 0x4ba2f86c, "device_match_name" },
	{ 0x3dd317ad, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9a043fd0, "pci_disable_device" },
	{ 0xe1bfd54d, "dma_mmap_attrs" },
	{ 0x5d13ee4f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfd7cb22f, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xab03c316, "dma_unmap_sg_attrs" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xf4bd8c9, "__pm_runtime_suspend" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xf44458fe, "__pm_runtime_use_autosuspend" },
	{ 0xa6279c53, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0x9380d2d6, "pci_write_config_word" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x5d8d1f56, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe3c87d3f, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x81f77099, "pci_write_config_dword" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x323a15e1, "dma_map_sg_attrs" },
	{ 0xd32ab9f6, "uacce_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "uacce");

