#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xdfbfb8e4, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x66f387da, "_gpl");
SYMBOL_CRC(stm_data_write, 0x0b303689, "_gpl");
SYMBOL_CRC(stm_register_device, 0xee3f9122, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x7aa0a636, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x09798c26, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0xecddfff7, "_gpl");
SYMBOL_CRC(stm_source_write, 0x0c6ee6c8, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x269d6746, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x328248d7, "try_module_get" },
	{ 0xd57e0ccc, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xee7e865d, "device_unregister" },
	{ 0x4f1c5114, "pm_runtime_set_autosuspend_delay" },
	{ 0x1c0b54d, "vm_iomap_memory" },
	{ 0xc304f9dc, "config_item_get" },
	{ 0xb5d457d8, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x45fa3f11, "synchronize_srcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x56221796, "configfs_unregister_subsystem" },
	{ 0xf7a07889, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x5c161060, "put_device" },
	{ 0x2048acff, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xd696f3b0, "module_put" },
	{ 0xd26f1bab, "compat_ptr_ioctl" },
	{ 0x2b572e3b, "init_srcu_struct" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xe13ed3f1, "configfs_register_subsystem" },
	{ 0x8322c910, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x8f581c0e, "__srcu_read_lock" },
	{ 0x33181771, "config_group_init_type_name" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x99c107d5, "class_unregister" },
	{ 0x2c750eb4, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x114da334, "__get_task_comm" },
	{ 0xfde0db50, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x31ac9ef9, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb9684b07, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x99324e77, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe3e5f1fb, "config_item_put" },
	{ 0xce5065cd, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xcbc2e6db, "kobject_set_name" },
	{ 0x4ba2f86c, "device_match_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x4d32f61e, "__srcu_read_unlock" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xf4bd8c9, "__pm_runtime_suspend" },
	{ 0xf44458fe, "__pm_runtime_use_autosuspend" },
	{ 0x8be81b85, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x582ecc5b, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x20984286, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

