#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i2c_atr_new, "_gpl", "I2C_ATR");
KSYMTAB_FUNC(i2c_atr_delete, "_gpl", "I2C_ATR");
KSYMTAB_FUNC(i2c_atr_add_adapter, "_gpl", "I2C_ATR");
KSYMTAB_FUNC(i2c_atr_del_adapter, "_gpl", "I2C_ATR");
KSYMTAB_FUNC(i2c_atr_set_driver_data, "_gpl", "I2C_ATR");
KSYMTAB_FUNC(i2c_atr_get_driver_data, "_gpl", "I2C_ATR");

SYMBOL_CRC(i2c_atr_new, 0x296b481f, "_gpl");
SYMBOL_CRC(i2c_atr_delete, 0x958e5909, "_gpl");
SYMBOL_CRC(i2c_atr_add_adapter, 0xb2910cf3, "_gpl");
SYMBOL_CRC(i2c_atr_del_adapter, 0x86c4742b, "_gpl");
SYMBOL_CRC(i2c_atr_set_driver_data, 0x63109546, "_gpl");
SYMBOL_CRC(i2c_atr_get_driver_data, 0x10319bac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x73a478df, "i2c_smbus_xfer" },
	{ 0x352255a5, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd9b601e, "i2c_transfer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x959fc607, "i2c_bus_type" },
	{ 0xd8c5a00d, "bus_unregister_notifier" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x65344d03, "__dev_fwnode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x727618ce, "sysfs_remove_link" },
	{ 0xc6596e27, "i2c_del_adapter" },
	{ 0x460826d1, "fwnode_handle_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66d7d6b, "i2c_verify_client" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc4e2049e, "fwnode_handle_get" },
	{ 0xceea889f, "device_set_node" },
	{ 0xfd12eed3, "i2c_add_adapter" },
	{ 0xbb1bd2aa, "sysfs_create_link" },
	{ 0x1f3a124c, "device_get_named_child_node" },
	{ 0xc0b32daa, "fwnode_get_next_child_node" },
	{ 0xf4ffc0ad, "fwnode_property_read_u32_array" },
	{ 0x1bf6c33f, "bus_register_notifier" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

