#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(inv_mpu_core_probe, "_gpl", "IIO_MPU6050");
KSYMTAB_DATA(inv_mpu_pmops, "_gpl", "IIO_MPU6050");

SYMBOL_CRC(inv_mpu_core_probe, 0xbf29385d, "_gpl");
SYMBOL_CRC(inv_mpu_pmops, 0x206863b5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf39cbdf3, "regulator_enable" },
	{ 0x173c080, "regmap_write" },
	{ 0x338c7753, "devm_request_threaded_irq" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x368d8d3d, "iio_buffer_enabled" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa9c8fd8f, "devm_iio_triggered_buffer_setup_ext" },
	{ 0x41ed8207, "regmap_get_device" },
	{ 0x4f1c5114, "pm_runtime_set_autosuspend_delay" },
	{ 0x22421746, "iio_push_to_buffers" },
	{ 0x96848186, "scnprintf" },
	{ 0xb1412966, "iio_device_release_direct_mode" },
	{ 0x4c441c91, "inv_sensors_timestamp_init" },
	{ 0x2d6bcdcb, "iio_trigger_generic_data_rdy_poll" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1853775c, "__module_get" },
	{ 0x8c06da48, "get_device" },
	{ 0xeb32b77f, "iio_device_id" },
	{ 0xf7a07889, "__pm_runtime_set_status" },
	{ 0xdac67e6f, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2048acff, "pm_runtime_enable" },
	{ 0x716aff94, "devm_regulator_get" },
	{ 0xf0c4f763, "iio_show_mount_matrix" },
	{ 0xf0443a56, "iio_device_claim_direct_mode" },
	{ 0x352255a5, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x396f915c, "irq_get_irq_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd27a87e4, "inv_sensors_timestamp_interrupt" },
	{ 0xf515045a, "inv_sensors_timestamp_apply_odr" },
	{ 0xd897b71a, "__devm_iio_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcdcd6948, "iio_read_mount_matrix" },
	{ 0x3f068e14, "devm_iio_device_alloc" },
	{ 0x6e75370, "_dev_warn" },
	{ 0xd7b5acd8, "devm_iio_trigger_register" },
	{ 0x8f76efe5, "inv_sensors_timestamp_update_odr" },
	{ 0x52e18a98, "regmap_noinc_read" },
	{ 0xb6db7e02, "devm_kasprintf" },
	{ 0xa6d49647, "regmap_read" },
	{ 0xc2e226de, "regmap_bulk_write" },
	{ 0x99324e77, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6b4b442e, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xba21165a, "regulator_disable" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0x35d7cb1b, "iio_trigger_notify_done" },
	{ 0xf4bd8c9, "__pm_runtime_suspend" },
	{ 0x88dc53d3, "__devm_add_action" },
	{ 0x555eae8b, "iio_read_const_attr" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xf44458fe, "__pm_runtime_use_autosuspend" },
	{ 0x8be81b85, "__pm_runtime_disable" },
	{ 0x873cc7b3, "__devm_iio_trigger_alloc" },
	{ 0xe59f6dfd, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "inv_sensors_timestamp");

