#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_integrity_add_rdev, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_init_writes_pending, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");
KSYMTAB_FUNC(md_bitmap_update_sb, "", "");
KSYMTAB_FUNC(md_bitmap_unplug, "", "");
KSYMTAB_FUNC(md_bitmap_unplug_async, "", "");
KSYMTAB_FUNC(md_bitmap_startwrite, "", "");
KSYMTAB_FUNC(md_bitmap_endwrite, "", "");
KSYMTAB_FUNC(md_bitmap_start_sync, "", "");
KSYMTAB_FUNC(md_bitmap_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_close_sync, "", "");
KSYMTAB_FUNC(md_bitmap_cond_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_sync_with_cluster, "", "");
KSYMTAB_FUNC(md_bitmap_free, "", "");
KSYMTAB_FUNC(md_bitmap_load, "_gpl", "");
KSYMTAB_FUNC(get_bitmap_from_slot, "", "");
KSYMTAB_FUNC(md_bitmap_copy_from_slot, "_gpl", "");
KSYMTAB_FUNC(md_bitmap_resize, "_gpl", "");

SYMBOL_CRC(md_cluster_ops, 0x6ee8efb5, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0x631ef153, "");
SYMBOL_CRC(mddev_suspend, 0x80bf7156, "_gpl");
SYMBOL_CRC(mddev_resume, 0x59da5000, "_gpl");
SYMBOL_CRC(md_flush_request, 0xe25a551f, "");
SYMBOL_CRC(mddev_init, 0x73d6310d, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x62ca8a1c, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x7926dab9, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x21832ad2, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0xb12a4065, "_gpl");
SYMBOL_CRC(sync_page_io, 0x72a555a3, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0x1594e462, "");
SYMBOL_CRC(md_integrity_register, 0x02252d1c, "");
SYMBOL_CRC(md_integrity_add_rdev, 0x46bff61c, "");
SYMBOL_CRC(md_update_sb, 0xcf43e6df, "");
SYMBOL_CRC(md_rdev_init, 0x530c5be4, "_gpl");
SYMBOL_CRC(mddev_init_writes_pending, 0x6ce7b1eb, "_gpl");
SYMBOL_CRC(md_run, 0xf721fb8d, "_gpl");
SYMBOL_CRC(md_start, 0xd1255adb, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x9b4d3801, "_gpl");
SYMBOL_CRC(md_stop, 0xa57a0808, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0x84097124, "");
SYMBOL_CRC(md_wakeup_thread, 0x7a67eaea, "");
SYMBOL_CRC(md_register_thread, 0x362885ad, "");
SYMBOL_CRC(md_unregister_thread, 0x6573c00f, "");
SYMBOL_CRC(md_error, 0x5fdf2e42, "");
SYMBOL_CRC(register_md_personality, 0x55e7250a, "");
SYMBOL_CRC(unregister_md_personality, 0xedbba43a, "");
SYMBOL_CRC(register_md_cluster_operations, 0x99ec8d75, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0x695063a5, "");
SYMBOL_CRC(md_write_start, 0x8a50061f, "");
SYMBOL_CRC(md_write_inc, 0x92d2f22d, "");
SYMBOL_CRC(md_write_end, 0xfe8d9c1a, "");
SYMBOL_CRC(md_submit_discard_bio, 0x73d93895, "_gpl");
SYMBOL_CRC(md_account_bio, 0x653352b9, "_gpl");
SYMBOL_CRC(md_allow_write, 0x22ad7570, "_gpl");
SYMBOL_CRC(md_do_sync, 0x5fecefb6, "_gpl");
SYMBOL_CRC(md_check_recovery, 0x1d300af2, "");
SYMBOL_CRC(md_reap_sync_thread, 0x2f4aa5ea, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0xe7d2ac84, "");
SYMBOL_CRC(md_finish_reshape, 0x0d7a41b3, "");
SYMBOL_CRC(rdev_set_badblocks, 0x459ed1f6, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0x25dd4243, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x6176196d, "");
SYMBOL_CRC(md_bitmap_update_sb, 0xb1a1340a, "");
SYMBOL_CRC(md_bitmap_unplug, 0xc67e9e29, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0x2487a4f4, "");
SYMBOL_CRC(md_bitmap_startwrite, 0x7a0acb9b, "");
SYMBOL_CRC(md_bitmap_endwrite, 0xf5c732f4, "");
SYMBOL_CRC(md_bitmap_start_sync, 0xde06942a, "");
SYMBOL_CRC(md_bitmap_end_sync, 0x0a545ec0, "");
SYMBOL_CRC(md_bitmap_close_sync, 0xdbd1b2e1, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0xe0c7df4b, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0xf6fce459, "");
SYMBOL_CRC(md_bitmap_free, 0x52e050e8, "");
SYMBOL_CRC(md_bitmap_load, 0x14037617, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0xecdc6ab1, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0x389ef573, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0xec4e543d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84f2169a, "set_capacity_and_notify" },
	{ 0x25ee2850, "set_disk_ro" },
	{ 0xcc032a9a, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0x93030a17, "blk_integrity_register" },
	{ 0x328248d7, "try_module_get" },
	{ 0x929e9492, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0xcf72891f, "__bio_add_page" },
	{ 0x2df0d0b0, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x66c877df, "proc_create" },
	{ 0x34727611, "bio_split_to_limits" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xe0822b16, "seq_release" },
	{ 0x4ae6db0d, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x3d09cd8c, "badblocks_set" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf4d9887c, "fget" },
	{ 0x9c1e5a78, "sysfs_unbreak_active_protection" },
	{ 0x48f2019b, "invalidate_mapping_pages" },
	{ 0x848acbb5, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd7a9094, "badblocks_exit" },
	{ 0xbd0597b7, "__traceiter_block_bio_remap" },
	{ 0x7fe1720c, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x2ed2c8ee, "blk_queue_write_cache" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xfffbc501, "ack_all_badblocks" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x11aac522, "kernfs_notify" },
	{ 0x17efd4e3, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xfda9a800, "bio_end_io_acct_remapped" },
	{ 0x47a3358b, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x1c03aeca, "bio_clone_blkg_association" },
	{ 0xe9eca7ca, "bioset_integrity_create" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0x340a0123, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe25b5f57, "badblocks_init" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x366241df, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x88077ac6, "sync_blockdev" },
	{ 0x79bf39b1, "free_buffer_head" },
	{ 0x19a27e06, "blk_queue_flag_set" },
	{ 0x3b63a8f3, "blkdev_put" },
	{ 0x30d3b1a9, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5379c531, "submit_bio" },
	{ 0x6ac79a74, "blk_queue_flag_clear" },
	{ 0xd696f3b0, "module_put" },
	{ 0xdb9a11dc, "bio_start_io_acct" },
	{ 0xbb1bd2aa, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8a821a3c, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xd9925dc7, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x7f3d6a8a, "bio_put" },
	{ 0xc1cef92b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7aa9aabf, "fput" },
	{ 0xebae38a5, "kobject_add" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x727618ce, "sysfs_remove_link" },
	{ 0x8b05e1f8, "blkdev_get_by_dev" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xff44d4ba, "submit_bio_noacct" },
	{ 0x4b5eb657, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xecacc095, "blk_sync_queue" },
	{ 0xbe2e4710, "seq_file_path" },
	{ 0xc47b5c23, "kernfs_find_and_get_ns" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x727f61a2, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc24cd202, "del_gendisk" },
	{ 0x5e3240a0, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x57382fdb, "sysfs_create_group" },
	{ 0x6f16e373, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x7c88990d, "bd_unlink_disk_holder" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0xa17aea9, "bio_init" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xdcb764ad, "memset" },
	{ 0xd529f65c, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xac8adc43, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x72be0f79, "kthread_create_on_node" },
	{ 0x589ace92, "sysfs_remove_group" },
	{ 0x48c2dcfe, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xabeb2e4b, "kobject_del" },
	{ 0xad0c80f9, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8b765bc5, "param_ops_bool" },
	{ 0xaf1309bc, "bioset_init" },
	{ 0xaa12b7a0, "file_path" },
	{ 0xed77a09d, "kernfs_put" },
	{ 0xe7fb04e6, "alloc_pages" },
	{ 0x1473033e, "sysfs_break_active_protection" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x84ed1144, "__folio_put" },
	{ 0x5f18b7f, "remove_proc_entry" },
	{ 0x1294ca43, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc0cfa340, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7f722a32, "kobject_uevent" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x4164a7f2, "bd_link_disk_holder" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x39571804, "seq_open" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x23b61a0b, "badblocks_clear" },
	{ 0xbfa6c9d9, "bmap" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc716744b, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2d5fe83d, "badblocks_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1ebf91a4, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0x1357de06, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0xfed3bebf, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x91451db, "kobject_put" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

