#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm8994_irq_init, "", "");
KSYMTAB_FUNC(wm8994_irq_exit, "", "");
KSYMTAB_DATA(wm1811_regmap_config, "", "");
KSYMTAB_DATA(wm8994_regmap_config, "", "");
KSYMTAB_DATA(wm8958_regmap_config, "", "");
KSYMTAB_DATA(wm8994_base_regmap_config, "", "");

SYMBOL_CRC(wm8994_irq_init, 0x68afce45, "");
SYMBOL_CRC(wm8994_irq_exit, 0x52e47417, "");
SYMBOL_CRC(wm1811_regmap_config, 0x79652a1b, "");
SYMBOL_CRC(wm8994_regmap_config, 0xd43d93af, "");
SYMBOL_CRC(wm8958_regmap_config, 0xe6072836, "");
SYMBOL_CRC(wm8994_base_regmap_config, 0xf2b89455, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c833d3a, "irq_domain_xlate_twocell" },
	{ 0x9201b5b0, "regcache_cache_only" },
	{ 0x98eff9c9, "regcache_sync" },
	{ 0x173c080, "regmap_write" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x880d2f9c, "of_property_read_variable_u32_array" },
	{ 0x41a0e1f6, "regulator_bulk_free" },
	{ 0x4e9c611d, "gpiod_to_irq" },
	{ 0xbb047c21, "regcache_sync_region" },
	{ 0xa2be54d7, "i2c_client_get_device_id" },
	{ 0x9b982174, "regcache_mark_dirty" },
	{ 0xf7a07889, "__pm_runtime_set_status" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf3a1055f, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x102cbce6, "irq_set_chip_and_handler_name" },
	{ 0x2048acff, "pm_runtime_enable" },
	{ 0x5d9260e3, "regulator_bulk_disable" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xc39f4478, "regmap_add_irq_chip" },
	{ 0xa301785d, "gpiod_get_raw_value_cansleep" },
	{ 0xbe8f673, "i2c_register_driver" },
	{ 0x15cedfa7, "devm_gpio_request_one" },
	{ 0xba1f778b, "of_match_device" },
	{ 0x352255a5, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfa02d8b9, "mfd_add_devices" },
	{ 0x5d9e3fd4, "regulator_bulk_get" },
	{ 0xa02fb58f, "of_find_property" },
	{ 0xe4e379bb, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xf2bf6e9b, "regmap_reinit_cache" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x421b6bac, "__irq_domain_add" },
	{ 0x1f863dd2, "regulator_bulk_enable" },
	{ 0x64cbc545, "handle_edge_irq" },
	{ 0xa6d49647, "regmap_read" },
	{ 0x99324e77, "__pm_runtime_resume" },
	{ 0xdbf4918d, "irq_create_mapping_affinity" },
	{ 0x5e47fa1d, "gpio_to_desc" },
	{ 0xeb507f69, "mfd_remove_devices" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6f93e738, "regmap_update_bits_base" },
	{ 0x8f281369, "i2c_del_driver" },
	{ 0x8c36ceee, "regmap_register_patch" },
	{ 0x131a5ed7, "regmap_del_irq_chip" },
	{ 0x8be81b85, "__pm_runtime_disable" },
	{ 0xe59f6dfd, "__pm_runtime_idle" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cwlf,wm1811");
MODULE_ALIAS("of:N*T*Cwlf,wm1811C*");
MODULE_ALIAS("of:N*T*Cwlf,wm8994");
MODULE_ALIAS("of:N*T*Cwlf,wm8994C*");
MODULE_ALIAS("of:N*T*Cwlf,wm8958");
MODULE_ALIAS("of:N*T*Cwlf,wm8958C*");
MODULE_ALIAS("i2c:wm1811");
MODULE_ALIAS("i2c:wm1811a");
MODULE_ALIAS("i2c:wm8994");
MODULE_ALIAS("i2c:wm8958");
