#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(felix_switch_ops, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_switch_ops, 0x301082db, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x8aaf8690, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0xcfd66b8d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f7d8e18, "ocelot_vlan_prepare" },
	{ 0xbbac8c44, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x253f30a7, "ocelot_set_ageing_time" },
	{ 0x21f4a7e9, "__ocelot_rmw_ix" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x8909f107, "ocelot_hwstamp_set" },
	{ 0x15eba74e, "ocelot_port_policer_del" },
	{ 0xd9afaed1, "ocelot_port_lag_change" },
	{ 0x89d3fb76, "consume_skb" },
	{ 0x62d5c0ae, "ocelot_port_policer_add" },
	{ 0xf898653, "ocelot_port_mdb_add" },
	{ 0xf7263b73, "ocelot_vlan_add" },
	{ 0x17bbdcf3, "ocelot_sb_tc_pool_bind_get" },
	{ 0x14f2c1bb, "ocelot_port_bridge_flags" },
	{ 0xcca3f9bb, "ocelot_devlink_sb_unregister" },
	{ 0xf9dbe6dd, "ocelot_port_bridge_leave" },
	{ 0x767798cf, "ocelot_port_set_maxlen" },
	{ 0x1d9ff463, "ocelot_vcap_filter_replace" },
	{ 0x238f5139, "ocelot_get_max_mtu" },
	{ 0xa5c9d2c1, "regmap_fields_update_bits_base" },
	{ 0xd26f9cae, "ocelot_sb_occ_snapshot" },
	{ 0x8ef47e48, "ocelot_get_ts_info" },
	{ 0xab2cf286, "ocelot_sb_occ_max_clear" },
	{ 0xc6a4912d, "ocelot_port_get_mm" },
	{ 0x31e813a1, "ocelot_ptp_gettime64" },
	{ 0xe03ac958, "ocelot_unlock_inj_grp" },
	{ 0xade0ac3c, "devm_of_phy_optional_get" },
	{ 0x109b928a, "ocelot_get_strings" },
	{ 0x37a0cba, "kfree" },
	{ 0x9f06f4d5, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x72fbcacd, "ocelot_unlock_xtr_grp_bh" },
	{ 0x24d1bb21, "ocelot_port_add_dscp_prio" },
	{ 0x5f0e03c8, "ocelot_drain_cpu_queue" },
	{ 0xfcb7dd1f, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2ee2eeab, "ocelot_vcap_block_find_filter_by_id" },
	{ 0x89cd543d, "__ocelot_read_ix" },
	{ 0xfe7ccc65, "ocelot_port_get_pause_stats" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x11a090ec, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7c93e47a, "ocelot_get_sset_count" },
	{ 0x4ae07fa7, "ocelot_migrate_mdbs" },
	{ 0x57b77da7, "ocelot_hwstamp_get" },
	{ 0xab756d62, "ocelot_port_txtstamp_request" },
	{ 0xee0fb8e5, "ocelot_port_bridge_join" },
	{ 0x33f5e6c7, "ocelot_fdb_add" },
	{ 0x6f3dff3, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0xfe7208, "ocelot_xtr_poll_frame" },
	{ 0x55699c3c, "ocelot_port_get_default_prio" },
	{ 0x6517c331, "ptp_classify_raw" },
	{ 0xf6d212cf, "ocelot_port_set_default_prio" },
	{ 0x439317db, "dsa_tag_8021q_register" },
	{ 0x1f5d91fe, "ocelot_init_port" },
	{ 0xb46b438b, "ocelot_port_get_mm_stats" },
	{ 0x97829d8b, "ocelot_deinit" },
	{ 0x352255a5, "_dev_err" },
	{ 0x39d16480, "ocelot_vlan_del" },
	{ 0xf58f40fa, "ocelot_bond_get_id" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0x1401103d, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd3715f8d, "ocelot_cls_flower_destroy" },
	{ 0xafbead21, "dev_get_regmap" },
	{ 0xf7edddf0, "ocelot_port_vlan_filtering" },
	{ 0x5f7431e2, "ocelot_port_get_rmon_stats" },
	{ 0x9cdf6c71, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xff5b0b00, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5ce7ec06, "ocelot_bridge_stp_state_set" },
	{ 0x3d380293, "ocelot_devlink_sb_register" },
	{ 0xdcb764ad, "memset" },
	{ 0xc3083ca3, "__ocelot_write_ix" },
	{ 0xc58a23f5, "netif_rx" },
	{ 0xef359302, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x9049efd9, "ocelot_fdb_del" },
	{ 0x6a09772d, "ocelot_phylink_mac_link_down" },
	{ 0x3cc19c25, "ocelot_port_lag_join" },
	{ 0x69011815, "ocelot_port_get_eth_phy_stats" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8c6128a9, "ocelot_port_lag_leave" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9ef049c2, "ocelot_port_set_mm" },
	{ 0x5733d589, "ocelot_deinit_timestamp" },
	{ 0xd68ec7a2, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x885d35d, "ocelot_port_get_stats64" },
	{ 0xd2fe484c, "ocelot_port_get_dscp_prio" },
	{ 0x6d578b48, "ocelot_port_mdb_del" },
	{ 0xe0e894fb, "ocelot_port_get_eth_mac_stats" },
	{ 0x14436f15, "ocelot_mact_flush" },
	{ 0x2f0eff6c, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdee47c7a, "ocelot_port_pre_bridge_flags" },
	{ 0xffb8654c, "ocelot_port_del_dscp_prio" },
	{ 0xc2de145a, "ocelot_sb_tc_pool_bind_set" },
	{ 0xab2b934a, "dsa_fdb_present_in_other_db" },
	{ 0xd657bf2e, "ocelot_init" },
	{ 0x22b33aa7, "ocelot_regmap_init" },
	{ 0x73d6a512, "ocelot_unlock_xtr_grp" },
	{ 0x7f206d38, "ocelot_regfields_init" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x214c8ed1, "dsa_mdb_present_in_other_db" },
	{ 0x8ff5c636, "ocelot_vcap_filter_add" },
	{ 0x9265115e, "ocelot_sb_port_pool_get" },
	{ 0xfa757255, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0xa7f454ce, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0xdd7830e4, "ocelot_port_inject_frame" },
	{ 0x2ac3abd6, "ocelot_sb_occ_port_pool_get" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x563fde97, "ocelot_sb_pool_set" },
	{ 0xe302ec0d, "ocelot_lag_fdb_del" },
	{ 0xbef25e14, "ocelot_vcap_filter_del" },
	{ 0xdbe90653, "ocelot_init_timestamp" },
	{ 0xc172ec8e, "ocelot_cls_flower_stats" },
	{ 0xa8523ef, "ocelot_lock_inj_grp" },
	{ 0x4da597c9, "ocelot_lock_xtr_grp_bh" },
	{ 0x2fa1cb4d, "ocelot_sb_pool_get" },
	{ 0x99694fa5, "ocelot_lock_xtr_grp" },
	{ 0x112406cb, "ocelot_phylink_mac_link_up" },
	{ 0xd7608451, "ocelot_deinit_port" },
	{ 0x9a51903e, "ocelot_can_inject" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x7b9b0964, "ocelot_port_mirror_add" },
	{ 0x1cf11306, "ocelot_pll5_init" },
	{ 0x8bad2ee1, "ocelot_fdb_dump" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "dsa_core");

