#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xb2608a23, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x3c9ab205, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x9d1b746f, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xfe74df77, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x975db0f2, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xd938f150, "");
SYMBOL_CRC(mlx5_cmd_check, 0x341a959f, "");
SYMBOL_CRC(mlx5_cmd_do, 0x5ea9731f, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xcbabb9a3, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xb5ac0999, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x478e124c, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x66dc9bbc, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xf2b2ed4f, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xbea80ca5, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xed11c74f, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xf0f740d5, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x158889b9, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x907f1842, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x5350fe05, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xc007ea4f, "");
SYMBOL_CRC(mlx5_eq_enable, 0xe856aeff, "");
SYMBOL_CRC(mlx5_eq_disable, 0x4701c5ac, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x4f192e1b, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x832d1cce, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x159f08a2, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x34f5669d, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xbb20625d, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xf35c0491, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xdf21ac9c, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x166a82b1, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x91096019, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xaa7b3ca6, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x9a1f3bb4, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xd106fc1a, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xabb760b2, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xb7088e88, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x41e12ba9, "");
SYMBOL_CRC(mlx5_create_cq, 0xa4fa5b16, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x242612e5, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x0cb03a2e, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x403ca39d, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x8d6f93f6, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xa847b97a, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x18ce57dd, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x9e7f0507, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x40b1efab, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xefb878bc, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x28579e52, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xf4d0517e, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xd7d13cc3, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x166c115d, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x176ac20b, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xc3c81ebd, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x2f8d44ac, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x3b22be19, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xa72a6e87, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x6b0d8fa1, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xcf383f36, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x510f240a, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x1983d0fe, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x113d54a7, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xb642d110, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xcd49d2ed, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x3ca129c9, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x0df506cd, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xf55e639f, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x5a495fbf, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x923736de, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x315f203d, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xf4da114a, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xed2f9fa9, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x38f87308, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x83dbfde9, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x5d058d72, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x0108e45c, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x62acf50a, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x76e435c5, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xc63785c1, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x6e192e3f, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x5156559e, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x9ae5e3f4, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x3ab9cc37, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xffef97eb, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x41038a2e, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x2f2d269a, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xe1540521, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x39060fe8, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xc9b28e2a, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x843cbadf, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xeaf89edf, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x57c22be8, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xf83d0597, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xb9086130, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xe634f43b, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x01663aae, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x9d8ff674, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x2eae9224, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x9e8dc818, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x92a75cee, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xda5748c6, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xbe359d7c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xe74b7511, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x7ba49775, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xdb6e9ee7, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xb4f1b1ee, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xb43250c2, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x46f72d64, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xde477399, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xe1a64c94, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x816475ed, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xd0d394c4, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x46e9ca86, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xa03f0f9d, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x98bfa78f, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xeb88a914, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x63c8bfbf, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x161c2afe, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xd71d6914, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xfb648043, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x2425ab33, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xedd2f29e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xa853bc85, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xcb7f9f83, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x7398d643, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xd36ff417, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x9e7706e5, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xe66f8cc9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xdbd5da66, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x1302d452, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xdfb305bb, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x11a57353, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xcd7eb64f, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x5ea6bdcf, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xd847aaba, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xd2921643, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xdaf9ebc7, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xff13e5ac, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x392ad393, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x2115ef98, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x3525b23e, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x5ccd02e8, "");
SYMBOL_CRC(mlx5_msix_free, 0xd43f58d4, "");
SYMBOL_CRC(mlx5_fc_create, 0xb74a93d1, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xf6e8aff2, "");
SYMBOL_CRC(mlx5_fc_query, 0xab939bf3, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xc2bc8cb8, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x47fe8e9e, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xe06fd1ae, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xda13d53a, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x9a22288a, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xedf42d43, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xd42a37de, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x4c7782b8, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xa69851b5, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x88c0fe50, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xf684ec51, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xb6676fb9, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x19f8f362, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0xf4e7aa5e, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xfccfd982, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x2bc5a499, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x27cf458f, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x4be7b438, "");
SYMBOL_CRC(mlx5_notifier_register, 0x539b0207, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x5c16bd5f, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xc72acd21, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x941375eb, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x6eaa675d, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x83c328db, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x24df7bf8, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x1c59dd5c, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x2ac97ea3, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x2b1874cb, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x720660d8, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x0ffb659a, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x2b99eb6f, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x9604707b, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xd08d9432, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xa530c467, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xfaf6e52c, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0xa962cbee, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xf822d1b3, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x818af81e, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xa813fdf5, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x70b8409d, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x018398cb, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x897d7c59, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x50f438cf, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x82fb8bf0, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x8bc7b82c, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x18193111, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xab6cee0e, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x59df466c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xa4bcebca, "alloc_etherdev_mqs" },
	{ 0x246c2b4b, "netdev_lower_get_next" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2dca89b2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x954caa88, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x45f9c803, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdd1481c1, "bpf_prog_put" },
	{ 0x4acde272, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8dac3370, "pci_cfg_access_unlock" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x4346b530, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x2ab68a52, "skb_copy_bits" },
	{ 0xda5d45fe, "dma_pool_create" },
	{ 0xff04bde5, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xa34b8bcf, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8c0b50d9, "pci_enable_device" },
	{ 0x452822be, "skb_put" },
	{ 0x9a9e59ed, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9c7994b0, "call_switchdev_notifiers" },
	{ 0xbacf27cc, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x31ca8dff, "register_fib_notifier" },
	{ 0xb9bff902, "auxiliary_device_init" },
	{ 0x7b772448, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x266af2f3, "pci_alloc_irq_vectors" },
	{ 0x171d7ebc, "netif_napi_add_weight" },
	{ 0xbee901bc, "pci_enable_atomic_ops_to_root" },
	{ 0xe0822b16, "seq_release" },
	{ 0x7d46d70e, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0xf8f06a52, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x7a6528ea, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0xabb18edd, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x24c8b609, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3c464bda, "ndo_dflt_bridge_getlink" },
	{ 0x4e23debb, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x38e621dc, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3fef214e, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xfb7ee0bc, "register_netdevice_notifier_dev_net" },
	{ 0xc7556f6e, "dma_unmap_page_attrs" },
	{ 0x7a095336, "trace_event_printf" },
	{ 0x7fec4c64, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x9dc8d732, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xe0a91a02, "dma_sync_single_for_device" },
	{ 0xab3ce305, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x462df5a, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x2da3e89e, "skb_add_rx_frag" },
	{ 0xa7d076cb, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9263dad3, "ptp_clock_index" },
	{ 0x453d377b, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xe9b78252, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a75ed64, "devlink_alloc_ns" },
	{ 0x1c9d045a, "devl_rate_leaf_destroy" },
	{ 0xaa491c09, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe1ec0b29, "devlink_register" },
	{ 0xbbbb173c, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0x7fe1720c, "seq_lseek" },
	{ 0x24ddceaa, "page_pool_destroy" },
	{ 0xe21f186f, "xdp_do_redirect" },
	{ 0x97733402, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x96040c73, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x1b9ab6fb, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x5ae7782, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc2eaf11a, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xcf145ad5, "pci_irq_vector" },
	{ 0x94365815, "__netif_napi_del" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0xcb39389b, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0xf0616e7a, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xc8b89657, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x42217f7b, "netdev_err" },
	{ 0x97f4d275, "pci_cfg_access_lock" },
	{ 0x2722cbf1, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x7c8428f1, "dev_driver_string" },
	{ 0xe61046c1, "trace_event_buffer_commit" },
	{ 0xa905f3c1, "dev_addr_mod" },
	{ 0xb6fe1201, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xe17c4e60, "ptp_find_pin" },
	{ 0x99b56a77, "eth_type_trans" },
	{ 0xda470cd, "pci_read_config_dword" },
	{ 0x5c21573e, "request_firmware_direct" },
	{ 0xf9290192, "auxiliary_driver_unregister" },
	{ 0xfb81a327, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x6fa6ca60, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc8f3644, "devlink_port_attrs_pci_vf_set" },
	{ 0xdf0dab5b, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x5c161060, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x1bf135c2, "__napi_schedule" },
	{ 0xc38fa1cd, "devlink_port_health_reporter_create" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x32e09d43, "pcie_relaxed_ordering_enabled" },
	{ 0xad57f479, "kmalloc_node_trace" },
	{ 0x2d764036, "devlink_port_attrs_pci_pf_set" },
	{ 0xca76645f, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xe0e9453, "__free_pages" },
	{ 0x8d34124, "kmem_cache_alloc" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xc51b63b7, "skb_vlan_pop" },
	{ 0x8731f53b, "napi_gro_receive" },
	{ 0x5cae5e0c, "netif_device_attach" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x638ae420, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa2156301, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xe5a4beb8, "xdp_rxq_info_is_reg" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0xb12b7dc6, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0xd1b3aba2, "free_fib_info" },
	{ 0xba67f3d, "devl_health_reporter_create" },
	{ 0xb1554af2, "flow_block_cb_setup_simple" },
	{ 0xdae2e810, "pci_msix_can_alloc_dyn" },
	{ 0xe9fa85bc, "unregister_netdevice_notifier_dev_net" },
	{ 0x2d2f64d9, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x9175938, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xf9fb9da5, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xdba7a1b2, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0xa28f40bd, "__irq_apply_affinity_hint" },
	{ 0xce62f34b, "devlink_port_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x352255a5, "_dev_err" },
	{ 0xdc87e3a, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xb6bd7fc9, "softnet_data" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6b396470, "simple_open" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xadf8c1a8, "bus_find_device" },
	{ 0xa38c1436, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x15737c0a, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbc0c42e9, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x79120f13, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x1a7a2f87, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe5ffb3fd, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xdc3bfbac, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x396f915c, "irq_get_irq_data" },
	{ 0x1b5c7972, "dev_remove_pack" },
	{ 0xd137f5da, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x2da60c32, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x3fe1a56a, "devl_port_register_with_ops" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7db4dfcb, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x42bbd00d, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x8ea963ae, "kmem_cache_free" },
	{ 0x9623155a, "dma_alloc_attrs" },
	{ 0xfd6c9868, "debugfs_remove" },
	{ 0x4e2fd677, "pci_read_config_word" },
	{ 0x5b1f37b8, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfbcaf964, "unregister_netdevice_notifier_net" },
	{ 0x6fce38b4, "register_netdev" },
	{ 0x8fb67f4e, "unregister_fib_notifier" },
	{ 0xf2a3c908, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0x6a9631d4, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x5808b30f, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf5c901d3, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xfb45e862, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5e3240a0, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1079bbcb, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x7eca9e08, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xf18d9bec, "pci_restore_state" },
	{ 0x62054eb3, "bpf_trace_run1" },
	{ 0x293b05ba, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x77899b36, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x67e7d7f1, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x1f2fec6c, "page_pool_create" },
	{ 0xfa1f6889, "skb_checksum" },
	{ 0x5e75e95b, "page_pool_put_defragged_page" },
	{ 0x5684f165, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8304a0, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x61c92583, "netif_schedule_queue" },
	{ 0xc3c2aa67, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0xaa8d87a3, "pci_set_master" },
	{ 0x52f1e935, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2227b2a5, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xff928bdf, "netdev_set_tc_queue" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x57519532, "devl_params_unregister" },
	{ 0x62e1fbc5, "ptp_clock_unregister" },
	{ 0x57d7de2b, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x34574e00, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xb47e877a, "devlink_trap_report" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x31a2fa7e, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6910ea21, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x778a6b03, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50189183, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xc6a7558b, "bpf_trace_run3" },
	{ 0x48c2dcfe, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x474c085b, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xdf35cb9c, "debugfs_create_file" },
	{ 0xaedbc087, "rps_may_expire_flow" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xed20728a, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa8d1f1b1, "netdev_reset_tc" },
	{ 0xb8850f4b, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x5b74385f, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x1f3e5be, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf63df377, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x481981a8, "pci_release_regions" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x30fef293, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x2f74cab8, "devl_assert_locked" },
	{ 0xd26478ad, "pcie_print_link_status" },
	{ 0xe7fb04e6, "alloc_pages" },
	{ 0x18a3b8ee, "devl_port_unregister" },
	{ 0xe4ac906b, "xdp_rxq_info_unreg" },
	{ 0xc395f21, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xd21f5b4e, "devl_param_driverinit_value_get" },
	{ 0x85fd7f7, "napi_build_skb" },
	{ 0x1607c431, "netdev_master_upper_dev_get_rcu" },
	{ 0x5326db06, "__xdp_rxq_info_reg" },
	{ 0x343e3b1c, "xdp_set_features_flag" },
	{ 0xf556386f, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xed9da7c3, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xda9a8b5d, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6978b53f, "netif_carrier_off" },
	{ 0xc0cfa340, "seq_printf" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe555f4fa, "devlink_priv" },
	{ 0x36deb0d2, "devlink_port_register_with_ops" },
	{ 0x3dd317ad, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x98cb93e1, "netif_carrier_on" },
	{ 0xe31fe006, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x611f6072, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9a043fd0, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0xc0b9244e, "seq_puts" },
	{ 0xd6c43aaf, "page_pool_update_nid" },
	{ 0x5d13ee4f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0xfd7cb22f, "dma_set_mask" },
	{ 0xfc510af7, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7e443f4b, "netif_set_tso_max_size" },
	{ 0x3df6ae, "__skb_flow_dissect" },
	{ 0xb1b6144d, "pci_msix_alloc_irq_at" },
	{ 0x39571804, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x98d1eea0, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x6d1f0c58, "napi_schedule_prep" },
	{ 0x3013cdd9, "qdisc_reset" },
	{ 0xded35b63, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfb0b4448, "napi_disable" },
	{ 0x8b667e88, "dev_kfree_skb_any_reason" },
	{ 0x198f2a74, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x3148da45, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb33f3a74, "debugfs_create_u8" },
	{ 0xa6279c53, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7e1cd589, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x78cad41f, "pcie_bandwidth_available" },
	{ 0x5d8d1f56, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe3c87d3f, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xab5ad63a, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf4cac0c0, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd7b7fe9a, "pci_iov_get_pf_drvdata" },
	{ 0x81f77099, "pci_write_config_dword" },
	{ 0x4b3ab2a8, "pci_bus_type" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x4add9e0d, "netdev_info" },
	{ 0xd04fe558, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
