#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0xf8ab86bc, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x07052429, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0xad4bfa67, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0x434c4c1f, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0x6eb4324e, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0x5e8d4aa5, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0xa4064435, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x231a937f, "mdiobus_read" },
	{ 0xe710359a, "phy_trigger_machine" },
	{ 0x49b5a9e7, "phy_error" },
	{ 0x6222c17f, "genphy_read_status" },
	{ 0x92a8bb73, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xf2ca2497, "device_property_present" },
	{ 0x5ae1da6b, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0xa7aa67db, "phy_drivers_register" },
	{ 0xc22bc0b2, "phy_read_mmd" },
	{ 0x7d4061a6, "__genphy_config_aneg" },
	{ 0x29f008b7, "phy_modify" },
	{ 0x9166fada, "strncpy" },
	{ 0x86cc63a7, "genphy_soft_reset" },
	{ 0xd8845fb5, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x379da122, "phy_write_mmd" },
	{ 0xdcb764ad, "memset" },
	{ 0xec5144d1, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x762f5104, "genphy_suspend" },
	{ 0xe2e02ce2, "genphy_resume" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");
