#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath_rxbuf_alloc, "", "");
KSYMTAB_FUNC(ath_is_mybeacon, "", "");
KSYMTAB_FUNC(ath_printk, "", "");
KSYMTAB_DATA(ath_bus_type_strings, "", "");
KSYMTAB_FUNC(ath_is_world_regd, "", "");
KSYMTAB_FUNC(ath_is_49ghz_allowed, "", "");
KSYMTAB_FUNC(ath_regd_find_country_by_name, "", "");
KSYMTAB_FUNC(ath_reg_notifier_apply, "", "");
KSYMTAB_FUNC(ath_regd_init, "", "");
KSYMTAB_FUNC(ath_regd_get_band_ctl, "", "");
KSYMTAB_FUNC(ath_hw_setbssidmask, "", "");
KSYMTAB_FUNC(ath_hw_cycle_counters_update, "", "");
KSYMTAB_FUNC(ath_hw_get_listen_time, "", "");
KSYMTAB_FUNC(ath_hw_keyreset, "", "");
KSYMTAB_FUNC(ath_hw_keysetmac, "", "");
KSYMTAB_FUNC(ath_key_config, "", "");
KSYMTAB_FUNC(ath_key_delete, "", "");
KSYMTAB_FUNC(dfs_pattern_detector_init, "", "");

SYMBOL_CRC(ath_rxbuf_alloc, 0x66e6d5e4, "");
SYMBOL_CRC(ath_is_mybeacon, 0x93473485, "");
SYMBOL_CRC(ath_printk, 0x76bdc7b4, "");
SYMBOL_CRC(ath_bus_type_strings, 0xb6588ba6, "");
SYMBOL_CRC(ath_is_world_regd, 0x4571aea8, "");
SYMBOL_CRC(ath_is_49ghz_allowed, 0x108b188f, "");
SYMBOL_CRC(ath_regd_find_country_by_name, 0xa18f224e, "");
SYMBOL_CRC(ath_reg_notifier_apply, 0x01185f1a, "");
SYMBOL_CRC(ath_regd_init, 0x66dd4b15, "");
SYMBOL_CRC(ath_regd_get_band_ctl, 0x0b1ab353, "");
SYMBOL_CRC(ath_hw_setbssidmask, 0x515911f9, "");
SYMBOL_CRC(ath_hw_cycle_counters_update, 0x7654dc95, "");
SYMBOL_CRC(ath_hw_get_listen_time, 0x33f753fc, "");
SYMBOL_CRC(ath_hw_keyreset, 0xa264c8e9, "");
SYMBOL_CRC(ath_hw_keysetmac, 0x391b0ba8, "");
SYMBOL_CRC(ath_key_config, 0x15a13b69, "");
SYMBOL_CRC(ath_key_delete, 0x917dadd6, "");
SYMBOL_CRC(dfs_pattern_detector_init, 0xfc6b594b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x122c3a7e, "_printk" },
	{ 0xdba126c1, "reg_initiator_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x11634eee, "ieee80211_get_channel_khz" },
	{ 0x33ca0cca, "wiphy_apply_custom_regulatory" },
	{ 0xdcb764ad, "memset" },
	{ 0x34574e00, "__netdev_alloc_skb" },
	{ 0x42ac04d3, "freq_reg_info" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");

