#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0xa08a8835, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x519be7ba, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0xf56fd6c9, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0xb3794be7, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0xd523352d, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0xc796a2e6, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x3b4dbcd2, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0xd418c013, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x159cb696, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x1e0ed507, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0xe8edec46, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0xca46428f, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xc797288a, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0x8be5c5bc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd16717aa, "ath9k_hw_set_txpowerlimit" },
	{ 0xa264c8e9, "ath_hw_keyreset" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x4829a47e, "memcpy" },
	{ 0x141381b0, "ieee80211_get_hdrlen_from_skb" },
	{ 0x4f7da5d4, "skb_pull" },
	{ 0xdcb764ad, "memset" },
	{ 0x60eb4263, "ath9k_hw_gettsf64" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "ath9k_hw,ath,cfg80211");

