#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0x5e9be490, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0xbfa8489c, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x1d9401fb, "_gpl");
SYMBOL_CRC(wlcore_probe, 0xbdee4354, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x58794723, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0xd8be9c65, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0x2c24963b, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x2f117d74, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x940b1dcd, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0xda63f01e, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x965162bb, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x52cadc6d, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0xa0180982, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0xc80e4984, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x3bfa298a, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0x70f301c1, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x8b1ff8df, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0xcb8e3570, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x0b6d6966, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0x65dcb7fd, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x1b741fc7, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x4d462c71, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0xf0401642, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x0edfb305, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0xc4b9c552, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0xac7f290f, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x707c6509, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0x7e9bd94f, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0xd8e6b1bc, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x1aea9963, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0xe38a3a82, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0xe4295f69, "");
SYMBOL_CRC(wlcore_tx_complete, 0xa5c03148, "");
SYMBOL_CRC(wl1271_tx_flush, 0xcf272d94, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0xcd2861f4, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x9ee9a215, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x81cf9ef5, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0xec2695dc, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x37634e82, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x7934cc55, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x59100545, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0xb9e1ecb2, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0xfe16f23c, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x18273dae, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x06fbbf7c, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0xeab58c72, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0xc49f402a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x9121106d, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4d618d49, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdd0b2997, "ieee80211_iterate_interfaces" },
	{ 0x686d9b03, "ieee80211_sched_scan_stopped" },
	{ 0xff04bde5, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8e361ad6, "ieee80211_chswitch_done" },
	{ 0x452822be, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x89d3fb76, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x614d1937, "skb_dequeue" },
	{ 0x4f1c5114, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe736d56e, "ieee80211_free_hw" },
	{ 0x1c4e8ed, "ieee80211_probereq_get" },
	{ 0xdb93f85a, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc4ec928d, "ieee80211_ap_probereq_get" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb34af155, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x577111e2, "ieee80211_pspoll_get" },
	{ 0x6cd7d0bd, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xedb91ca4, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x141381b0, "ieee80211_get_hdrlen_from_skb" },
	{ 0x466196b1, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd0bcafa7, "ieee80211_stop_rx_ba_session" },
	{ 0x464de29c, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9133f91c, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xdfe0a93b, "ieee80211_find_sta" },
	{ 0x2808d1dd, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x75ed906c, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x2048acff, "pm_runtime_enable" },
	{ 0xa4e4f9ac, "__cfg80211_alloc_reply_skb" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x2198207, "skb_queue_tail" },
	{ 0x3f4f69a9, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x398ece36, "device_create_file" },
	{ 0x294a4f95, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa70a5ff, "ieee80211_queue_delayed_work" },
	{ 0x5d92fad6, "ieee80211_proberesp_get" },
	{ 0xc8e5cc9d, "device_wakeup_enable" },
	{ 0x645959a5, "request_firmware_nowait" },
	{ 0x6b396470, "simple_open" },
	{ 0x4f7da5d4, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x77c49f1f, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x759223e2, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x42bbd00d, "skb_push" },
	{ 0xfd6c9868, "debugfs_remove" },
	{ 0x34de7572, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x9a366798, "no_seek_end_llseek" },
	{ 0x94b9250c, "ieee80211_wake_queues" },
	{ 0xf23c1c20, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xa6b75039, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xb2d5ba9d, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcede44e6, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0xcd316229, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x37492489, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x8c1869db, "ieee80211_tx_status" },
	{ 0xe399673a, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x34574e00, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf8000daf, "ieee80211_ready_on_channel" },
	{ 0xa8b9b1c5, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x145ff42, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdfebbfd1, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xdf35cb9c, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x1fc9513e, "ieee80211_sched_scan_results" },
	{ 0x99324e77, "__pm_runtime_resume" },
	{ 0x96a962ee, "ieee80211_scan_completed" },
	{ 0x542d45cb, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xd7660605, "dev_pm_clear_wake_irq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb134adc6, "pm_runtime_force_resume" },
	{ 0xab9c39bc, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2e92654d, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xdeeea331, "ieee80211_cqm_rssi_notify" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xf4bd8c9, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x4d622b12, "ieee80211_queue_work" },
	{ 0xf44458fe, "__pm_runtime_use_autosuspend" },
	{ 0xac9d1c21, "ieee80211_sta_ps_transition" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xc716744b, "param_ops_int" },
	{ 0x8be81b85, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0x3d4ffddf, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x959cd12f, "pm_runtime_force_suspend" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xe59f6dfd, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x7cccff46, "device_remove_bin_file" },
	{ 0xa66040a7, "device_remove_file" },
	{ 0x7bdd23d, "ieee80211_csa_finish" },
	{ 0xafca8f13, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe0bbf675, "ieee80211_rx_napi" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");

