#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn533_rx_frame_is_ack, "_gpl", "");
KSYMTAB_FUNC(pn533_rx_frame_is_cmd_response, "_gpl", "");
KSYMTAB_FUNC(pn533_recv_frame, "", "");
KSYMTAB_FUNC(pn533_finalize_setup, "_gpl", "");
KSYMTAB_FUNC(pn53x_common_init, "_gpl", "");
KSYMTAB_FUNC(pn53x_common_clean, "_gpl", "");
KSYMTAB_FUNC(pn532_i2c_nfc_alloc, "_gpl", "");
KSYMTAB_FUNC(pn53x_register_nfc, "_gpl", "");
KSYMTAB_FUNC(pn53x_unregister_nfc, "_gpl", "");

SYMBOL_CRC(pn533_rx_frame_is_ack, 0xdecfd339, "_gpl");
SYMBOL_CRC(pn533_rx_frame_is_cmd_response, 0x6a8655ae, "_gpl");
SYMBOL_CRC(pn533_recv_frame, 0x59ba2a7a, "");
SYMBOL_CRC(pn533_finalize_setup, 0x58ee6d7e, "_gpl");
SYMBOL_CRC(pn53x_common_init, 0x3ceb9bfa, "_gpl");
SYMBOL_CRC(pn53x_common_clean, 0x3aa433da, "_gpl");
SYMBOL_CRC(pn532_i2c_nfc_alloc, 0x0651f723, "_gpl");
SYMBOL_CRC(pn53x_register_nfc, 0x934d4cb6, "_gpl");
SYMBOL_CRC(pn53x_unregister_nfc, 0x8121f013, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd748682e, "__alloc_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x89d3fb76, "consume_skb" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdcb764ad, "memset" },
	{ 0x89487e20, "nfc_targets_found" },
	{ 0xd7f32c3b, "nfc_set_remote_general_bytes" },
	{ 0xe4bb4372, "nfc_dep_link_is_up" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x352255a5, "_dev_err" },
	{ 0xf80d99d6, "nfc_tm_deactivated" },
	{ 0x452822be, "skb_put" },
	{ 0xb4333482, "skb_queue_purge_reason" },
	{ 0x614d1937, "skb_dequeue" },
	{ 0x4f7da5d4, "skb_pull" },
	{ 0x2198207, "skb_queue_tail" },
	{ 0x60a166f8, "nfc_tm_data_received" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5a8fc4bd, "nfc_allocate_device" },
	{ 0x96ff03e3, "nfc_unregister_device" },
	{ 0x5c161060, "put_device" },
	{ 0x2c137336, "nfc_tm_activated" },
	{ 0x145ff42, "skb_trim" },
	{ 0x42bbd00d, "skb_push" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd2db3d05, "nfc_register_device" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5c23c3d0, "nfc_get_local_general_bytes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xec5144d1, "_dev_info" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "43EF578A67154D58B6EDF23");
