#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0xfced221f, "");
SYMBOL_CRC(ndlc_close, 0x68b1a1fb, "");
SYMBOL_CRC(ndlc_send, 0x1bf72f5f, "");
SYMBOL_CRC(ndlc_recv, 0x78d7fbe4, "");
SYMBOL_CRC(ndlc_probe, 0x43402f06, "");
SYMBOL_CRC(ndlc_remove, 0xee844ade, "");
SYMBOL_CRC(st_nci_probe, 0x3b611709, "_gpl");
SYMBOL_CRC(st_nci_remove, 0xfa222958, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0xd0ab74ef, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x10e1de0a, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0xacedc4d1, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x795a850a, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x9b0234d5, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x20a18fdd, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x1e80e7dc, "");
SYMBOL_CRC(st_nci_se_init, 0x3746301b, "");
SYMBOL_CRC(st_nci_se_deinit, 0x56c954c0, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x0fa43dfa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x23671cad, "nci_free_device" },
	{ 0x7b4fb14, "nci_allocate_device" },
	{ 0xf649f4b3, "nci_register_device" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xd8093176, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4de8760d, "nfc_add_se" },
	{ 0x614d1937, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39957d74, "nfc_remove_se" },
	{ 0xb4333482, "skb_queue_purge_reason" },
	{ 0x39e4d2f0, "nci_nfcee_mode_set" },
	{ 0x7e63c27b, "nci_hci_get_param" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2198207, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb96c92f, "nfc_se_transaction" },
	{ 0x352255a5, "_dev_err" },
	{ 0x4f7da5d4, "skb_pull" },
	{ 0x74e37bf6, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0x42bbd00d, "skb_push" },
	{ 0x34de7572, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4d68bfa1, "nci_prop_cmd" },
	{ 0xd524fbc4, "nci_core_conn_create" },
	{ 0x9efb825f, "nci_nfcc_loopback" },
	{ 0x700bab9, "nci_unregister_device" },
	{ 0x2ca75dff, "skb_dequeue_tail" },
	{ 0x2c58a720, "nci_hci_send_event" },
	{ 0x7ae18f40, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb2c382c3, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9e125af, "nci_hci_send_cmd" },
	{ 0xd31f09f4, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9943173e, "nci_recv_frame" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd2bc653d, "nci_hci_dev_session_init" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x1b3ea083, "nci_hci_set_param" },
	{ 0xf2f3c32f, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xafca8f13, "skb_queue_head" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "nci,nfc");

