#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0x73fbef15, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x0e3a3210, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0xaa6e3cbb, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x15ec4821, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0x5c05300e, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x1b615cce, "");
SYMBOL_CRC(st21nfca_dep_init, 0x75b6a2e8, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0x6943e170, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x56ba95af, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0xa534faf5, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0x545267a5, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0x5f55c140, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0x259ad673, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0xa05ce2d3, "");
SYMBOL_CRC(st21nfca_se_init, 0xe5666c53, "");
SYMBOL_CRC(st21nfca_se_deinit, 0x12aee964, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0xda9fcbfe, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0x358005e9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf5d2fd1, "nfc_hci_set_clientdata" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xd8093176, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x452822be, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa1a6dd9b, "nfc_hci_get_param" },
	{ 0x32010a8c, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4de8760d, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a39ad24, "nfc_llc_stop" },
	{ 0x13bd6069, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x60a166f8, "nfc_tm_data_received" },
	{ 0x39957d74, "nfc_remove_se" },
	{ 0x122c3a7e, "_printk" },
	{ 0xff109a7d, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0xd748682e, "__alloc_skb" },
	{ 0xcde325d6, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1e911c4, "nfc_hci_free_device" },
	{ 0xb96c92f, "nfc_se_transaction" },
	{ 0x5c23c3d0, "nfc_get_local_general_bytes" },
	{ 0xc84fd29b, "nfc_hci_register_device" },
	{ 0xd7f32c3b, "nfc_set_remote_general_bytes" },
	{ 0x352255a5, "_dev_err" },
	{ 0x4f7da5d4, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x42bbd00d, "skb_push" },
	{ 0x34de7572, "nla_put" },
	{ 0x2ff4dbfd, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x19fbd649, "nfc_hci_get_clientdata" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2c137336, "nfc_tm_activated" },
	{ 0xdcb764ad, "memset" },
	{ 0x6b1ac995, "nfc_hci_allocate_device" },
	{ 0x145ff42, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb2c382c3, "nfc_se_connectivity" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd31f09f4, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa63828d1, "nfc_hci_set_param" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe4bb4372, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xdc8b668a, "nfc_hci_send_event" },
	{ 0x3aacb50d, "nfc_hci_disconnect_all_gates" },
	{ 0x67e83d93, "nfc_hci_disconnect_gate" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");

