#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(slimbus_bus, "_gpl", "");
KSYMTAB_FUNC(__slim_driver_register, "_gpl", "");
KSYMTAB_FUNC(slim_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(slim_register_controller, "_gpl", "");
KSYMTAB_FUNC(slim_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(slim_report_absent, "_gpl", "");
KSYMTAB_FUNC(slim_get_device, "_gpl", "");
KSYMTAB_FUNC(of_slim_get_device, "_gpl", "");
KSYMTAB_FUNC(slim_device_report_present, "_gpl", "");
KSYMTAB_FUNC(slim_get_logical_addr, "_gpl", "");
KSYMTAB_FUNC(slim_msg_response, "_gpl", "");
KSYMTAB_FUNC(slim_alloc_txn_tid, "_gpl", "");
KSYMTAB_FUNC(slim_free_txn_tid, "_gpl", "");
KSYMTAB_FUNC(slim_do_transfer, "_gpl", "");
KSYMTAB_FUNC(slim_xfer_msg, "_gpl", "");
KSYMTAB_FUNC(slim_read, "_gpl", "");
KSYMTAB_FUNC(slim_readb, "_gpl", "");
KSYMTAB_FUNC(slim_write, "_gpl", "");
KSYMTAB_FUNC(slim_writeb, "_gpl", "");
KSYMTAB_FUNC(slim_ctrl_clk_pause, "_gpl", "");
KSYMTAB_FUNC(slim_stream_allocate, "_gpl", "");
KSYMTAB_FUNC(slim_stream_prepare, "_gpl", "");
KSYMTAB_FUNC(slim_stream_enable, "_gpl", "");
KSYMTAB_FUNC(slim_stream_disable, "_gpl", "");
KSYMTAB_FUNC(slim_stream_unprepare, "_gpl", "");
KSYMTAB_FUNC(slim_stream_free, "_gpl", "");

SYMBOL_CRC(slimbus_bus, 0x9d45d2ed, "_gpl");
SYMBOL_CRC(__slim_driver_register, 0x309fc0ad, "_gpl");
SYMBOL_CRC(slim_driver_unregister, 0xaae7f174, "_gpl");
SYMBOL_CRC(slim_register_controller, 0x65f5746b, "_gpl");
SYMBOL_CRC(slim_unregister_controller, 0x39777637, "_gpl");
SYMBOL_CRC(slim_report_absent, 0xf97de6f8, "_gpl");
SYMBOL_CRC(slim_get_device, 0x65ee030d, "_gpl");
SYMBOL_CRC(of_slim_get_device, 0xbc1759fd, "_gpl");
SYMBOL_CRC(slim_device_report_present, 0x1367bc6a, "_gpl");
SYMBOL_CRC(slim_get_logical_addr, 0x14b3e95a, "_gpl");
SYMBOL_CRC(slim_msg_response, 0x82284adb, "_gpl");
SYMBOL_CRC(slim_alloc_txn_tid, 0x7a0bf217, "_gpl");
SYMBOL_CRC(slim_free_txn_tid, 0xbaf60f39, "_gpl");
SYMBOL_CRC(slim_do_transfer, 0x20bd8ee3, "_gpl");
SYMBOL_CRC(slim_xfer_msg, 0xf79f3b4c, "_gpl");
SYMBOL_CRC(slim_read, 0x86ba9f71, "_gpl");
SYMBOL_CRC(slim_readb, 0xec2aafe7, "_gpl");
SYMBOL_CRC(slim_write, 0x2e2db000, "_gpl");
SYMBOL_CRC(slim_writeb, 0x6bc084f5, "_gpl");
SYMBOL_CRC(slim_ctrl_clk_pause, 0x979c8004, "_gpl");
SYMBOL_CRC(slim_stream_allocate, 0xc2822a55, "_gpl");
SYMBOL_CRC(slim_stream_prepare, 0x857297b7, "_gpl");
SYMBOL_CRC(slim_stream_enable, 0x28f57862, "_gpl");
SYMBOL_CRC(slim_stream_disable, 0xb41c7e53, "_gpl");
SYMBOL_CRC(slim_stream_unprepare, 0x8100c5e7, "_gpl");
SYMBOL_CRC(slim_stream_free, 0x2c0da332, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x20978fb9, "idr_find" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb69ec7a9, "of_node_put" },
	{ 0x880d2f9c, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1e656bd7, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xee7e865d, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4888f9c4, "of_node_get" },
	{ 0xc1357b05, "device_for_each_child" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf0aae245, "of_get_property" },
	{ 0x122c3a7e, "_printk" },
	{ 0x64eeea62, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c161060, "put_device" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xba1f778b, "of_match_device" },
	{ 0x41840192, "bus_unregister" },
	{ 0x352255a5, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xda87d82d, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa8d4a505, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x1bd7bd6, "device_register" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x99324e77, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xf4bd8c9, "__pm_runtime_suspend" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x54db4bf, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x175cdcc4, "bus_register" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

