#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81d3affc, "sdw_slave_add" },
	{ 0xf01af360, "sdw_bus_prep_clk_stop" },
	{ 0x61bfdd20, "devm_platform_ioremap_resource" },
	{ 0x338c7753, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x880d2f9c, "of_property_read_variable_u32_array" },
	{ 0xa6d68939, "platform_driver_unregister" },
	{ 0xe9ad3158, "sdw_compare_devid" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0x609c60e1, "sdw_bus_clk_stop" },
	{ 0x4f1c5114, "pm_runtime_set_autosuspend_delay" },
	{ 0x5521aca8, "sdw_bus_master_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x3cc9dd, "of_property_read_variable_u16_array" },
	{ 0x7fe1720c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9e122d79, "sdw_alloc_stream" },
	{ 0xcd7b2f0b, "sdw_handle_slave_status" },
	{ 0x5488468b, "devm_clk_get" },
	{ 0x9d45d2ed, "slimbus_bus" },
	{ 0x2a4eb41b, "sdw_extract_slave_id" },
	{ 0xf7a07889, "__pm_runtime_set_status" },
	{ 0x5a1037ed, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2048acff, "pm_runtime_enable" },
	{ 0xec5144d1, "_dev_info" },
	{ 0x99b64dbc, "sdw_stream_remove_master" },
	{ 0x352255a5, "_dev_err" },
	{ 0x396f915c, "irq_get_irq_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xafbead21, "dev_get_regmap" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x7d88edf5, "of_property_read_variable_u8_array" },
	{ 0xe0f8519b, "__platform_driver_register" },
	{ 0xb6db7e02, "devm_kasprintf" },
	{ 0xb78d714e, "__devm_reset_control_get" },
	{ 0x48c2dcfe, "seq_read" },
	{ 0xdf35cb9c, "debugfs_create_file" },
	{ 0xbfeebfb3, "sdw_stream_add_master" },
	{ 0xc2e226de, "regmap_bulk_write" },
	{ 0x99324e77, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x6b4b442e, "regmap_bulk_read" },
	{ 0xc0cfa340, "seq_printf" },
	{ 0xd1d2e069, "of_irq_get" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xebd4c40f, "sdw_bus_master_delete" },
	{ 0x5d13ee4f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf4bd8c9, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xf44458fe, "__pm_runtime_use_autosuspend" },
	{ 0xda5bce09, "sdw_release_stream" },
	{ 0xa6279c53, "single_open" },
	{ 0x593248b2, "of_device_get_match_data" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x63153e1b, "sdw_bus_exit_clk_stop" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,slimbus");

MODULE_ALIAS("of:N*T*Cqcom,soundwire-v1.3.0");
MODULE_ALIAS("of:N*T*Cqcom,soundwire-v1.3.0C*");
MODULE_ALIAS("of:N*T*Cqcom,soundwire-v1.5.1");
MODULE_ALIAS("of:N*T*Cqcom,soundwire-v1.5.1C*");
MODULE_ALIAS("of:N*T*Cqcom,soundwire-v1.6.0");
MODULE_ALIAS("of:N*T*Cqcom,soundwire-v1.6.0C*");
MODULE_ALIAS("of:N*T*Cqcom,soundwire-v1.7.0");
MODULE_ALIAS("of:N*T*Cqcom,soundwire-v1.7.0C*");
MODULE_ALIAS("of:N*T*Cqcom,soundwire-v2.0.0");
MODULE_ALIAS("of:N*T*Cqcom,soundwire-v2.0.0C*");
