#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd626831c, "syscon_regmap_lookup_by_phandle" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0x352255a5, "_dev_err" },
	{ 0xe012188f, "dw_spi_dma_setup_generic" },
	{ 0x6687b7a1, "dw_spi_set_cs" },
	{ 0xe0f8519b, "__platform_driver_register" },
	{ 0xaa4ac334, "dw_spi_remove_host" },
	{ 0x8be81b85, "__pm_runtime_disable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xa6d68939, "platform_driver_unregister" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0x61bfdd20, "devm_platform_ioremap_resource" },
	{ 0xee6b71c4, "syscon_regmap_lookup_by_compatible" },
	{ 0x6f93e738, "regmap_update_bits_base" },
	{ 0x794f7a91, "devm_platform_get_and_ioremap_resource" },
	{ 0xb186aad2, "platform_get_irq" },
	{ 0x5488468b, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x3b0adf65, "devm_clk_get_optional" },
	{ 0xb78d714e, "__devm_reset_control_get" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xe12bea6a, "device_property_read_u32_array" },
	{ 0x4bd91786, "device_get_match_data" },
	{ 0x2048acff, "pm_runtime_enable" },
	{ 0x8afd31d6, "dw_spi_add_host" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "spi-dw");

MODULE_ALIAS("acpi*:HISI0173:*");
MODULE_ALIAS("of:N*T*Csnps,dw-apb-ssi");
MODULE_ALIAS("of:N*T*Csnps,dw-apb-ssiC*");
MODULE_ALIAS("of:N*T*Cmscc,ocelot-spi");
MODULE_ALIAS("of:N*T*Cmscc,ocelot-spiC*");
MODULE_ALIAS("of:N*T*Cmscc,jaguar2-spi");
MODULE_ALIAS("of:N*T*Cmscc,jaguar2-spiC*");
MODULE_ALIAS("of:N*T*Camazon,alpine-dw-apb-ssi");
MODULE_ALIAS("of:N*T*Camazon,alpine-dw-apb-ssiC*");
MODULE_ALIAS("of:N*T*Crenesas,rzn1-spi");
MODULE_ALIAS("of:N*T*Crenesas,rzn1-spiC*");
MODULE_ALIAS("of:N*T*Csnps,dwc-ssi-1.01a");
MODULE_ALIAS("of:N*T*Csnps,dwc-ssi-1.01aC*");
MODULE_ALIAS("of:N*T*Cintel,keembay-ssi");
MODULE_ALIAS("of:N*T*Cintel,keembay-ssiC*");
MODULE_ALIAS("of:N*T*Cintel,thunderbay-ssi");
MODULE_ALIAS("of:N*T*Cintel,thunderbay-ssiC*");
MODULE_ALIAS("of:N*T*Cintel,mountevans-imc-ssi");
MODULE_ALIAS("of:N*T*Cintel,mountevans-imc-ssiC*");
MODULE_ALIAS("of:N*T*Cmicrochip,sparx5-spi");
MODULE_ALIAS("of:N*T*Cmicrochip,sparx5-spiC*");
MODULE_ALIAS("of:N*T*Ccanaan,k210-spi");
MODULE_ALIAS("of:N*T*Ccanaan,k210-spiC*");
MODULE_ALIAS("of:N*T*Camd,pensando-elba-spi");
MODULE_ALIAS("of:N*T*Camd,pensando-elba-spiC*");
