#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dw_spi_set_cs, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_check_status, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_update_config, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_add_host, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_remove_host, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_suspend_host, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_resume_host, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_dma_setup_mfld, "_gpl", "SPI_DW_CORE");
KSYMTAB_FUNC(dw_spi_dma_setup_generic, "_gpl", "SPI_DW_CORE");

SYMBOL_CRC(dw_spi_set_cs, 0x6687b7a1, "_gpl");
SYMBOL_CRC(dw_spi_check_status, 0x4bf2e3d0, "_gpl");
SYMBOL_CRC(dw_spi_update_config, 0xf9d9b7cb, "_gpl");
SYMBOL_CRC(dw_spi_add_host, 0x8afd31d6, "_gpl");
SYMBOL_CRC(dw_spi_remove_host, 0xaa4ac334, "_gpl");
SYMBOL_CRC(dw_spi_suspend_host, 0x796d2446, "_gpl");
SYMBOL_CRC(dw_spi_resume_host, 0xf72ce9dc, "_gpl");
SYMBOL_CRC(dw_spi_dma_setup_mfld, 0x42ffb6ac, "_gpl");
SYMBOL_CRC(dw_spi_dma_setup_generic, 0xe012188f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc8a476bb, "spi_controller_resume" },
	{ 0xfb93e06b, "spi_controller_suspend" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x313ff7af, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4ee34b6d, "pci_get_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5800b6f, "dma_release_channel" },
	{ 0xb4c57ff0, "spi_delay_exec" },
	{ 0xc491d037, "spi_finalize_current_transfer" },
	{ 0x39845952, "__dma_request_channel" },
	{ 0xceea889f, "device_set_node" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c161060, "put_device" },
	{ 0xe12bea6a, "device_property_read_u32_array" },
	{ 0xb1f6bc5e, "dma_get_slave_caps" },
	{ 0xea1e2861, "debugfs_create_regset32" },
	{ 0x352255a5, "_dev_err" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe11545b9, "spi_unregister_controller" },
	{ 0xfd6c9868, "debugfs_remove" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x7f63cd6b, "dma_request_chan" },
	{ 0xd6ebe4b, "__spi_alloc_controller" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x1818c7df, "spi_mem_default_supports_op" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0x302824e1, "spi_register_controller" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x65344d03, "__dev_fwnode" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

