#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_slave_dev_check, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x5d855d87, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xbd4c1aa9, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x03c215d7, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xf3901ce4, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0xf8978c35, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x4c4ad21b, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x0dc41e44, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x26913ee5, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x8ec7fa0b, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x23a33b43, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0xa415beed, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x14af56d0, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x0aca4e08, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0xe2afe752, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x11a090ec, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0xab2b934a, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x214c8ed1, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0xeeb5b17c, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x17733fe1, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0x9af76075, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x91717018, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0xc2f921c1, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x43312077, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0xce0bd9a4, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x33f87d3b, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x439317db, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0xbbac8c44, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x447a091e, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0x16827d2d, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x6c17010f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x949ded2e, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x246c2b4b, "netdev_lower_get_next" },
	{ 0xe835ac0b, "flow_block_cb_lookup" },
	{ 0x80329cc3, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdfe4b0f6, "devlink_resource_occ_get_unregister" },
	{ 0x58e9488a, "dev_set_mtu" },
	{ 0xbcfc1c8, "br_vlan_enabled" },
	{ 0xd153b105, "__skb_pad" },
	{ 0x328248d7, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2997de64, "bpf_trace_run4" },
	{ 0x4346b530, "devlink_unregister" },
	{ 0x1150cd41, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xc7dcda17, "br_port_flag_is_set" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xb69ec7a9, "of_node_put" },
	{ 0x880d2f9c, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9c7994b0, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x72a9e3cf, "br_port_get_stp_state" },
	{ 0x31129554, "of_phy_find_device" },
	{ 0x89d3fb76, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x7d46d70e, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf8f06a52, "trace_raw_output_prep" },
	{ 0xda6166e4, "br_vlan_get_proto" },
	{ 0x11c96e05, "br_mst_get_state" },
	{ 0x4e23debb, "unregister_netdev" },
	{ 0x3fef214e, "__trace_trigger_soft_disabled" },
	{ 0x7a095336, "trace_event_printf" },
	{ 0x76c8de9c, "dev_uc_del" },
	{ 0xacba4a20, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xad90bcad, "devlink_params_unregister" },
	{ 0xa7d076cb, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xe9b78252, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a75ed64, "devlink_alloc_ns" },
	{ 0xdba608dc, "dev_set_promiscuity" },
	{ 0xe1ec0b29, "devlink_register" },
	{ 0x97733402, "devlink_free" },
	{ 0xee1b9bbb, "of_phandle_iterator_next" },
	{ 0xd17310e2, "gro_cells_init" },
	{ 0x96040c73, "bpf_trace_run2" },
	{ 0x1b9ab6fb, "netdev_warn" },
	{ 0xaef7ead0, "unregister_netdevice_queue" },
	{ 0x8c06da48, "get_device" },
	{ 0x844a21d8, "of_get_next_available_child" },
	{ 0x381883dd, "skb_pull_rcsum" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb411201f, "ether_setup" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x644d72f2, "switchdev_handle_fdb_event_to_device" },
	{ 0xf0aae245, "of_get_property" },
	{ 0x42217f7b, "netdev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9711bc07, "netdev_upper_dev_link" },
	{ 0x8a44058c, "pskb_expand_head" },
	{ 0x1040add7, "switchdev_handle_port_attr_set" },
	{ 0xccdf5eb0, "phylink_create" },
	{ 0x3f828f64, "vlan_for_each" },
	{ 0xf74a1918, "netdev_port_same_parent_id" },
	{ 0xe61046c1, "trace_event_buffer_commit" },
	{ 0xa905f3c1, "dev_addr_mod" },
	{ 0x99b56a77, "eth_type_trans" },
	{ 0x903d33cb, "alloc_netdev_mqs" },
	{ 0x3750ebf4, "of_device_compatible_match" },
	{ 0x122c3a7e, "_printk" },
	{ 0x36221753, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe2e02ce2, "genphy_resume" },
	{ 0x3b3de082, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5c161060, "put_device" },
	{ 0xcd12f5f4, "devlink_resource_register" },
	{ 0x11627bbb, "netdev_upper_get_next_dev_rcu" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xca76645f, "netif_device_detach" },
	{ 0x8470f6d8, "switchdev_bridge_port_offload" },
	{ 0x79bb7067, "of_get_mac_address" },
	{ 0x5cae5e0c, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0xd696f3b0, "module_put" },
	{ 0x6517c331, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xff3a0f1d, "of_get_child_by_name" },
	{ 0x27324945, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x19e0cab0, "devlink_region_create" },
	{ 0x49e5b736, "vlan_dev_real_dev" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x84b3bed3, "__dev_get_by_index" },
	{ 0x3cdd9877, "rtnl_link_unregister" },
	{ 0xdba7a1b2, "perf_trace_run_bpf_submit" },
	{ 0xce62f34b, "devlink_port_unregister" },
	{ 0x352255a5, "_dev_err" },
	{ 0xdc87e3a, "init_net" },
	{ 0xb22477d, "noop_qdisc" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x88deef3, "__of_parse_phandle_with_args" },
	{ 0xc95e3233, "phy_ethtool_get_strings" },
	{ 0x2b1cf003, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xacfeac1d, "__of_mdiobus_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x1b5c7972, "dev_remove_pack" },
	{ 0x2da60c32, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9e36272c, "gro_cells_receive" },
	{ 0x30762d0e, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x42bbd00d, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x2e506369, "netdev_upper_dev_unlink" },
	{ 0x34de7572, "nla_put" },
	{ 0xdf4cec34, "dev_mc_del" },
	{ 0xf2a3c908, "trace_event_reg" },
	{ 0xd5756eff, "br_vlan_get_info" },
	{ 0xf5c901d3, "free_netdev" },
	{ 0xa02fb58f, "of_find_property" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5e3240a0, "__cpu_online_mask" },
	{ 0xe598d2a6, "mdiobus_free" },
	{ 0x52269e65, "phylink_generic_validate" },
	{ 0x57382fdb, "sysfs_create_group" },
	{ 0x38140ed3, "devlink_resource_occ_get_register" },
	{ 0x20adee41, "of_find_net_device_by_node" },
	{ 0x1079bbcb, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xa8d4a505, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xc8c2339d, "devlink_port_fini" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0xf11b2f73, "switchdev_bridge_port_unoffload" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x5872cb30, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x1ef068, "of_phy_register_fixed_link" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x487466f3, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xc58a23f5, "netif_rx" },
	{ 0x467d293b, "dev_mc_add" },
	{ 0xc665cb60, "flow_block_cb_alloc" },
	{ 0xa2180fb9, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x145ff42, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x589ace92, "sysfs_remove_group" },
	{ 0xfef10208, "net_selftest" },
	{ 0xc6a7558b, "bpf_trace_run3" },
	{ 0x208a53f0, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfe837ff0, "phylink_ethtool_ksettings_set" },
	{ 0xfd10fa79, "devlink_port_init" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf7a40dbb, "of_get_phy_mode" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xed20728a, "__dev_queue_xmit" },
	{ 0x90026f7d, "vlan_vid_add" },
	{ 0xaaae238a, "devlink_params_register" },
	{ 0x5b74385f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x876d1f91, "vlan_vid_del" },
	{ 0x41ffe4b9, "dev_set_allmulti" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x570bdb37, "devlink_resources_unregister" },
	{ 0xf556386f, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6978b53f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5605342a, "__vlan_find_dev_deep_rcu" },
	{ 0x10f22196, "devlink_port_region_create" },
	{ 0xe555f4fa, "devlink_priv" },
	{ 0x6161c207, "skb_copy" },
	{ 0x79fd67d3, "__hw_addr_sync_dev" },
	{ 0x36deb0d2, "devlink_port_register_with_ops" },
	{ 0xe3cf3625, "mdiobus_get_phy" },
	{ 0x6aab7550, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xc9f19411, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeff91b93, "dev_uc_add" },
	{ 0xdd148371, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x24c9f6b9, "br_mst_enabled" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x6222c17f, "genphy_read_status" },
	{ 0x5bf30598, "of_phandle_iterator_init" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xfa015f3a, "phylink_of_phy_connect" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8b667e88, "dev_kfree_skb_any_reason" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x39ddf3b5, "of_phy_deregister_fixed_link" },
	{ 0x46d9ec12, "device_link_add" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xea7e1216, "dsa_stubs" },
	{ 0x7f4b8665, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5935bb20, "__skb_vlan_pop" },
	{ 0xacdf9476, "of_phy_is_fixed_link" },
	{ 0x2bc12484, "phylink_connect_phy" },
	{ 0x48c3eed3, "br_get_ageing_time" },
	{ 0x762f5104, "genphy_suspend" },
	{ 0xdd2157b0, "register_netdevice" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

