#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_fw_download_done, "", "");
KSYMTAB_FUNC(nfc_dep_link_is_up, "", "");
KSYMTAB_FUNC(nfc_find_se, "", "");
KSYMTAB_FUNC(nfc_set_remote_general_bytes, "", "");
KSYMTAB_FUNC(nfc_get_local_general_bytes, "", "");
KSYMTAB_FUNC(nfc_tm_data_received, "", "");
KSYMTAB_FUNC(nfc_tm_activated, "", "");
KSYMTAB_FUNC(nfc_tm_deactivated, "", "");
KSYMTAB_FUNC(nfc_alloc_recv_skb, "", "");
KSYMTAB_FUNC(nfc_targets_found, "", "");
KSYMTAB_FUNC(nfc_target_lost, "", "");
KSYMTAB_FUNC(nfc_driver_failure, "", "");
KSYMTAB_FUNC(nfc_add_se, "", "");
KSYMTAB_FUNC(nfc_remove_se, "", "");
KSYMTAB_FUNC(nfc_se_transaction, "", "");
KSYMTAB_FUNC(nfc_se_connectivity, "", "");
KSYMTAB_DATA(nfc_class, "", "");
KSYMTAB_FUNC(nfc_allocate_device, "", "");
KSYMTAB_FUNC(nfc_register_device, "", "");
KSYMTAB_FUNC(nfc_unregister_device, "", "");
KSYMTAB_FUNC(__nfc_alloc_vendor_cmd_reply_skb, "", "");
KSYMTAB_FUNC(nfc_vendor_cmd_reply, "", "");
KSYMTAB_FUNC(nfc_proto_register, "", "");
KSYMTAB_FUNC(nfc_proto_unregister, "", "");
KSYMTAB_FUNC(nfc_send_to_raw_sock, "", "");

SYMBOL_CRC(nfc_fw_download_done, 0x55173134, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0xe4bb4372, "");
SYMBOL_CRC(nfc_find_se, 0x60b14aae, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0xd7f32c3b, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0x5c23c3d0, "");
SYMBOL_CRC(nfc_tm_data_received, 0x60a166f8, "");
SYMBOL_CRC(nfc_tm_activated, 0x2c137336, "");
SYMBOL_CRC(nfc_tm_deactivated, 0xf80d99d6, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0x0c1f440c, "");
SYMBOL_CRC(nfc_targets_found, 0x89487e20, "");
SYMBOL_CRC(nfc_target_lost, 0x4a717096, "");
SYMBOL_CRC(nfc_driver_failure, 0x334b8b8f, "");
SYMBOL_CRC(nfc_add_se, 0x4de8760d, "");
SYMBOL_CRC(nfc_remove_se, 0x39957d74, "");
SYMBOL_CRC(nfc_se_transaction, 0x0b96c92f, "");
SYMBOL_CRC(nfc_se_connectivity, 0xb2c382c3, "");
SYMBOL_CRC(nfc_class, 0x1bf02418, "");
SYMBOL_CRC(nfc_allocate_device, 0x5a8fc4bd, "");
SYMBOL_CRC(nfc_register_device, 0xd2db3d05, "");
SYMBOL_CRC(nfc_unregister_device, 0x96ff03e3, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0xd8093176, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0xd31f09f4, "");
SYMBOL_CRC(nfc_proto_register, 0xb6f74f09, "");
SYMBOL_CRC(nfc_proto_unregister, 0x5673922e, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0xe85701f7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xb083cd83, "skb_free_datagram" },
	{ 0xacbee9ef, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xfb58b86c, "class_dev_iter_next" },
	{ 0x328248d7, "try_module_get" },
	{ 0x452822be, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1e656bd7, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x614d1937, "skb_dequeue" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xb5d457d8, "device_initialize" },
	{ 0x7a299268, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd4c617b6, "genlmsg_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x6f36aa96, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x47a2ccb9, "__pskb_copy_fclone" },
	{ 0x5b8410f6, "sk_error_report" },
	{ 0xb4333482, "skb_queue_purge_reason" },
	{ 0x9e182216, "class_dev_iter_exit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe123e61, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1e5366e0, "sock_register" },
	{ 0x52aa884c, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5c161060, "put_device" },
	{ 0x72b32afd, "netlink_broadcast" },
	{ 0xd748682e, "__alloc_skb" },
	{ 0x16f0b6cb, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2198207, "skb_queue_tail" },
	{ 0xd696f3b0, "module_put" },
	{ 0xccb28d0c, "__sock_recv_timestamp" },
	{ 0xebbf673b, "sock_no_shutdown" },
	{ 0x9abfc4d5, "devm_kfree" },
	{ 0xdc87e3a, "init_net" },
	{ 0x4f7da5d4, "skb_pull" },
	{ 0x8322c910, "device_add" },
	{ 0xeb974cc, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x64dc7fc3, "sk_free" },
	{ 0xfcd29164, "kfree_skb_reason" },
	{ 0xafc95dfc, "sock_no_accept" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x42bbd00d, "skb_push" },
	{ 0x771eed9d, "sock_no_listen" },
	{ 0x5a921311, "strncmp" },
	{ 0x34de7572, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x99c107d5, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x398646fb, "ns_capable" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50fe4533, "lock_sock_nested" },
	{ 0x3cd481df, "sock_no_bind" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x48f394d1, "skb_copy_datagram_iter" },
	{ 0x5a53a02, "class_dev_iter_init" },
	{ 0x5aa234a7, "sk_alloc" },
	{ 0x77899b36, "device_del" },
	{ 0xc3b46f86, "__sock_recv_wifi_status" },
	{ 0x3c6a9285, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x38f33ad9, "sock_no_mmap" },
	{ 0x145ff42, "skb_trim" },
	{ 0x9da54120, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x5b2530eb, "skb_recv_datagram" },
	{ 0xdc3711dd, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc7d538ef, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6161c207, "skb_copy" },
	{ 0xfe0a1de0, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x22f1bf56, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4141a056, "sock_no_ioctl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xcfb75056, "genl_unregister_family" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xf00124e, "iov_iter_revert" },
	{ 0xb264fab9, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x582ecc5b, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9fc11a59, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x3fa4154a, "release_sock" },
	{ 0xafca8f13, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x20984286, "class_find_device" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "36EE4BE0EB38A11A2110292");
