#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b312ecb, "snd_soc_dapm_put_enum_double" },
	{ 0x9201b5b0, "regcache_cache_only" },
	{ 0x98eff9c9, "regcache_sync" },
	{ 0x173c080, "regmap_write" },
	{ 0x338c7753, "devm_request_threaded_irq" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xded5f7e0, "gpiod_set_value" },
	{ 0xda7ff2bc, "snd_soc_jack_report" },
	{ 0x25a0ca27, "i2c_match_id" },
	{ 0x6a5ba113, "snd_soc_put_enum_double" },
	{ 0x9b982174, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7614c98, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x7e5694a3, "snd_soc_component_write" },
	{ 0xed849d28, "regulator_get_voltage" },
	{ 0x5a1037ed, "devm_snd_soc_register_component" },
	{ 0xd1dc5355, "devm_regulator_register_notifier" },
	{ 0xf3a1055f, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5d9260e3, "regulator_bulk_disable" },
	{ 0xe412fccf, "snd_soc_get_enum_double" },
	{ 0xf4ffc0ad, "fwnode_property_read_u32_array" },
	{ 0xbe8f673, "i2c_register_driver" },
	{ 0x9924ddc1, "snd_soc_info_volsw" },
	{ 0x352255a5, "_dev_err" },
	{ 0x531df06c, "snd_soc_dapm_put_volsw" },
	{ 0x28a0d0bb, "snd_soc_add_component_controls" },
	{ 0x6e75370, "_dev_warn" },
	{ 0x8142e1bc, "snd_soc_dapm_add_routes" },
	{ 0x1c96fa97, "snd_soc_info_enum_double" },
	{ 0x1f863dd2, "regulator_bulk_enable" },
	{ 0x8d845deb, "devm_regulator_bulk_get" },
	{ 0xf588a292, "snd_soc_get_volsw" },
	{ 0xa6d49647, "regmap_read" },
	{ 0xb19a64d9, "snd_soc_put_volsw" },
	{ 0xdbcdf20f, "snd_soc_component_update_bits" },
	{ 0x3a4780ab, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6f93e738, "regmap_update_bits_base" },
	{ 0xa3b9f19d, "dev_err_probe" },
	{ 0x373230a3, "snd_soc_dapm_get_volsw" },
	{ 0x8f281369, "i2c_del_driver" },
	{ 0xc515b6e5, "snd_soc_dapm_get_enum_double" },
	{ 0x53bb9185, "snd_soc_dapm_del_routes" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:tlv320aic310x");
MODULE_ALIAS("i2c:tlv320aic311x");
MODULE_ALIAS("i2c:tlv320aic3100");
MODULE_ALIAS("i2c:tlv320aic3110");
MODULE_ALIAS("i2c:tlv320aic3120");
MODULE_ALIAS("i2c:tlv320aic3111");
MODULE_ALIAS("i2c:tlv320dac3100");
MODULE_ALIAS("i2c:tlv320dac3101");
MODULE_ALIAS("of:N*T*Cti,tlv320aic310x");
MODULE_ALIAS("of:N*T*Cti,tlv320aic310xC*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic311x");
MODULE_ALIAS("of:N*T*Cti,tlv320aic311xC*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3100");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3100C*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3110");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3110C*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3120");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3120C*");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3111");
MODULE_ALIAS("of:N*T*Cti,tlv320aic3111C*");
MODULE_ALIAS("of:N*T*Cti,tlv320dac3100");
MODULE_ALIAS("of:N*T*Cti,tlv320dac3100C*");
MODULE_ALIAS("of:N*T*Cti,tlv320dac3101");
MODULE_ALIAS("of:N*T*Cti,tlv320dac3101C*");
MODULE_ALIAS("acpi*:10TI3100:*");
