#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sof_debug_check_flag, "", "");
KSYMTAB_FUNC(sof_print_oops_and_stack, "", "");
KSYMTAB_FUNC(sof_set_fw_state, "", "");
KSYMTAB_FUNC(snd_sof_device_probe, "", "");
KSYMTAB_FUNC(snd_sof_device_probe_completed, "", "");
KSYMTAB_FUNC(snd_sof_device_remove, "", "");
KSYMTAB_FUNC(snd_sof_device_shutdown, "", "");
KSYMTAB_FUNC(snd_sof_pci_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_forced, "", "");
KSYMTAB_FUNC(snd_sof_dsp_panic, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_raw, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_memcpy, "", "");
KSYMTAB_FUNC(snd_sof_run_firmware, "", "");
KSYMTAB_FUNC(snd_sof_fw_unload, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message, "", "");
KSYMTAB_FUNC(sof_ipc_set_get_data, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message_no_pm, "", "");
KSYMTAB_FUNC(snd_sof_ipc_get_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_init, "", "");
KSYMTAB_FUNC(snd_sof_ipc_free, "", "");
KSYMTAB_FUNC(snd_sof_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(sof_pcm_dai_link_fixup, "", "");
KSYMTAB_FUNC(snd_sof_runtime_suspend, "", "");
KSYMTAB_FUNC(snd_sof_runtime_idle, "", "");
KSYMTAB_FUNC(snd_sof_runtime_resume, "", "");
KSYMTAB_FUNC(snd_sof_resume, "", "");
KSYMTAB_FUNC(snd_sof_suspend, "", "");
KSYMTAB_FUNC(snd_sof_prepare, "", "");
KSYMTAB_FUNC(snd_sof_complete, "", "");
KSYMTAB_FUNC(snd_sof_debugfs_add_region_item_iomem, "_gpl", "");
KSYMTAB_FUNC(snd_sof_debugfs_buf_item, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_memory_info_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_free_debug, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dsp_dbg_dump, "", "");
KSYMTAB_FUNC(snd_sof_handle_fw_exception, "", "");
KSYMTAB_FUNC(snd_sof_load_topology, "", "");
KSYMTAB_FUNC(sof_io_write, "", "");
KSYMTAB_FUNC(sof_io_read, "", "");
KSYMTAB_FUNC(sof_io_write64, "", "");
KSYMTAB_FUNC(sof_io_read64, "", "");
KSYMTAB_FUNC(sof_mailbox_write, "", "");
KSYMTAB_FUNC(sof_mailbox_read, "", "");
KSYMTAB_FUNC(sof_block_write, "", "");
KSYMTAB_FUNC(sof_block_read, "", "");
KSYMTAB_FUNC(sof_widget_free, "", "");
KSYMTAB_FUNC(sof_widget_setup, "", "");
KSYMTAB_FUNC(snd_sof_dsp_only_d0i3_compatible_stream_active, "", "");
KSYMTAB_FUNC(sof_dai_get_mclk, "", "");
KSYMTAB_FUNC(sof_dai_get_bclk, "", "");
KSYMTAB_FUNC(sof_machine_check, "", "");
KSYMTAB_FUNC(sof_machine_register, "", "");
KSYMTAB_FUNC(sof_machine_unregister, "", "");
KSYMTAB_FUNC(sof_ipc_msg_data, "", "");
KSYMTAB_FUNC(sof_set_stream_data_offset, "", "");
KSYMTAB_FUNC(sof_stream_pcm_open, "", "");
KSYMTAB_FUNC(sof_stream_pcm_close, "", "");
KSYMTAB_FUNC(sof_ipc3_do_rx_work, "", "");
KSYMTAB_DATA(sof_compressed_ops, "", "");

SYMBOL_CRC(sof_debug_check_flag, 0x368c6727, "");
SYMBOL_CRC(sof_print_oops_and_stack, 0x1831245d, "");
SYMBOL_CRC(sof_set_fw_state, 0xfe78213d, "");
SYMBOL_CRC(snd_sof_device_probe, 0x67ab52ce, "");
SYMBOL_CRC(snd_sof_device_probe_completed, 0x8215ee6d, "");
SYMBOL_CRC(snd_sof_device_remove, 0xc3609987, "");
SYMBOL_CRC(snd_sof_device_shutdown, 0xc3d2f204, "");
SYMBOL_CRC(snd_sof_pci_update_bits, 0x98dff6be, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_unlocked, 0x4f7a8aca, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64_unlocked, 0x887f09e3, "");
SYMBOL_CRC(snd_sof_dsp_update_bits, 0xa8b5de8c, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64, 0x1d08df76, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_forced, 0xbbccbf94, "");
SYMBOL_CRC(snd_sof_dsp_panic, 0x726058ec, "");
SYMBOL_CRC(snd_sof_load_firmware_raw, 0x7cf1f20f, "");
SYMBOL_CRC(snd_sof_load_firmware_memcpy, 0xbc7027b4, "");
SYMBOL_CRC(snd_sof_run_firmware, 0x6ad39f12, "");
SYMBOL_CRC(snd_sof_fw_unload, 0x300321c7, "");
SYMBOL_CRC(sof_ipc_tx_message, 0xf80af88e, "");
SYMBOL_CRC(sof_ipc_set_get_data, 0x9c20a80c, "");
SYMBOL_CRC(sof_ipc_tx_message_no_pm, 0xe3327551, "");
SYMBOL_CRC(snd_sof_ipc_get_reply, 0xcd8bb2d5, "");
SYMBOL_CRC(snd_sof_ipc_reply, 0xcc9f33cf, "");
SYMBOL_CRC(snd_sof_ipc_init, 0x0dbb054e, "");
SYMBOL_CRC(snd_sof_ipc_free, 0xe1b29a22, "");
SYMBOL_CRC(snd_sof_pcm_period_elapsed, 0xa13abf64, "");
SYMBOL_CRC(sof_pcm_dai_link_fixup, 0xa4faca7f, "");
SYMBOL_CRC(snd_sof_runtime_suspend, 0xd730ff56, "");
SYMBOL_CRC(snd_sof_runtime_idle, 0xe500d479, "");
SYMBOL_CRC(snd_sof_runtime_resume, 0xade648c2, "");
SYMBOL_CRC(snd_sof_resume, 0xc1651b6a, "");
SYMBOL_CRC(snd_sof_suspend, 0x0f5157df, "");
SYMBOL_CRC(snd_sof_prepare, 0x61ca52da, "");
SYMBOL_CRC(snd_sof_complete, 0x270d501c, "");
SYMBOL_CRC(snd_sof_debugfs_add_region_item_iomem, 0x2431c7db, "_gpl");
SYMBOL_CRC(snd_sof_debugfs_buf_item, 0x8edc5e83, "_gpl");
SYMBOL_CRC(snd_sof_dbg_memory_info_init, 0x2f66ca62, "_gpl");
SYMBOL_CRC(snd_sof_dbg_init, 0xb311edf3, "_gpl");
SYMBOL_CRC(snd_sof_free_debug, 0xddbd4e99, "_gpl");
SYMBOL_CRC(snd_sof_dsp_dbg_dump, 0x10576df1, "");
SYMBOL_CRC(snd_sof_handle_fw_exception, 0x6295f28f, "");
SYMBOL_CRC(snd_sof_load_topology, 0x9ea5dbd1, "");
SYMBOL_CRC(sof_io_write, 0x7eb74035, "");
SYMBOL_CRC(sof_io_read, 0xa8398cb6, "");
SYMBOL_CRC(sof_io_write64, 0xcdcba07c, "");
SYMBOL_CRC(sof_io_read64, 0x58a6a3c9, "");
SYMBOL_CRC(sof_mailbox_write, 0x04e476b5, "");
SYMBOL_CRC(sof_mailbox_read, 0x4290403b, "");
SYMBOL_CRC(sof_block_write, 0x596fab6a, "");
SYMBOL_CRC(sof_block_read, 0xa856ddd0, "");
SYMBOL_CRC(sof_widget_free, 0xaec2ee20, "");
SYMBOL_CRC(sof_widget_setup, 0xcf1030b1, "");
SYMBOL_CRC(snd_sof_dsp_only_d0i3_compatible_stream_active, 0x686e41ca, "");
SYMBOL_CRC(sof_dai_get_mclk, 0x395faa60, "");
SYMBOL_CRC(sof_dai_get_bclk, 0xf53a2075, "");
SYMBOL_CRC(sof_machine_check, 0x9e79d226, "");
SYMBOL_CRC(sof_machine_register, 0x588d8986, "");
SYMBOL_CRC(sof_machine_unregister, 0x8c3df8e8, "");
SYMBOL_CRC(sof_ipc_msg_data, 0xdaafd9f2, "");
SYMBOL_CRC(sof_set_stream_data_offset, 0x31a600c0, "");
SYMBOL_CRC(sof_stream_pcm_open, 0x08947f99, "");
SYMBOL_CRC(sof_stream_pcm_close, 0xe16bd271, "");
SYMBOL_CRC(sof_ipc3_do_rx_work, 0xcb60571b, "");
SYMBOL_CRC(sof_compressed_ops, 0x8d64890d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7d15450a, "dpcm_end_walk_at_be" },
	{ 0x6d5512ed, "snd_soc_dapm_dai_free_widgets" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x5bd258a5, "snd_dma_alloc_dir_pages" },
	{ 0xd4f37fca, "devm_kmalloc" },
	{ 0xa6c3726, "snd_compr_malloc_pages" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x19c1221c, "snd_soc_dapm_dai_get_connected_widgets" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf8f06a52, "trace_raw_output_prep" },
	{ 0x3fef214e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdb93f85a, "request_firmware" },
	{ 0x7a095336, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x6d2f2462, "pm_runtime_get_if_active" },
	{ 0xe9b78252, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x96040c73, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x79eb80cf, "snd_sof_create_page_table" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xe61046c1, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xda470cd, "pci_read_config_dword" },
	{ 0x3beb870a, "snd_dma_free_pages" },
	{ 0x5a1037ed, "devm_snd_soc_register_component" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa916b694, "strnlen" },
	{ 0xec5144d1, "_dev_info" },
	{ 0x93a3ace9, "snd_soc_rtdcom_lookup" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb987356b, "devm_kmemdup" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xdba7a1b2, "perf_trace_run_bpf_submit" },
	{ 0x352255a5, "_dev_err" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6b396470, "simple_open" },
	{ 0x3559dd7d, "platform_device_unregister" },
	{ 0xd1e3bf18, "widget_in_list" },
	{ 0x2da60c32, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfd6c9868, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf2a3c908, "trace_event_reg" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5e3240a0, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x385e4649, "snd_soc_tplg_component_load" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4253a4d9, "snd_pcm_set_managed_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x62054eb3, "bpf_trace_run1" },
	{ 0xcede44e6, "default_llseek" },
	{ 0xdcb764ad, "memset" },
	{ 0x6e75370, "_dev_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa78de84d, "snd_soc_tplg_component_remove" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x81821b60, "snd_ctl_notify_one" },
	{ 0xb6db7e02, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdcb93911, "snd_pcm_hw_constraint_integer" },
	{ 0xc6a7558b, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xdf35cb9c, "debugfs_create_file" },
	{ 0x594dc8e3, "platform_device_register_full" },
	{ 0x5b74385f, "trace_event_buffer_reserve" },
	{ 0x99324e77, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdcb4be31, "snd_dma_buffer_sync" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf7ab2c89, "snd_pcm_period_elapsed" },
	{ 0x779026ff, "kmalloc_trace" },
	{ 0xf4bd8c9, "__pm_runtime_suspend" },
	{ 0x93163530, "snd_pcm_hw_constraint_step" },
	{ 0x9cda3951, "snd_soc_tplg_widget_bind_event" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc716744b, "param_ops_int" },
	{ 0x1aa6bc8c, "_dev_printk" },
	{ 0x349cba85, "strchr" },
	{ 0xd340e530, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x81f77099, "pci_write_config_dword" },
	{ 0xc7e1764f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd31ccb06, "of_machine_is_compatible" },
	{ 0x6fb38b54, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-utils");

